// Copyright (c) zhenlei520 All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.

using System.ComponentModel;

namespace EInfrastructure.Core.Configuration.Enumerations
{
    /// <summary>
    /// 民族
    /// </summary>
    public enum Nation
    {
        /// <summary>
        /// 汉族
        /// </summary>
        [Description("汉族")] Hz = 1,

        /// <summary>
        /// 蒙古族
        /// </summary>
        [Description("蒙古族")] Mgz = 2,

        /// <summary>
        /// 回族
        /// </summary>
        [Description("回族")] HuiZ = 3,

        /// <summary>
        /// 藏族
        /// </summary>
        [Description("藏族")] Zz =4,

        /// <summary>
        /// 维吾尔族
        /// </summary>
        [Description("维吾尔族")] Wwez = 5,

        /// <summary>
        /// 苗族
        /// </summary>
        [Description("苗族")] Mz = 6,

        /// <summary>
        /// 彝族
        /// </summary>
        [Description("彝族")] Yz = 7,

        /// <summary>
        /// 壮族
        /// </summary>
        [Description("壮族")] ZhuangZ = 8,

        /// <summary>
        /// 布依族
        /// </summary>
        [Description("布依族")] Byz = 9,

        /// <summary>
        /// 朝鲜族
        /// </summary>
        [Description("朝鲜族")] Cxz = 10,

        /// <summary>
        /// 满族
        /// </summary>
        [Description("满族")] ManZ = 11,

        /// <summary>
        /// 侗族
        /// </summary>
        [Description("侗族")] Tz = 12,

        /// <summary>
        /// 瑶族
        /// </summary>
        [Description("瑶族")] YaoZ = 13,

        /// <summary>
        /// 白族
        /// </summary>
        [Description("白族")] Bz = 14, //baizu

        /// <summary>
        /// 土家族
        /// </summary>
        [Description("土家族")] Tjz = 15,

        /// <summary>
        /// 哈尼族
        /// </summary>
        [Description("哈尼族")] Hnz = 16,

        /// <summary>
        /// 哈萨克族
        /// </summary>
        [Description("哈萨克族")] Hskz = 17,

        /// <summary>
        /// 傣族
        /// </summary>
        [Description("傣族")] Dz = 18,

        /// <summary>
        /// 黎族
        /// </summary>
        [Description("黎族")] Lz = 19,

        /// <summary>
        /// 傈僳族
        /// </summary>
        [Description("傈僳族")] Lsz = 20,

        /// <summary>
        /// 佤族
        /// </summary>
        [Description("佤族")] Wz = 21,

        /// <summary>
        /// 畲族
        /// </summary>
        [Description("畲族")] Sz = 22,

        /// <summary>
        /// 高山族
        /// </summary>
        [Description("高山族")] Gsz = 23,

        /// <summary>
        /// 拉祜族
        /// </summary>
        [Description("拉祜族")] Lhz = 24,

        /// <summary>
        /// 水族
        /// </summary>
        [Description("水族")] ShuiZ = 25,

        /// <summary>
        /// 东乡族
        /// </summary>
        [Description("东乡族")] Dxz = 26,

        /// <summary>
        /// 纳西族
        /// </summary>
        [Description("纳西族")] Nxz = 27,

        /// <summary>
        /// 景颇族
        /// </summary>
        [Description("景颇族")] Jpz = 28,

        /// <summary>
        /// 柯尔克孜族
        /// </summary>
        [Description("柯尔克孜族")] Kekzz = 29,

        /// <summary>
        /// 土族
        /// </summary>
        [Description("土族")] TuZ = 30,

        /// <summary>
        /// 达斡尔族
        /// </summary>
        [Description("达斡尔族")] Dwez = 31,

        /// <summary>
        /// 仫佬族
        /// </summary>
        [Description("仫佬族")] Mlz = 32,

        /// <summary>
        /// 羌族
        /// </summary>
        [Description("羌族")] Qz = 33,

        /// <summary>
        /// 布朗族
        /// </summary>
        [Description("布朗族")] Blz = 34,

        /// <summary>
        /// 撒拉族
        /// </summary>
        [Description("撒拉族")] Slz = 35,

        /// <summary>
        /// 毛南族
        /// </summary>
        [Description("毛南族")] Mnz = 36,

        /// <summary>
        /// 仡佬族
        /// </summary>
        [Description("仡佬族")] Ylz = 37,

        /// <summary>
        /// 锡伯族
        /// </summary>
        [Description("锡伯族")] Xbz = 38,

        /// <summary>
        /// 阿昌族
        /// </summary>
        [Description("阿昌族")] Acz = 39,

        /// <summary>
        /// 普米族
        /// </summary>
        [Description("普米族")] Pmz = 40,

        /// <summary>
        /// 塔吉克族
        /// </summary>
        [Description("塔吉克族")] Tjkz = 41,

        /// <summary>
        /// 怒族
        /// </summary>
        [Description("怒族")] Nz = 42,

        /// <summary>
        /// 乌孜别克族
        /// </summary>
        [Description("乌孜别克族")] Wzbkz = 43,

        /// <summary>
        /// 俄罗斯族
        /// </summary>
        [Description("俄罗斯族")] Elsz = 44,

        /// <summary>
        /// 鄂温克族
        /// </summary>
        [Description("鄂温克族")] Ewkz = 45,

        /// <summary>
        /// 德昂族
        /// </summary>
        [Description("德昂族")] Daz = 46,

        /// <summary>
        /// 保安族
        /// </summary>
        [Description("保安族")] Baz = 47,

        /// <summary>
        /// 裕固族
        /// </summary>
        [Description("裕固族")] Ygz = 48,

        /// <summary>
        /// 京族
        /// </summary>
        [Description("京族")] Jz = 49,

        /// <summary>
        /// 塔塔尔族
        /// </summary>
        [Description("塔塔尔族")] Ttrz = 50,

        /// <summary>
        /// 独龙族
        /// </summary>
        [Description("独龙族")] Dlz = 51,

        /// <summary>
        /// 鄂伦春族
        /// </summary>
        [Description("鄂伦春族")] Elcz = 52,

        /// <summary>
        /// 赫哲族
        /// </summary>
        [Description("赫哲族")] Hzz = 53,

        /// <summary>
        /// 门巴族
        /// </summary>
        [Description("门巴族")] Mbz = 54,

        /// <summary>
        /// 珞巴族
        /// </summary>
        [Description("珞巴族")] Lbz = 55,

        /// <summary>
        /// 基诺族
        /// </summary>
        [Description("基诺族")] Jnz = 56
    }
}
