﻿// Copyright (c) zhenlei520 All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.

using System.Collections.Generic;

namespace EInfrastructure.Core.UserAgentParse
{
    /// <summary>
    /// 全局设置配置
    /// </summary>
    internal class GloableConfigurations
    {
        internal static string StringsSamsung = "Samsung",
            StringsSharp = "Sharp",
            StringsSonyEricsson = "Sony Ericsson",
            StringsMotorola = "Motorola",
            StringsLg = "LG",
            StringsHuawei = "Huawei",
            StringsHtc = "HTC",
            StringsCoolpad = "Coolpad",
            StringsAsus = "Asus",
            StringsAcer = "Acer",
            StringsBased = " based device";

        /// <summary>
        ///
        /// </summary>
        internal static List<KeyValuePair<string, List<KeyValuePair<string, string[]>>>> TouchwizModels =
            new List<KeyValuePair<string, List<KeyValuePair<string, string[]>>>>
            {
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("SAMSUNG",
                    new List<KeyValuePair<string, string[]>>
                    {
                        new KeyValuePair<string, string[]>("GT-S3370C", new[] {StringsSamsung, "Corby 3G"}),
                        new KeyValuePair<string, string[]>("GT-S3650", new[] {StringsSamsung, "Corby"}),
                        new KeyValuePair<string, string[]>("GT-S3653", new[] {StringsSamsung, "Corby"}),
                        new KeyValuePair<string, string[]>("GT-S3850", new[] {StringsSamsung, "Corby II"}),
                        new KeyValuePair<string, string[]>("GT-S5230", new[] {StringsSamsung, "Star"}),
                        new KeyValuePair<string, string[]>("GT-S5230W", new[] {StringsSamsung, "Star"}),
                        new KeyValuePair<string, string[]>("GT-S5233", new[] {StringsSamsung, "Star"}),
                        new KeyValuePair<string, string[]>("GT-S5260", new[] {StringsSamsung, "Star II"}),
                        new KeyValuePair<string, string[]>("GT-S5560", new[] {StringsSamsung, "Marvel"}),
                        new KeyValuePair<string, string[]>("GT-S5620", new[] {StringsSamsung, "Monte"}),
                        new KeyValuePair<string, string[]>("GT-S7550", new[] {StringsSamsung, "Blue Earth"}),
                        new KeyValuePair<string, string[]>("GT-S8000", new[] {StringsSamsung, "Jet"}),
                        new KeyValuePair<string, string[]>("GT-S8003", new[] {StringsSamsung, "Jet"}),
                        new KeyValuePair<string, string[]>("SGH-F480", new[] {StringsSamsung, "Tocco"}),
                        new KeyValuePair<string, string[]>("SGH-T528g", new[] {StringsSamsung, "Straight Talk"}),
                        new KeyValuePair<string, string[]>("GT-B3410", new[] {StringsSamsung, "Star Qwerty"}),
                        new KeyValuePair<string, string[]>("GT-B5310", new[] {StringsSamsung, "Corby Pro"}),
                        new KeyValuePair<string, string[]>("GT-B7722", new[] {StringsSamsung, "Star Duos"}),
                        new KeyValuePair<string, string[]>("GT-C6712", new[] {StringsSamsung, "Star II Duos"}),
                    })
            };

        /// <summary>
        ///
        /// </summary>
        internal static List<KeyValuePair<string, List<KeyValuePair<string, string[]>>>> BadaModels =
            new List<KeyValuePair<string, List<KeyValuePair<string, string[]>>>>()
            {
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("SAMSUNG",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("GT-S5250", new[] {StringsSamsung, "Wave 525"}),
                        new KeyValuePair<string, string[]>("GT-S5253", new[] {StringsSamsung, "Wave 525"}),
                        new KeyValuePair<string, string[]>("GT-S5330", new[] {StringsSamsung, "Wave 533"}),
                        new KeyValuePair<string, string[]>("GT-S5380", new[] {StringsSamsung, "Wave Y"}),
                        new KeyValuePair<string, string[]>("GT-S5380D", new[] {StringsSamsung, "Wave Y"}),
                        new KeyValuePair<string, string[]>("GT-S5380K", new[] {StringsSamsung, "Wave Y"}),
                        new KeyValuePair<string, string[]>("GT-S5750E", new[] {StringsSamsung, "Wave 575"}),
                        new KeyValuePair<string, string[]>("GT-S5753E", new[] {StringsSamsung, "Wave 575"}),
                        new KeyValuePair<string, string[]>("GT-S7230B", new[] {StringsSamsung, "Wave 723"}),
                        new KeyValuePair<string, string[]>("GT-S7230E", new[] {StringsSamsung, "Wave 723"}),
                        new KeyValuePair<string, string[]>("GT-S7233E", new[] {StringsSamsung, "Wave 723"}),
                        new KeyValuePair<string, string[]>("GT-S7250", new[] {StringsSamsung, "Wave M"}),
                        new KeyValuePair<string, string[]>("GT-S7250D", new[] {StringsSamsung, "Wave M"}),
                        new KeyValuePair<string, string[]>("GT-S8500", new[] {StringsSamsung, "Wave"}),
                        new KeyValuePair<string, string[]>("GT-S8500C", new[] {StringsSamsung, "Wave"}),
                        new KeyValuePair<string, string[]>("GT-S8500R", new[] {StringsSamsung, "Wave"}),
                        new KeyValuePair<string, string[]>("GT-S8500T", new[] {StringsSamsung, "Wave"}),
                        new KeyValuePair<string, string[]>("GT-S8530", new[] {StringsSamsung, "Wave II"}),
                        new KeyValuePair<string, string[]>("GT-S8600", new[] {StringsSamsung, "Wave 3"}),
                        new KeyValuePair<string, string[]>("SHW-M410", new[] {StringsSamsung, "Wave 3"})
                    })
            };

        /// <summary>
        ///
        /// </summary>
        internal static List<KeyValuePair<string, List<KeyValuePair<string, string[]>>>> TizenModels =
            new List<KeyValuePair<string, List<KeyValuePair<string, string[]>>>>()
            {
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("SAMSUNG",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("GT-I9500", new[] {StringsSamsung, "GT-I9500"})
                    })
            };

        /// <summary>
        ///
        /// </summary>
        internal static List<KeyValuePair<string, string[]>> BrewModels =
            new List<KeyValuePair<string, string[]>>()
            {
                new KeyValuePair<string, string[]>("Coolpad D508", new[] {StringsCoolpad, "D508"}),
                new KeyValuePair<string, string[]>("Coolpad E600", new[] {StringsCoolpad, "E600"}),
                new KeyValuePair<string, string[]>("SCH-F839", new[] {StringsSamsung, "SCH-F839"}),
            };

        /// <summary>
        /// windows mobile设备
        /// </summary>
        internal static List<KeyValuePair<string, string[]>> WindowsMobileModels =
            new List<KeyValuePair<string, string[]>>()
            {
                new KeyValuePair<string, string[]>("DX900", new[] {StringsAcer, "Tempo DX900"}),
                new KeyValuePair<string, string[]>("F900", new[] {StringsAcer, "Tempo F900"}),
                new KeyValuePair<string, string[]>("Coolpad F800", new[] {StringsCoolpad, "F800"}),
                new KeyValuePair<string, string[]>("garmin-asus-Nuvifone-M10", new[] {"Garmin-Asus", "Nuvifone M10"}),
                new KeyValuePair<string, string[]>("HP iPAQ 510", new[] {"HP", "iPAQ 510"}),
                new KeyValuePair<string, string[]>("HD mini T5555", new[] {StringsHtc, "HD mini"}),
                new KeyValuePair<string, string[]>("HTC HD mini", new[] {StringsHtc, "HD mini"}),
                new KeyValuePair<string, string[]>("HTC HD mini T5555", new[] {StringsHtc, "HD mini"}),
                new KeyValuePair<string, string[]>("HTC HD2", new[] {StringsHtc, "HD2"}),
                new KeyValuePair<string, string[]>("HTC HD2 T8585", new[] {StringsHtc, "HD2"}),
                new KeyValuePair<string, string[]>("HD2 T8585", new[] {StringsHtc, "HD2"}),
                new KeyValuePair<string, string[]>("T-Mobile LEO", new[] {StringsHtc, "HD2"}),
                new KeyValuePair<string, string[]>("dopodT5588", new[] {StringsHtc, "Hengshan"}),
                new KeyValuePair<string, string[]>("HTC Mega-T3333", new[] {StringsHtc, "Mega"}),
                new KeyValuePair<string, string[]>("HTC Snap S521", new[] {StringsHtc, "Snap"}),
                new KeyValuePair<string, string[]>("HTC Touch2 T3320", new[] {StringsHtc, "Touch 2"}),
                new KeyValuePair<string, string[]>("HTC Touch2 T3333", new[] {StringsHtc, "Touch 2"}),
                new KeyValuePair<string, string[]>("HTC Touch2 T3335", new[] {StringsHtc, "Touch 2"}),
                new KeyValuePair<string, string[]>("HTC P3700", new[] {StringsHtc, "Touch Diamond"}),
                new KeyValuePair<string, string[]>("HTC Touch Diamond2 T5353", new[] {StringsHtc, "Touch Diamond 2"}),
                new KeyValuePair<string, string[]>("HTC Touch HD T8282", new[] {StringsHtc, "Touch HD"}),
                new KeyValuePair<string, string[]>("HTC Touch HD T8283", new[] {StringsHtc, "Touch HD"}),
                new KeyValuePair<string, string[]>("HTC Touch HD2 T8585", new[] {StringsHtc, "Touch HD2"}),
                new KeyValuePair<string, string[]>("HTC Touch Pro2 T7373", new[] {StringsHtc, "Touch Pro 2"}),
                new KeyValuePair<string, string[]>("T7380", new[] {StringsHtc, "Touch Pro 2"}),
                new KeyValuePair<string, string[]>("HTC TyTN II", new[] {StringsHtc, "TyTN II"}),
                new KeyValuePair<string, string[]>("GT-B7300", new[] {StringsSamsung, "Omnia Lite"}),
                new KeyValuePair<string, string[]>("GT-B7610", new[] {StringsSamsung, "Omnia Pro"}),
                new KeyValuePair<string, string[]>("GT-i8000", new[] {StringsSamsung, "Omnia 2"}),
                new KeyValuePair<string, string[]>("GT-I8000", new[] {StringsSamsung, "Omnia 2"}),
                new KeyValuePair<string, string[]>("GT-I8000U", new[] {StringsSamsung, "Omnia 2"}),
                new KeyValuePair<string, string[]>("M1i", new[] {StringsSonyEricsson, "M1i Aspen"})
            };

        /// <summary>
        /// wp设备
        /// </summary>
        internal static List<KeyValuePair<string, List<KeyValuePair<string, string[]>>>> WindowsPhoneModels =
            new List<KeyValuePair<string, List<KeyValuePair<string, string[]>>>>()
            {
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("Acer",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("Allegro", new[] {StringsAcer, "Allegro"}),
                        new KeyValuePair<string, string[]>("M310", new[] {StringsAcer, "Allegro"}),
                    }),
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("Asus",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("Galaxy6", new[] {StringsAsus, "Galaxy 6"})
                    }),
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("DELL",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("Venue Pro", new[] {"Dell", "Venue Pro"})
                    }),
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("FujitsuToshibaMobileCommun",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("IS12T", new[] {"Fujitsu Toshiba", "IS12T"})
                    }),
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("HTC",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("7 Mozart", new[] {StringsHtc, "7 Mozart"}),
                        new KeyValuePair<string, string[]>("7 Mozart T8698", new[] {StringsHtc, "7 Mozart"}),
                        new KeyValuePair<string, string[]>("T8697", new[] {StringsHtc, "7 Mozart"}),
                        new KeyValuePair<string, string[]>("T8698", new[] {StringsHtc, "7 Mozart"}),
                        new KeyValuePair<string, string[]>("PD67100", new[] {StringsHtc, "7 Mozart"}),
                        new KeyValuePair<string, string[]>("Mozart T8698", new[] {StringsHtc, "7 Mozart"}),
                        new KeyValuePair<string, string[]>("Mozart", new[] {StringsHtc, "7 Mozart"}),
                        new KeyValuePair<string, string[]>("USCCHTC-PC93100", new[] {StringsHtc, "Arrive"}),
                        new KeyValuePair<string, string[]>("Gold", new[] {StringsHtc, "Gold "}),
                        new KeyValuePair<string, string[]>("HD2", new[] {StringsHtc, "HD2"}),
                        new KeyValuePair<string, string[]>("HD7", new[] {StringsHtc, "HD7"}),
                        new KeyValuePair<string, string[]>("HD7 T9292", new[] {StringsHtc, "HD7"}),
                        new KeyValuePair<string, string[]>("T9295", new[] {StringsHtc, "HD7"}),
                        new KeyValuePair<string, string[]>("T9296", new[] {StringsHtc, "HD7"}),
                        new KeyValuePair<string, string[]>("HD7 Infinity", new[] {StringsHtc, "HD7"}),
                        new KeyValuePair<string, string[]>("T7575", new[] {StringsHtc, "7 Pro"}),
                        new KeyValuePair<string, string[]>("7 Pro T7576", new[] {StringsHtc, "7 Pro"}),
                        new KeyValuePair<string, string[]>("mwp6985", new[] {StringsHtc, "Trophy"}),
                        new KeyValuePair<string, string[]>("7 Trophy T8686", new[] {StringsHtc, "Trophy"}),
                        new KeyValuePair<string, string[]>("7 Trophy", new[] {StringsHtc, "Trophy"}),
                        new KeyValuePair<string, string[]>("PC40100", new[] {StringsHtc, "Trophy"}),
                        new KeyValuePair<string, string[]>("Touch-IT Trophy", new[] {StringsHtc, "Trophy"}),
                        new KeyValuePair<string, string[]>("Radar", new[] {StringsHtc, "Radar"}),
                        new KeyValuePair<string, string[]>("Radar 4G", new[] {StringsHtc, "Radar"}),
                        new KeyValuePair<string, string[]>("Radar C110e", new[] {StringsHtc, "Radar"}),
                        new KeyValuePair<string, string[]>("Mazaa", new[] {StringsHtc, "Mazaa"}),
                        new KeyValuePair<string, string[]>("Mondrian", new[] {StringsHtc, "Mondrian"}),
                        new KeyValuePair<string, string[]>("Schubert", new[] {StringsHtc, "Schubert"}),
                        new KeyValuePair<string, string[]>("7 Schubert T9292", new[] {StringsHtc, "Schubert"}),
                        new KeyValuePair<string, string[]>("Spark", new[] {StringsHtc, "Spark"}),
                        new KeyValuePair<string, string[]>("T8788", new[] {StringsHtc, "Surround"}),
                        new KeyValuePair<string, string[]>("TITAN X310e", new[] {StringsHtc, "Titan"}),
                        new KeyValuePair<string, string[]>("X310e", new[] {StringsHtc, "Titan"}),
                        new KeyValuePair<string, string[]>("PI39100", new[] {StringsHtc, "Titan"}),
                        new KeyValuePair<string, string[]>("PI86100", new[] {StringsHtc, "Titan II"}),
                        new KeyValuePair<string, string[]>("Ultimate", new[] {StringsHtc, "Ultimate"})
                    }),
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("LG",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("GW910", new[] {StringsLg, "Optimus 7"}),
                        new KeyValuePair<string, string[]>("LG E-900", new[] {StringsLg, "Optimus 7 E900"}),
                        new KeyValuePair<string, string[]>("LG-E900", new[] {StringsLg, "Optimus 7 E900"}),
                        new KeyValuePair<string, string[]>("LG-E900h", new[] {StringsLg, "Optimus 7 E900"}),
                        new KeyValuePair<string, string[]>("LG-C900", new[] {StringsLg, "Optimus 7Q"}),
                        new KeyValuePair<string, string[]>("LG-C900B", new[] {StringsLg, "Quantum"}),
                        new KeyValuePair<string, string[]>("LG-C900k", new[] {StringsLg, "Quantum"})
                    }),
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("nokia",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("SeaRay", new[] {"Nokia", "Lumia 800"}),
                        new KeyValuePair<string, string[]>("800C", new[] {"Nokia", "Lumia 800"}),
                    }),
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("NOKIA",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("710", new[] {"Nokia", "Lumia 710"}),
                        new KeyValuePair<string, string[]>("Nokia 710", new[] {"Nokia", "Lumia 710"}),
                        new KeyValuePair<string, string[]>("Lumia 710", new[] {"Nokia", "Lumia 710"}),
                        new KeyValuePair<string, string[]>("Lumia 719", new[] {"Nokia", "Lumia 719"}),
                        new KeyValuePair<string, string[]>("Lumia 800", new[] {"Nokia", "Lumia 800"}),
                        new KeyValuePair<string, string[]>("800", new[] {"Nokia", "Lumia 800"}),
                        new KeyValuePair<string, string[]>("Lumia 900", new[] {"Nokia", "Lumia 900"}),
                        new KeyValuePair<string, string[]>("XXX", new[] {"Nokia", "prototype"})
                    }),
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("SAMSUNG",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("GT-I8350", new[] {StringsSamsung, "Omnia W"}),
                        new KeyValuePair<string, string[]>("GT-I8350T", new[] {StringsSamsung, "Omnia W"}),
                        new KeyValuePair<string, string[]>("SGH-i677", new[] {StringsSamsung, "Focus Flash"}),
                        new KeyValuePair<string, string[]>("SGH-i707", new[] {StringsSamsung, "Taylor"}),
                        new KeyValuePair<string, string[]>("SGH-i917", new[] {StringsSamsung, "Omnia 7"}),
                        new KeyValuePair<string, string[]>("SGH-I917", new[] {StringsSamsung, "Omnia 7"}),
                        new KeyValuePair<string, string[]>("SGH-i917.", new[] {StringsSamsung, "Focus"}),
                        new KeyValuePair<string, string[]>("SGH-i917R", new[] {StringsSamsung, "Focus"}),
                        new KeyValuePair<string, string[]>("SGH-i937", new[] {StringsSamsung, "Focus S"}),
                        new KeyValuePair<string, string[]>("OMNIA7", new[] {StringsSamsung, "Omnia 7"}),
                        new KeyValuePair<string, string[]>("OMINA7", new[] {StringsSamsung, "Omnia 7"}),
                        new KeyValuePair<string, string[]>("Taylor", new[] {StringsSamsung, "Taylor"})
                    }),
                new KeyValuePair<string, List<KeyValuePair<string, string[]>>>("TOSHIBA",
                    new List<KeyValuePair<string, string[]>>()
                    {
                        new KeyValuePair<string, string[]>("TSUNAGI", new[] {"Toshiba", "Tsunagi"})
                    })
            };

        /// <summary>
        /// Android设备
        /// </summary>
        internal static List<KeyValuePair<string, string[]>> AndroidModels = new List<KeyValuePair<string, string[]>>()
        {
            new KeyValuePair<string, string[]>("Android", new[] {"", null}),
            new KeyValuePair<string, string[]>("google sdk", new[] {"", null}),
            new KeyValuePair<string, string[]>("sdk", new[] {"", null}),
            new KeyValuePair<string, string[]>("generic", new[] {"", null}),
            new KeyValuePair<string, string[]>("generic x86", new[] {"", null}),
            new KeyValuePair<string, string[]>("amd brazos", new[] {"AMD", "Fusionbased device"}),
            new KeyValuePair<string, string[]>("Amlogic M1 reference board", new[] {"Amlogic", "M1 reference board"}),
            new KeyValuePair<string, string[]>("AML8726M", new[] {"Amlogic", "AML8726-Mbased device"}),
            new KeyValuePair<string, string[]>("vexpress a9", new[] {"ARM", "Versatile Express development platform"}),
            new KeyValuePair<string, string[]>("bcm7231", new[] {"Broadcom", "BCM7231based device", "television"}),

            new KeyValuePair<string, string[]>("bcm7425", new[] {"Broadcom", "BCM7425based device", "television"}),
            new KeyValuePair<string, string[]>("bcm7429", new[] {"Broadcom", "BCM7429based device", "television"}),
            new KeyValuePair<string, string[]>("imx50 rdp", new[] {"Freescale", "i.MX50based device"}),
            new KeyValuePair<string, string[]>("imx51 bbg", new[] {"Freescale", "i.MX51based device"}),
            new KeyValuePair<string, string[]>("imx53 loco", new[] {"Freescale", "i.MX53based device"}),
            new KeyValuePair<string, string[]>("imx53 mp204f3", new[] {"Freescale", "i.MX53based device"}),
            new KeyValuePair<string, string[]>("imx53 smd", new[] {"Freescale", "i.MX53based device"}),
            new KeyValuePair<string, string[]>("imx53 yeagle", new[] {"Freescale", "i.MX53based device"}),
            new KeyValuePair<string, string[]>("imx6q", new[] {"Freescale", "i.MX6Qbased device"}),
            new KeyValuePair<string, string[]>("ODROID-A", new[] {"Hardkernel", "ODROID-A developer tablet", "tablet"}),
            new KeyValuePair<string, string[]>("mfld dv10", new[] {"Intel", "Medfieldbased device"}),
            new KeyValuePair<string, string[]>("mfld dv20", new[] {"Intel", "Medfieldbased device"}),
            new KeyValuePair<string, string[]>("mfld lw00", new[] {"Intel", "Medfieldbased device"}),
            new KeyValuePair<string, string[]>("mfld pr2", new[] {"Intel", "Medfieldbased device"}),
            new KeyValuePair<string, string[]>("mfld pr3", new[] {"Intel", "Medfieldbased device"}),
            new KeyValuePair<string, string[]>("berlin bg2",
                new[] {"Marvell", "Armada 1000based device", "television"}),
            new KeyValuePair<string, string[]>("MStar Amber3", new[] {"MStar", "Amber3based device"}),
            new KeyValuePair<string, string[]>("Konka Amber3", new[] {"MStar", "Amber3based device"}),
            new KeyValuePair<string, string[]>("mt5396", new[] {"Mediatek", "MT5396based device", "television"}),
            new KeyValuePair<string, string[]>("bird75v2", new[] {"Mediatek", "MT6575based device"}),
            new KeyValuePair<string, string[]>("eagle75v1 2", new[] {"Mediatek", "MT6575based device"}),
            new KeyValuePair<string, string[]>("MBX DVBT reference board (c03ref)",
                new[] {"MXB", "DVBT reference board", "television"}),
            new KeyValuePair<string, string[]>("NS2816", new[] {"Nufront", "NuSmart 2816based device"}),
            new KeyValuePair<string, string[]>("Ventana", new[] {"nVidia", "Tegra Ventana development kit"}),
            new KeyValuePair<string, string[]>("Cardhu", new[] {"nVidia", "Tegra 3based device"}),
            new KeyValuePair<string, string[]>("Panda", new[] {"Pandaboard", "Development Kit"}),
            new KeyValuePair<string, string[]>("pandaboard", new[] {"Pandaboard", "Development Kit"}),
            new KeyValuePair<string, string[]>("PandaBoard", new[] {"Pandaboard", "Development Kit"}),
            new KeyValuePair<string, string[]>("MSM", new[] {"Qualcomm", "Snapdragonbased device"}),
            new KeyValuePair<string, string[]>("msm7227 ffa", new[] {"Qualcomm", "Snapdragon S1based device"}),
            new KeyValuePair<string, string[]>("msm7627 surf", new[] {"Qualcomm", "Snapdragon S1based device"}),
            new KeyValuePair<string, string[]>("msm7627a", new[] {"Qualcomm", "Snapdragon S1based device"}),
            new KeyValuePair<string, string[]>("msm7627a sku1", new[] {"Qualcomm", "Snapdragon S1based device"}),
            new KeyValuePair<string, string[]>("msm7627a sku3", new[] {"Qualcomm", "Snapdragon S1based device"}),
            new KeyValuePair<string, string[]>("msm7630 fusion", new[] {"Qualcomm", "Snapdragon S2based device"}),
            new KeyValuePair<string, string[]>("msm7630 surf", new[] {"Qualcomm", "Snapdragon S2based device"}),
            new KeyValuePair<string, string[]>("msm8660 cougar", new[] {"Qualcomm", "Snapdragon S3based device"}),
            new KeyValuePair<string, string[]>("msm8660 surf", new[] {"Qualcomm", "Snapdragon S3based device"}),
            new KeyValuePair<string, string[]>("msm8960", new[] {"Qualcomm", "Snapdragon S4based device"}),
            new KeyValuePair<string, string[]>("rk2808sdk", new[] {"Rockchip", "RK2808based device"}),
            new KeyValuePair<string, string[]>("RK2818", new[] {"Rockchip", "RK2818based device"}),
            new KeyValuePair<string, string[]>("rk2818sdk", new[] {"Rockchip", "RK2818based device"}),
            new KeyValuePair<string, string[]>("Android-for-Rockchip-2818", new[] {"Rockchip", "RK2818based device"}),
            new KeyValuePair<string, string[]>("rk29sdk", new[] {"Rockchip", "RK29based device"}),
            new KeyValuePair<string, string[]>("Rk29sdk", new[] {"Rockchip", "RK29based device"}),
            new KeyValuePair<string, string[]>("rk30sdk", new[] {"Rockchip", "RK30based device"}),
            new KeyValuePair<string, string[]>("s3c6410", new[] {"Samsung", "S3C6410based device"}),
            new KeyValuePair<string, string[]>("smdk6410", new[] {"Samsung", "S3C6410based device"}),
            new KeyValuePair<string, string[]>("SMDKC110", new[] {"Samsung", "Exynos 3110based device"}),
            new KeyValuePair<string, string[]>("SMDKV210", new[] {"Samsung", "Exynos 4210based device"}),
            new KeyValuePair<string, string[]>("S5PV210", new[] {"Samsung", "Exynos 4210based device"}),
            new KeyValuePair<string, string[]>("sec smdkc210", new[] {"Samsung", "Exynos 4210based device"}),
            new KeyValuePair<string, string[]>("SMDK4x12", new[] {"Samsung", "Exynos 4212 or 4412based device"}),
            new KeyValuePair<string, string[]>("smp86xx", new[] {"Sigma", "SMP86xxbased device", "television"}),
            new KeyValuePair<string, string[]>("sv8860", new[] {"Skyviia", "SV8860based device", "television"}),
            new KeyValuePair<string, string[]>("ste u8500", new[] {"ST Ericsson", "Novathor U8500based device"}),
            new KeyValuePair<string, string[]>("Telechips M801 Evaluation Board",
                new[] {"Telechips", "M801based device", "television"}),
            new KeyValuePair<string, string[]>("Telechips TCC8900 Evaluation Board",
                new[] {"Telechips", "TCC8900based device", "television"}),
            new KeyValuePair<string, string[]>("TCC8920 STB EV",
                new[] {"Telechips", "TCC8920based device", "television"}),
            new KeyValuePair<string, string[]>("OMAP", new[] {"Texas Instruments", "OMAPbased device"}),
            new KeyValuePair<string, string[]>("OMAP SS", new[] {"Texas Instruments", "OMAPbased device"}),
            new KeyValuePair<string, string[]>("LogicPD Zoom2", new[] {"Texas Instruments", "OMAPbased device"}),
            new KeyValuePair<string, string[]>("omap3evm", new[] {"Texas Instruments", "OMAP3based device"}),
            new KeyValuePair<string, string[]>("Omap5sevm", new[] {"Texas Instruments", "OMAP5based device"}),
            new KeyValuePair<string, string[]>("pnx8473 kiryung",
                new[] {"Trident", "PNX8473based device", "television"}),
            new KeyValuePair<string, string[]>("crespo", new[] {"Google", "Nexus S"}),
            new KeyValuePair<string, string[]>("Crespo", new[] {"Google", "Nexus S"}),
            new KeyValuePair<string, string[]>("Crespo4G", new[] {"Google", "Nexus S"}),
            new KeyValuePair<string, string[]>("Passion", new[] {"Google", "Nexus One"}),
            new KeyValuePair<string, string[]>("Bravo", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("dream", new[] {"HTC", "Dream"}),
            new KeyValuePair<string, string[]>("Vogue", new[] {"HTC", "Touch"}),
            new KeyValuePair<string, string[]>("Vendor Optimus", new[] {"LG", "Optimus"}),
            new KeyValuePair<string, string[]>("Stingray", new[] {"Motorola", "XOOM", "tablet"}),
            new KeyValuePair<string, string[]>("Wingray", new[] {"Motorola", "XOOM", "tablet"}),
            new KeyValuePair<string, string[]>("maguro", new[] {"Samsung", "Galaxy Nexus"}),
            new KeyValuePair<string, string[]>("Maguro", new[] {"Samsung", "Galaxy Nexus"}),
            new KeyValuePair<string, string[]>("Toro-VZW", new[] {"Samsung", "Galaxy Nexus"}),
            new KeyValuePair<string, string[]>("blaze", new[] {"Texas Instruments", "Blaze Tablet", "tablet"}),
            new KeyValuePair<string, string[]>("Blaze", new[] {"Texas Instruments", "Blaze Tablet", "tablet"}),
            new KeyValuePair<string, string[]>("Blaze Tablet", new[] {"Texas Instruments", "Blaze Tablet", "tablet"}),
            new KeyValuePair<string, string[]>("BlueStacks", new[] {"BlueStacks", "App Player", "desktop"}),
            new KeyValuePair<string, string[]>("youwave custom", new[] {"Youwave", "Android on PC", "desktop"}),
            new KeyValuePair<string, string[]>("A100", new[] {"Acer", "Iconia Tab A100", "tablet"}),
            new KeyValuePair<string, string[]>("A101", new[] {"Acer", "Iconia Tab A101", "tablet"}),
            new KeyValuePair<string, string[]>("A200", new[] {"Acer", "Iconia Tab A200", "tablet"}),
            new KeyValuePair<string, string[]>("A500", new[] {"Acer", "Iconia Tab A500", "tablet"}),
            new KeyValuePair<string, string[]>("A501", new[] {"Acer", "Iconia Tab A501", "tablet"}),
            new KeyValuePair<string, string[]>("A510", new[] {"Acer", "Iconia Tab A510", "tablet"}),
            new KeyValuePair<string, string[]>("A511", new[] {"Acer", "Iconia Tab A511", "tablet"}),
            new KeyValuePair<string, string[]>("A700", new[] {"Acer", "Iconia Tab A700", "tablet"}),
            new KeyValuePair<string, string[]>("Acer A800", new[] {"Acer", "Iconia Tab A800", "tablet"}),
            new KeyValuePair<string, string[]>("E110", new[] {"Acer", "beTouch E110"}),
            new KeyValuePair<string, string[]>("E120", new[] {"Acer", "beTouch E120"}),
            new KeyValuePair<string, string[]>("E130", new[] {"Acer", "beTouch E130"}),
            new KeyValuePair<string, string[]>("E140", new[] {"Acer", "beTouch E140"}),
            new KeyValuePair<string, string[]>("E210", new[] {"Acer", "beTouch E210"}),
            new KeyValuePair<string, string[]>("E310", new[] {"Acer", "Liquid mini"}),
            new KeyValuePair<string, string[]>("E320", new[] {"Acer", "Liquid Express"}),
            new KeyValuePair<string, string[]>("E330", new[] {"Acer", "Liquid Glow"}),
            new KeyValuePair<string, string[]>("E400", new[] {"Acer", "beTouch E400"}),
            new KeyValuePair<string, string[]>("G100W", new[] {"Acer", "G100W"}),
            new KeyValuePair<string, string[]>("S100", new[] {"Acer", "Liquid"}),
            new KeyValuePair<string, string[]>("S110", new[] {"Acer", "Stream"}),
            new KeyValuePair<string, string[]>("S120", new[] {"Acer", "Liquid mt"}),
            new KeyValuePair<string, string[]>("S300", new[] {"Acer", "Iconia Smart"}),
            new KeyValuePair<string, string[]>("S500", new[] {"Acer", "CloudMobile"}),
            new KeyValuePair<string, string[]>("TD600", new[] {"Acer", "beTouch TD600"}),
            new KeyValuePair<string, string[]>("Liquid", new[] {"Acer", "Liquid"}),
            new KeyValuePair<string, string[]>("Liquid E", new[] {"Acer", "Liquid E"}),
            new KeyValuePair<string, string[]>("Liquid Mt", new[] {"Acer", "Liquid mt"}),
            new KeyValuePair<string, string[]>("Liquid MT", new[] {"Acer", "Liquid mt"}),
            new KeyValuePair<string, string[]>("Liquid Metal", new[] {"Acer", "Liquid mt"}),
            new KeyValuePair<string, string[]>("Stream", new[] {"Acer", "Stream"}),
            new KeyValuePair<string, string[]>("N700", new[] {"aigo", "N700", "tablet"}),
            new KeyValuePair<string, string[]>("M801", new[] {"aigo", "M801", "tablet"}),
            new KeyValuePair<string, string[]>("Novo7", new[] {"Ainovo", "Novo7", "tablet"}),
            new KeyValuePair<string, string[]>("Novo7 Aurora", new[] {"Ainovo", "Novo7 Aurora", "tablet"}),
            new KeyValuePair<string, string[]>("Novo7 Advanced", new[] {"Ainovo", "Novo7 Advanced", "tablet"}),
            new KeyValuePair<string, string[]>("Novo7 Advanced2", new[] {"Ainovo", "Novo7 Advanced 2", "tablet"}),
            new KeyValuePair<string, string[]>("Novo7 Basic", new[] {"Ainovo", "Novo7 Basic", "tablet"}),
            new KeyValuePair<string, string[]>("Novo7 ELF", new[] {"Ainovo", "Novo7 Elf", "tablet"}),
            new KeyValuePair<string, string[]>("Novo7 PALADIN", new[] {"Ainovo", "Novo7 Paladin", "tablet"}),
            new KeyValuePair<string, string[]>("Novo8 Advanced", new[] {"Ainovo", "Novo8 Advanced", "tablet"}),
            new KeyValuePair<string, string[]>("one touch 890", new[] {"Alcatel", "One Touch 890"}),


            new KeyValuePair<string, string[]>("one touch 890D", new[] {"Alcatel", "One Touch 890"}),
            new KeyValuePair<string, string[]>("one touch 891", new[] {"Alcatel", "One Touch 891"}),
            new KeyValuePair<string, string[]>("ONE TOUCH 903", new[] {"Alcatel", "One Touch 903SHV-E170K"}),
            new KeyValuePair<string, string[]>("one touch 906", new[] {"Alcatel", "One Touch 906"}),
            new KeyValuePair<string, string[]>("one touch 908", new[] {"Alcatel", "One Touch 908"}),
            new KeyValuePair<string, string[]>("one touch 908F", new[] {"Alcatel", "One Touch 908"}),
            new KeyValuePair<string, string[]>("one touch 908S", new[] {"Alcatel", "One Touch 908"}),
            new KeyValuePair<string, string[]>("one touch 910", new[] {"Alcatel", "One Touch 910"}),
            new KeyValuePair<string, string[]>("one touch 918", new[] {"Alcatel", "One Touch 918"}),
            new KeyValuePair<string, string[]>("one touch 918D", new[] {"Alcatel", "One Touch 918"}),
            new KeyValuePair<string, string[]>("ONE TOUCH 918D", new[] {"Alcatel", "One Touch 918"}),
            new KeyValuePair<string, string[]>("one touch 918M", new[] {"Alcatel", "One Touch 918"}),
            new KeyValuePair<string, string[]>("one touch 918N", new[] {"Alcatel", "One Touch 918"}),
            new KeyValuePair<string, string[]>("one touch 980", new[] {"Alcatel", "One Touch 980"}),
            new KeyValuePair<string, string[]>("one touch 980A", new[] {"Alcatel", "One Touch 980"}),
            new KeyValuePair<string, string[]>("one touch 981A", new[] {"Alcatel", "One Touch 981"}),
            new KeyValuePair<string, string[]>("one touch 986", new[] {"Alcatel", "One Touch 986"}),
            new KeyValuePair<string, string[]>("one touch 990", new[] {"Alcatel", "One Touch 990"}),
            new KeyValuePair<string, string[]>("one touch 990A", new[] {"Alcatel", "One Touch 990"}),
            new KeyValuePair<string, string[]>("one touch 991", new[] {"Alcatel", "One Touch 991"}),
            new KeyValuePair<string, string[]>("one touch 991D", new[] {"Alcatel", "One Touch 991"}),
            new KeyValuePair<string, string[]>("ONE TOUCH 993", new[] {"Alcatel", "One Touch 993"}),
            new KeyValuePair<string, string[]>("one touch 995", new[] {"Alcatel", "One Touch 995"}),
            new KeyValuePair<string, string[]>("Telenor OneTouch", new[] {"Alcatel", "One Touch 990"}),
            new KeyValuePair<string, string[]>("OT 918", new[] {"Alcatel", "One Touch 918"}),
            new KeyValuePair<string, string[]>("Venture", new[] {"Alcatel", "Venture"}),
            new KeyValuePair<string, string[]>("Allwinner A10", new[] {"AllWinner", "A10", "tablet"}),
            new KeyValuePair<string, string[]>("97FC", new[] {"AllWinner", "A10 97FC", "tablet"}),
            new KeyValuePair<string, string[]>("Kindle Fire", new[] {"Amazon", "Kindle Fire", "tablet"}),
            new KeyValuePair<string, string[]>("Amazon Kindle Fire", new[] {"Amazon", "Kindle Fire", "tablet"}),
            new KeyValuePair<string, string[]>("AMD120", new[] {"AnyDATA", "AnyTAB AMD120", "tablet"}),
            new KeyValuePair<string, string[]>("MW0811", new[] {"AOC", "Breeze MW0811", "tablet"}),
            new KeyValuePair<string, string[]>("MW0821 V2.0", new[] {"AOC", "Breeze MW0821", "tablet"}),
            new KeyValuePair<string, string[]>("MW0922", new[] {"AOC", "Breeze MW0922", "tablet"}),
            new KeyValuePair<string, string[]>("Apanda A60", new[] {"Apanda", "A60"}),
            new KeyValuePair<string, string[]>("apanda-A60", new[] {"Apanda", "A60"}),
            new KeyValuePair<string, string[]>("A80KSC", new[] {"Archos", "Arnova 8", "tablet"}),
            new KeyValuePair<string, string[]>("AN7CG2", new[] {"Archos", "Arnova 7", "tablet"}),
            new KeyValuePair<string, string[]>("A101B", new[] {"Archos", "Arnova 10", "tablet"}),
            new KeyValuePair<string, string[]>("AN10BG2DT", new[] {"Archos", "Arnova 10 B", "tablet"}),
            new KeyValuePair<string, string[]>("AN10G2", new[] {"Archos", "Arnova 10 G2", "tablet"}),
            new KeyValuePair<string, string[]>("A32", new[] {"Archos", "32", "media"}),
            new KeyValuePair<string, string[]>("A35DE", new[] {"Archos", "35 Smart Home Phone"}),
            new KeyValuePair<string, string[]>("A43", new[] {"Archos", "43", "media"}),
            new KeyValuePair<string, string[]>("Archos5", new[] {"Archos", "5", "media"}),
            new KeyValuePair<string, string[]>("A70H", new[] {"Archos", "7", "tablet"}),
            new KeyValuePair<string, string[]>("A70HB", new[] {"Archos", "7", "tablet"}),
            new KeyValuePair<string, string[]>("A70BHT", new[] {"Archos", "7", "tablet"}),
            new KeyValuePair<string, string[]>("A70CHT", new[] {"Archos", "7C", "tablet"}),
            new KeyValuePair<string, string[]>("A70S", new[] {"Archos", "70", "tablet"}),
            new KeyValuePair<string, string[]>("A7EB", new[] {"Archos", "70B", "tablet"}),
            new KeyValuePair<string, string[]>("ARCHOS 70it2", new[] {"Archos", "70 IT 2", "tablet"}),
            new KeyValuePair<string, string[]>("ARCHOS 80G9", new[] {"Archos", "80 G9", "tablet"}),
            new KeyValuePair<string, string[]>("ARCHOS 101G9", new[] {"Archos", "101 G9", "tablet"}),
            new KeyValuePair<string, string[]>("A101IT", new[] {"Archos", "101 IT", "tablet"}),
            new KeyValuePair<string, string[]>("ASTRI", new[] {"ASTRI", "e-reader", "ereader"}),
            new KeyValuePair<string, string[]>("eeepc", new[] {"Asus", "Eee Pc"}),
            new KeyValuePair<string, string[]>("asus laptop", new[] {"Asus", "Eee Pc"}),
            new KeyValuePair<string, string[]>("ME171", new[] {"Asus", "Eee Pad MeMO", "tablet"}),
            new KeyValuePair<string, string[]>("Slider SL101", new[] {"Asus", "Eee Pad Slider", "tablet"}),
            new KeyValuePair<string, string[]>("EPAD", new[] {"Asus", "Eee Pad Transformer", "tablet"}),
            new KeyValuePair<string, string[]>("TF101", new[] {"Asus", "Eee Pad Transformer", "tablet"}),
            new KeyValuePair<string, string[]>("Transformer TF101", new[] {"Asus", "Eee Pad Transformer", "tablet"}),
            new KeyValuePair<string, string[]>("Transformer TF101G", new[] {"Asus", "Eee Pad Transformer", "tablet"}),
            new KeyValuePair<string, string[]>("TF201", new[] {"Asus", "Eee Pad Transformer Prime", "tablet"}),
            new KeyValuePair<string, string[]>("Transformer Prime TF201",
                new[] {"Asus", "Eee Pad Transformer Prime", "tablet"}),
            new KeyValuePair<string, string[]>("Transformer Prime",
                new[] {"Asus", "Eee Pad Transformer Prime", "tablet"}),
            new KeyValuePair<string, string[]>("Transformer Pad TF300T",
                new[] {"Asus", "Transformer Pad 300", "tablet"}),
            new KeyValuePair<string, string[]>("ASUS Transformer TF300T",
                new[] {"Asus", "Transformer Pad 300", "tablet"}),
            new KeyValuePair<string, string[]>("ASUS Transformer Pad TF300T",
                new[] {"Asus", "Transformer Pad 300", "tablet"}),
            new KeyValuePair<string, string[]>("ASUS Transformer Pad TF300TG",
                new[] {"Asus", "Transformer Pad 300", "tablet"}),
            new KeyValuePair<string, string[]>("ASUS Transformer Pad TF700T",
                new[] {"Asus", "Transformer Pad Infinity 700", "tablet"}),
            new KeyValuePair<string, string[]>("ASUS Transformer Pad TF700K",
                new[] {"Asus", "Transformer Pad Infinity 700", "tablet"}),
            new KeyValuePair<string, string[]>("ASUS Transformer TF700K",
                new[] {"Asus", "Transformer Pad Infinity 700", "tablet"}),
            new KeyValuePair<string, string[]>("PadFone", new[] {"Asus", "Padfone", "tablet"}),
            new KeyValuePair<string, string[]>("OMS TTD", new[] {"Asus", "Eee Pc T10"}),
            new KeyValuePair<string, string[]>("ASUS T20", new[] {"Asus", "Eee Pc T20"}),
            new KeyValuePair<string, string[]>("ETBW11AA", new[] {"Asus", "Tough"}),
            new KeyValuePair<string, string[]>("AUX V900", new[] {"AUX", "V900"}),
            new KeyValuePair<string, string[]>("M910A", new[] {"AUX", "M910"}),
            new KeyValuePair<string, string[]>("PICOpad-QGN", new[] {"Axioo", "Picopad QGN", "tablet"}),
            new KeyValuePair<string, string[]>("NOOK", new[] {"Barnes & Noble", "NOOK", "ereader"}),
            new KeyValuePair<string, string[]>("NookColor", new[] {"Barnes & Noble", "NOOK Color", "ereader"}),
            new KeyValuePair<string, string[]>("NOOK BNRV200", new[] {"Barnes & Noble", "NOOK Color", "ereader"}),
            new KeyValuePair<string, string[]>("NOOK BNRV300", new[] {"Barnes & Noble", "NOOK Color", "ereader"}),
            new KeyValuePair<string, string[]>("NookTablet", new[] {"Barnes & Noble", "NOOK Tablet", "ereader"}),
            new KeyValuePair<string, string[]>("Nook Tablet", new[] {"Barnes & Noble", "NOOK Tablet", "ereader"}),
            new KeyValuePair<string, string[]>("NOOK BNTV250", new[] {"Barnes & Noble", "NOOK Tablet", "ereader"}),
            new KeyValuePair<string, string[]>("NOOK BNTV250A", new[] {"Barnes & Noble", "NOOK Tablet", "ereader"}),
            new KeyValuePair<string, string[]>("BNTV250", new[] {"Barnes & Noble", "NOOK Tablet", "ereader"}),
            new KeyValuePair<string, string[]>("BNTV250A", new[] {"Barnes & Noble", "NOOK Tablet", "ereader"}),
            new KeyValuePair<string, string[]>("NOOK Slate", new[] {"Barnes & Noble", "NOOK Tablet", "ereader"}),
            new KeyValuePair<string, string[]>("BenWee 5100", new[] {"BenWee", "5100"}),
            new KeyValuePair<string, string[]>("CA907AAC0G", new[] {"Besta", "CA907AAC0G"}),
            new KeyValuePair<string, string[]>("BM999", new[] {"Bmorn", "BM999", "tablet"}),
            new KeyValuePair<string, string[]>("V11", new[] {"Bmorn", "V11", "tablet"}),
            new KeyValuePair<string, string[]>("V99", new[] {"Bmorn", "V99", "tablet"}),
            new KeyValuePair<string, string[]>("bq DaVinci", new[] {"bq", "DaVinci", "tablet"}),
            new KeyValuePair<string, string[]>("CT704", new[] {"Carrefour", "CT704", "tablet"}),
            new KeyValuePair<string, string[]>("CT1002", new[] {"Carrefour", "CT1002", "tablet"}),
            new KeyValuePair<string, string[]>("Camangi-Mangrove7", new[] {"Camangi", "Mangrove 7", "tablet"}),
            new KeyValuePair<string, string[]>("WS171", new[] {"Camangi", "WebStation", "tablet"}),
            new KeyValuePair<string, string[]>("IS11CA", new[] {"Casio", "GzOne IS11CA"}),
            new KeyValuePair<string, string[]>("C771", new[] {"Casio", "GzOne Commando"}),
            new KeyValuePair<string, string[]>("CAT NOVA", new[] {"Cat", "NOVA", "tablet"}),
            new KeyValuePair<string, string[]>("ARMM3V", new[] {"chinaleap", "ARMM3V", "tablet"}),
            new KeyValuePair<string, string[]>("CIUS-7", new[] {"Cisco", "Cius", "tablet"}),
            new KeyValuePair<string, string[]>("CIUS-7-AT", new[] {"Cisco", "Cius", "tablet"}),
            new KeyValuePair<string, string[]>("CSL Spice MI300", new[] {"CSL", "Spice MI300"}),
            new KeyValuePair<string, string[]>("CSL-MI410", new[] {"CSL", "Spice MI410"}),
            new KeyValuePair<string, string[]>("MID1024", new[] {"Coby", "Kyros MID1024", "tablet"}),
            new KeyValuePair<string, string[]>("MID1125", new[] {"Coby", "Kyros MID1125", "tablet"}),
            new KeyValuePair<string, string[]>("MID1126", new[] {"Coby", "Kyros MID1126", "tablet"}),
            new KeyValuePair<string, string[]>("MID7010", new[] {"Coby", "Kyros MID7010", "tablet"}),
            new KeyValuePair<string, string[]>("MID7012", new[] {"Coby", "Kyros MID7012", "tablet"}),
            new KeyValuePair<string, string[]>("MID7015", new[] {"Coby", "Kyros MID7015", "tablet"}),
            new KeyValuePair<string, string[]>("MID7015A", new[] {"Coby", "Kyros MID7015", "tablet"}),
            new KeyValuePair<string, string[]>("MID7016", new[] {"Coby", "Kyros MID7016", "tablet"}),
            new KeyValuePair<string, string[]>("MID7020", new[] {"Coby", "Kyros MID7020", "tablet"}),
            new KeyValuePair<string, string[]>("MID7022", new[] {"Coby", "Kyros MID7022", "tablet"}),
            new KeyValuePair<string, string[]>("MID7024", new[] {"Coby", "Kyros MID7024", "tablet"}),
            new KeyValuePair<string, string[]>("MID7025", new[] {"Coby", "Kyros MID7025", "tablet"}),
            new KeyValuePair<string, string[]>("MID7127", new[] {"Coby", "Kyros MID7127", "tablet"}),
            new KeyValuePair<string, string[]>("MID8024", new[] {"Coby", "Kyros MID8024", "tablet"}),
            new KeyValuePair<string, string[]>("MID8125", new[] {"Coby", "Kyros MID8125", "tablet"}),
            new KeyValuePair<string, string[]>("MID8127", new[] {"Coby", "Kyros MID8127", "tablet"}),
            new KeyValuePair<string, string[]>("Z71", new[] {"Commtiva", "Z71"}),
            new KeyValuePair<string, string[]>("V-T100", new[] {"Commtiva", "V-T100"}),
            new KeyValuePair<string, string[]>("FIH-FB0", new[] {"Commtiva", "HD700"}),
            new KeyValuePair<string, string[]>("Coolpad D510", new[] {"Coolpad", "D510"}),
            new KeyValuePair<string, string[]>("Coolpad 8020", new[] {"Coolpad", "8020"}),
            new KeyValuePair<string, string[]>("D530", new[] {"Coolpad", "D530"}),
            new KeyValuePair<string, string[]>("Coolpad D530", new[] {"Coolpad", "D530"}),
            new KeyValuePair<string, string[]>("D539", new[] {"Coolpad", "D539"}),
            new KeyValuePair<string, string[]>("Coolpad D539", new[] {"Coolpad", "D539"}),
            new KeyValuePair<string, string[]>("E239", new[] {"Coolpad", "E239"}),
            new KeyValuePair<string, string[]>("Coolpad E239", new[] {"Coolpad", "E239"}),
            new KeyValuePair<string, string[]>("Coolpad N930", new[] {"Coolpad", "N930"}),
            new KeyValuePair<string, string[]>("N930", new[] {"Coolpad", "N930"}),
            new KeyValuePair<string, string[]>("Coolpad W706", new[] {"Coolpad", "W706"}),
            new KeyValuePair<string, string[]>("Coolpad W706+", new[] {"Coolpad", "W706"}),
            new KeyValuePair<string, string[]>("Coolpad W708", new[] {"Coolpad", "W708"}),
            new KeyValuePair<string, string[]>("W711", new[] {"Coolpad", "W711"}),
            new KeyValuePair<string, string[]>("Coolpad 5010", new[] {"Coolpad", "5010"}),
            new KeyValuePair<string, string[]>("Coolpad 5210", new[] {"Coolpad", "5210"}),
            new KeyValuePair<string, string[]>("Coolpad 5820", new[] {"Coolpad", "5820"}),
            new KeyValuePair<string, string[]>("5832", new[] {"Coolpad", "5832"}),
            new KeyValuePair<string, string[]>("Coolpad 5832", new[] {"Coolpad", "5832"}),
            new KeyValuePair<string, string[]>("5855", new[] {"Coolpad", "5855"}),
            new KeyValuePair<string, string[]>("Coolpad 5860", new[] {"Coolpad", "5860"}),
            new KeyValuePair<string, string[]>("Coolpad 5860+", new[] {"Coolpad", "5860"}),
            new KeyValuePair<string, string[]>("Coolpad 5860s", new[] {"Coolpad", "5860"}),
            new KeyValuePair<string, string[]>("5860", new[] {"Coolpad", "5860"}),
            new KeyValuePair<string, string[]>("5860A", new[] {"Coolpad", "5860"}),
            new KeyValuePair<string, string[]>("Coolpad 5870", new[] {"Coolpad", "5870"}),
            new KeyValuePair<string, string[]>("5870", new[] {"Coolpad", "5870"}),
            new KeyValuePair<string, string[]>("Coolpad 7005", new[] {"Coolpad", "7005"}),
            new KeyValuePair<string, string[]>("7260", new[] {"Coolpad", "7260"}),
            new KeyValuePair<string, string[]>("Coolpad 7019", new[] {"Coolpad", "7019"}),
            new KeyValuePair<string, string[]>("Coolpad 7260", new[] {"Coolpad", "7260"}),
            new KeyValuePair<string, string[]>("Coolpad 8013", new[] {"Coolpad", "8013"}),
            new KeyValuePair<string, string[]>("Coolpad 8809", new[] {"Coolpad", "8809"}),
            new KeyValuePair<string, string[]>("Coolpad 8810", new[] {"Coolpad", "8810"}),
            new KeyValuePair<string, string[]>("8810", new[] {"Coolpad", "8810"}),
            new KeyValuePair<string, string[]>("8150", new[] {"Coolpad", "8150"}),
            new KeyValuePair<string, string[]>("Coolpad 8150D", new[] {"Coolpad", "8150"}),

            new KeyValuePair<string, string[]>("Coolpad 8811", new[] {"Coolpad", "8811"}),
            new KeyValuePair<string, string[]>("Coolpad 9900", new[] {"Coolpad", "9900"}),
            new KeyValuePair<string, string[]>("Coolpad 8050", new[] {"Coolpad", "8050"}),
            new KeyValuePair<string, string[]>("ZiiO7", new[] {"Creative", "ZiiO 7", "tablet"}),
            new KeyValuePair<string, string[]>("ZiiLABS ZiiO7", new[] {"Creative", "ZiiO 7", "tablet"}),
            new KeyValuePair<string, string[]>("ZiiLABS ZiiO10 ", new[] {"Creative", "ZiiO 10", "tablet"}),
            new KeyValuePair<string, string[]>("CUBE K8GT A", new[] {"Cube", "K8GT A", "tablet"}),
            new KeyValuePair<string, string[]>("CUBE K8GT B", new[] {"Cube", "K8GT B", "tablet"}),
            new KeyValuePair<string, string[]>("K8GT C", new[] {"Cube", "K8GT C", "tablet"}),
            new KeyValuePair<string, string[]>("K8GT H", new[] {"Cube", "K8GT H", "tablet"}),
            new KeyValuePair<string, string[]>("CUBE K8GT H", new[] {"Cube", "K8GT H", "tablet"}),
            new KeyValuePair<string, string[]>("K8GT W", new[] {"Cube", "K8GT W", "tablet"}),
            new KeyValuePair<string, string[]>("CUBE U8GT", new[] {"Cube", "U8GT", "tablet"}),
            new KeyValuePair<string, string[]>("CUBE U9GT", new[] {"Cube", "U9GT", "tablet"}),
            new KeyValuePair<string, string[]>("CUBE U9GT 2", new[] {"Cube", "U9GT 2", "tablet"}),
            new KeyValuePair<string, string[]>("Cube U9GT2", new[] {"Cube", "U9GT 2", "tablet"}),
            new KeyValuePair<string, string[]>("U9GT", new[] {"Cube", "U9GT", "tablet"}),
            new KeyValuePair<string, string[]>("U9GT2 From moage.com", new[] {"Cube", "U9GT 2", "tablet"}),
            new KeyValuePair<string, string[]>("N90 From moage.com", new[] {"Cube", "U9GT 2", "tablet"}),
            new KeyValuePair<string, string[]>("U9GT S", new[] {"Cube", "U9GT S", "tablet"}),
            new KeyValuePair<string, string[]>("U9GT S A", new[] {"Cube", "U9GT SA", "tablet"}),
            new KeyValuePair<string, string[]>("U9GTS A", new[] {"Cube", "U9GT SA", "tablet"}),
            new KeyValuePair<string, string[]>("U10GT 2", new[] {"Cube", "U10GT 2", "tablet"}),
            new KeyValuePair<string, string[]>("U10GT S", new[] {"Cube", "U10GT S", "tablet"}),
            new KeyValuePair<string, string[]>("U30GT-H", new[] {"Cube", "U30GT H", "tablet"}),
            new KeyValuePair<string, string[]>("CUBE Q7PRO", new[] {"Cube", "Q7 Pro", "tablet"}),
            new KeyValuePair<string, string[]>("CUBE Q7PRO J", new[] {"Cube", "Q7 Pro", "tablet"}),
            new KeyValuePair<string, string[]>("Cydle M7 (v0005.04.03.12.ko)",
                new[] {"Cydle", "M7 MultiPAD", "tablet"}),
            new KeyValuePair<string, string[]>("Dell Aero", new[] {"Dell", "Aero"}),
            new KeyValuePair<string, string[]>("Dell M01M", new[] {"Dell", "Mini 5", "tablet"}),
            new KeyValuePair<string, string[]>("Dell Streak", new[] {"Dell", "Streak", "tablet"}),
            new KeyValuePair<string, string[]>("001DL", new[] {"Dell", "Streak", "tablet"}),
            new KeyValuePair<string, string[]>("101DL", new[] {"Dell", "Streak Pro", "tablet"}),
            new KeyValuePair<string, string[]>("GS01", new[] {"Dell", "Streak Pro", "tablet"}),
            new KeyValuePair<string, string[]>("Dell Streak Pro", new[] {"Dell", "Streak Pro", "tablet"}),
            new KeyValuePair<string, string[]>("streak7", new[] {"Dell", "Streak 7", "tablet"}),
            new KeyValuePair<string, string[]>("Dell Streak 7", new[] {"Dell", "Streak 7", "tablet"}),
            new KeyValuePair<string, string[]>("Dell Streak 10 Pro", new[] {"Dell", "Streak 10 Pro", "tablet"}),
            new KeyValuePair<string, string[]>("Dell V04B", new[] {"Dell", "Streak V04B", "tablet"}),
            new KeyValuePair<string, string[]>("Dell Venue", new[] {"Dell", "Venue"}),
            new KeyValuePair<string, string[]>("Dell XCD35", new[] {"Dell", "XCD35"}),
            new KeyValuePair<string, string[]>("XCD35", new[] {"Dell", "XCD35"}),
            new KeyValuePair<string, string[]>("iDx7", new[] {"Digma", "iDx7", "tablet"}),
            new KeyValuePair<string, string[]>("iDx10", new[] {"Digma", "iDx10", "tablet"}),
            new KeyValuePair<string, string[]>("iDx10 3G", new[] {"Digma", "iDx10", "tablet"}),
            new KeyValuePair<string, string[]>("DM009SH", new[] {"Disney Mobile", "DM009SH"}),
            new KeyValuePair<string, string[]>("DM010SH", new[] {"Disney Mobile", "DM010SH"}),
            new KeyValuePair<string, string[]>("DM012SH", new[] {"Disney Mobile", "DM012SH"}),
            new KeyValuePair<string, string[]>("F-08D", new[] {"Disney Mobile", "F-08D"}),
            new KeyValuePair<string, string[]>("P-05D", new[] {"Disney Mobile", "P-05D"}),
            new KeyValuePair<string, string[]>("Tablet-P27", new[] {"DracoTek", "P27 Tablet", "tablet"}),
            new KeyValuePair<string, string[]>("edgejr", new[] {"EnTourage", "Pocket eDGe", "tablet"}),
            new KeyValuePair<string, string[]>("l97D", new[] {"EPad", "l97D", "tablet"}),
            new KeyValuePair<string, string[]>("M4301", new[] {"Eston", "MID M4301", "media"}),
            new KeyValuePair<string, string[]>("P10AN", new[] {"Exper", "Easypad P10AN", "tablet"}),
            new KeyValuePair<string, string[]>("FIH-F0X", new[] {"FIH", "F0X"}),
            new KeyValuePair<string, string[]>("Fly IQ260", new[] {"Fly", "IQ260 BlackBird"}),
            new KeyValuePair<string, string[]>("ISW11F", new[] {"Fujitsu", "Arrows Z"}),
            new KeyValuePair<string, string[]>("ISW13F", new[] {"Fujitsu", "Arrows Z"}),
            new KeyValuePair<string, string[]>("IS12F", new[] {"Fujitsu", "Arrows ES"}),
            new KeyValuePair<string, string[]>("F-01D", new[] {"Fujitsu", "Arrows Tab LTE", "tablet"}),
            new KeyValuePair<string, string[]>("F-03D", new[] {"Fujitsu", "Arrows Kiss"}),
            new KeyValuePair<string, string[]>("F-05D", new[] {"Fujitsu", "Arrows X LTE"}),
            new KeyValuePair<string, string[]>("F-07D", new[] {"Fujitsu", "Arrows \u00c3\ufffd\u00c2\u00bc"}),
            new KeyValuePair<string, string[]>("F-10D", new[] {"Fujitsu", "Arrows X F-10D"}),
            new KeyValuePair<string, string[]>("F-12C", new[] {"Fujitsu", "Globetrotter"}),
            new KeyValuePair<string, string[]>("f12arc", new[] {"Fujitsu", "F12arc"}),
            new KeyValuePair<string, string[]>("M532", new[] {"Fujitsu", "Stylistic M532", "tablet"}),
            new KeyValuePair<string, string[]>("Garminfone", new[] {"Garmin-Asus", "Garminfone"}),
            new KeyValuePair<string, string[]>("Garmin-Asus A10", new[] {"Garmin-Asus", "Nuvifone A10"}),
            new KeyValuePair<string, string[]>("Garmin-Asus A50", new[] {"Garmin-Asus", "Nuvifone A50"}),
            new KeyValuePair<string, string[]>("TPA60W", new[] {"Gateway", "TPA60W", "tablet"}),
            new KeyValuePair<string, string[]>("Geeksphone ZERO", new[] {"Geeksphone", "ZERO"}),
            new KeyValuePair<string, string[]>("gemei G2", new[] {"Gemei", "G2", "tablet"}),
            new KeyValuePair<string, string[]>("Gemei G2", new[] {"Gemei", "G2", "tablet"}),
            new KeyValuePair<string, string[]>("gemei G3", new[] {"Gemei", "G3", "tablet"}),
            new KeyValuePair<string, string[]>("Gemei G9", new[] {"Gemei", "G9", "tablet"}),
            new KeyValuePair<string, string[]>("GSmart G1317D", new[] {"Gigabyte", "GSmart G1317D"}),
            new KeyValuePair<string, string[]>("Gigabyte TB100", new[] {"Gigabyte", "TB100", "tablet"}),
            new KeyValuePair<string, string[]>("GN100", new[] {"Gionee", "GN100"}),
            new KeyValuePair<string, string[]>("GN105", new[] {"Gionee", "GN105"}),
            new KeyValuePair<string, string[]>("GN106", new[] {"Gionee", "GN106"}),
            new KeyValuePair<string, string[]>("GN200", new[] {"Gionee", "GN200"}),
            new KeyValuePair<string, string[]>("GN205", new[] {"Gionee", "GN205"}),
            new KeyValuePair<string, string[]>("GN700W", new[] {"Gionee", "GN700W"}),
            new KeyValuePair<string, string[]>("GN708W", new[] {"Gionee", "GN708W"}),
            new KeyValuePair<string, string[]>("Google Ion", new[] {"Google", "Ion"}),
            new KeyValuePair<string, string[]>("Nexus One", new[] {"Google", "Nexus One"}),
            new KeyValuePair<string, string[]>("NexusOne", new[] {"Google", "Nexus One"}),
            new KeyValuePair<string, string[]>("HTC Nexus One", new[] {"Google", "Nexus One"}),
            new KeyValuePair<string, string[]>("Nexus S", new[] {"Google", "Nexus S"}),
            new KeyValuePair<string, string[]>("Google Nexus S", new[] {"Google", "Nexus S"}),
            new KeyValuePair<string, string[]>("Nexus S 4G", new[] {"Google", "Nexus S 4G"}),
            new KeyValuePair<string, string[]>("Dooderbutt-4.0.3-v1", new[] {"Google", "Nexus S 4G"}),
            new KeyValuePair<string, string[]>("Nexus 7", new[] {"Google", "Nexus 7", "tablet"}),
            new KeyValuePair<string, string[]>("Haier HW-W910", new[] {"Haier", "HW-W910"}),
            new KeyValuePair<string, string[]>("SN10T1", new[] {"HANNspree", "HANNSpad SN10T1", "tablet"}),
            new KeyValuePair<string, string[]>("SN10T2", new[] {"HANNspree", "HANNSpad SN10T2", "tablet"}),
            new KeyValuePair<string, string[]>("HannsComb", new[] {"HANNspree", "HANNSpad", "tablet"}),
            new KeyValuePair<string, string[]>("X1", new[] {"HCL", "ME X1", "tablet"}),
            new KeyValuePair<string, string[]>("MID Serails", new[] {"Herotab", "C8", "tablet"}),
            new KeyValuePair<string, string[]>("MID Serials", new[] {"Herotab", "C8", "tablet"}),
            new KeyValuePair<string, string[]>("COSMO DUO", new[] {"Hiscreen", "Cosmo DUO", "tablet"}),
            new KeyValuePair<string, string[]>("HS-U8", new[] {"Hisense", "U8"}),
            new KeyValuePair<string, string[]>("HS-T92", new[] {"Hisense", "T92"}),
            new KeyValuePair<string, string[]>("HS-E860", new[] {"Hisense", "E860"}),
            new KeyValuePair<string, string[]>("HS-E910", new[] {"Hisense", "E910"}),
            new KeyValuePair<string, string[]>("HS-E926", new[] {"Hisense", "E926"}),

            new KeyValuePair<string, string[]>("HS-EG900", new[] {"Hisense", "EG900"}),
            new KeyValuePair<string, string[]>("HS-ET919", new[] {"Hisense", "ET919"}),
            new KeyValuePair<string, string[]>("EG968B", new[] {"Hisense", "EG968B"}),
            new KeyValuePair<string, string[]>("HKPHONE H8-3G", new[] {"HKPhone", "H8 3G"}),
            new KeyValuePair<string, string[]>("HOSIN U2", new[] {"Hosin", "U2"}),
            new KeyValuePair<string, string[]>("Touchpad", new[] {"HP", "TouchPad", "tablet"}),
            new KeyValuePair<string, string[]>("HP Touchpad", new[] {"HP", "TouchPad", "tablet"}),
            new KeyValuePair<string, string[]>("cm tenderloin", new[] {"HP", "TouchPad", "tablet"}),
            new KeyValuePair<string, string[]>("aokp tenderloin", new[] {"HP", "TouchPad", "tablet"}),
            new KeyValuePair<string, string[]>("HTC Amaze 4G", new[] {"HTC", "Amaze 4G"}),
            new KeyValuePair<string, string[]>("HTC Ruby", new[] {"HTC", "Amaze 4G"}),
            new KeyValuePair<string, string[]>("HTC Amaze 4G(Ruby)", new[] {"HTC", "Amaze 4G"}),
            new KeyValuePair<string, string[]>("Amaze 4G", new[] {"HTC", "Amaze 4G"}),
            new KeyValuePair<string, string[]>("HTC Aria", new[] {"HTC", "Aria"}),
            new KeyValuePair<string, string[]>("HTC Aria A6380", new[] {"HTC", "Aria"}),
            new KeyValuePair<string, string[]>("HTC Liberty A6380", new[] {"HTC", "Aria"}),
            new KeyValuePair<string, string[]>("HTC Liberty", new[] {"HTC", "Aria"}),
            new KeyValuePair<string, string[]>("HTC A6366", new[] {"HTC", "Aria"}),
            new KeyValuePair<string, string[]>("HTC Bee", new[] {"HTC", "Bee"}),
            new KeyValuePair<string, string[]>("HTC ChaCha", new[] {"HTC", "ChaCha"}),
            new KeyValuePair<string, string[]>("HTC ChaCha A810e", new[] {"HTC", "ChaCha"}),
            new KeyValuePair<string, string[]>("HTC ChaChaCha A810e", new[] {"HTC", "ChaCha"}),
            new KeyValuePair<string, string[]>("HTC A810e", new[] {"HTC", "ChaCha"}),
            new KeyValuePair<string, string[]>("HTC A9188", new[] {"HTC", "Tianxi"}),
            new KeyValuePair<string, string[]>("HTC Bravo", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("HTC Desire", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("HTC Desire A8181", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("HTC Desire A8183", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("HTC Desire Beats A8181", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("HTC Desire CDMA", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("HTC Desire SMS", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("HTC Desire S.M.S", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("HTC Desire C", new[] {"HTC", "Desire C"}),
            new KeyValuePair<string, string[]>("HTC DesireHD", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("HTC DesireHD A9191", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("HTC DesireHD A9192", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("HTC Desire HD A9191", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("HTC A9191", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("HTC A9191 for AT&T", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("HTC A9192", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("HTC Desire HD", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("HTC Desire HD with Beats Audio", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("HTC Desire S", new[] {"HTC", "Desire S"}),
            new KeyValuePair<string, string[]>("HTC DesireS", new[] {"HTC", "Desire S"}),
            new KeyValuePair<string, string[]>("HTC DesiresS", new[] {"HTC", "Desire S"}),
            new KeyValuePair<string, string[]>("HTC DesireS S510e", new[] {"HTC", "Desire S"}),
            new KeyValuePair<string, string[]>("HTC DesireS S510b", new[] {"HTC", "Desire S"}),
            new KeyValuePair<string, string[]>("HTC Desire S S510e", new[] {"HTC", "Desire S"}),
            new KeyValuePair<string, string[]>("HTC S510e", new[] {"HTC", "Desire S"}),
            new KeyValuePair<string, string[]>("HTC Desire Saga", new[] {"HTC", "Desire S"}),
            new KeyValuePair<string, string[]>("HTC Desire V", new[] {"HTC", "Desire V"}),
            new KeyValuePair<string, string[]>("HTC T328w", new[] {"HTC", "Desire V"}),
            new KeyValuePair<string, string[]>("HTC Desire VC", new[] {"HTC", "Desire VC"}),
            new KeyValuePair<string, string[]>("HTC T328d", new[] {"HTC", "Desire VC"}),
            new KeyValuePair<string, string[]>("HTC T328t", new[] {"HTC", "Desire VT"}),
            new KeyValuePair<string, string[]>("HTC Desire Z", new[] {"HTC", "Desire Z"}),
            new KeyValuePair<string, string[]>("HTC DesireZ", new[] {"HTC", "Desire Z"}),
            new KeyValuePair<string, string[]>("HTC DesireZ A7272", new[] {"HTC", "Desire Z"}),
            new KeyValuePair<string, string[]>("HTC Desire Z A7272", new[] {"HTC", "Desire Z"}),
            new KeyValuePair<string, string[]>("HTC Vision", new[] {"HTC", "Desire Z"}),
            new KeyValuePair<string, string[]>("HTC A7275", new[] {"HTC", "Desire Z"}),
            new KeyValuePair<string, string[]>("HTC Dream", new[] {"HTC", "Dream"}),
            new KeyValuePair<string, string[]>("HTC S710d", new[] {"HTC", "Droid Incredible 2"}),
            new KeyValuePair<string, string[]>("HTC Incredible 2", new[] {"HTC", "Droid Incredible 2"}),
            new KeyValuePair<string, string[]>("HTC X515d", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC X515m", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC X515C", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC Evo 3D", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC EVO 3D", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC EVO 3D GSM", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC EVO 3D X515a", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC EVO 3D GSM X515m", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC EVO 3D X515m", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC EVO 3D X515M", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC EVO3D X515a", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC EVO3D X515m", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC Evo 3D X515m", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC Evo 3D with Beats Audio X515m", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("HTC Evo 4G", new[] {"HTC", "EVO 4G"}),
            new KeyValuePair<string, string[]>("HTC EVO 4G", new[] {"HTC", "EVO 4G"}),
            new KeyValuePair<string, string[]>("HTC X515E", new[] {"HTC", "EVO 4G+"}),
            new KeyValuePair<string, string[]>("HTC EVO 4G+ For Sprint", new[] {"HTC", "EVO 4G+"}),
            new KeyValuePair<string, string[]>("HTC EVO 4G++ For Sprint", new[] {"HTC", "EVO 4G+"}),
            new KeyValuePair<string, string[]>("HTC C715c", new[] {"HTC", "EVO Design 4G"}),
            new KeyValuePair<string, string[]>("HTC Design 4G", new[] {"HTC", "EVO Design 4G"}),
            new KeyValuePair<string, string[]>("HTC EVO design 4G", new[] {"HTC", "EVO Design 4G"}),
            new KeyValuePair<string, string[]>("HTC EVO Design 4G", new[] {"HTC", "EVO Design 4G"}),
            new KeyValuePair<string, string[]>("HTC Evo Shift", new[] {"HTC", "EVO Shift"}),
            new KeyValuePair<string, string[]>("HTC EVO Shift 4G", new[] {"HTC", "EVO Shift"}),
            new KeyValuePair<string, string[]>("HTC A310e", new[] {"HTC", "Explorer"}),
            new KeyValuePair<string, string[]>("HTC Explorer", new[] {"HTC", "Explorer"}),
            new KeyValuePair<string, string[]>("HTC Explorer A310b", new[] {"HTC", "Explorer"}),
            new KeyValuePair<string, string[]>("HTC Explorer A310e", new[] {"HTC", "Explorer"}),
            new KeyValuePair<string, string[]>("HTC P510e", new[] {"HTC", "Flyer", "tablet"}),
            new KeyValuePair<string, string[]>("HTC Flyer", new[] {"HTC", "Flyer", "tablet"}),
            new KeyValuePair<string, string[]>("HTC Flyer P510e", new[] {"HTC", "Flyer", "tablet"}),
            new KeyValuePair<string, string[]>("HTC Flyer P512", new[] {"HTC", "Flyer", "tablet"}),
            new KeyValuePair<string, string[]>("HTC Flyer P512 NA", new[] {"HTC", "Flyer", "tablet"}),
            new KeyValuePair<string, string[]>("HTC P515E", new[] {"HTC", "Flyer 4G", "tablet"}),
            new KeyValuePair<string, string[]>("HTC Gratia A6380", new[] {"HTC", "Gratia"}),
            new KeyValuePair<string, string[]>("HTC HD", new[] {"HTC", "HD"}),
            new KeyValuePair<string, string[]>("HTC HD2", new[] {"HTC", "HD2"}),
            new KeyValuePair<string, string[]>("HTC HD2 T8585", new[] {"HTC", "HD2"}),
            new KeyValuePair<string, string[]>("HTC HD2(Leo)", new[] {"HTC", "HD2"}),
            new KeyValuePair<string, string[]>("HTC HD7", new[] {"HTC", "HD7"}),
            new KeyValuePair<string, string[]>("HTC T9299+", new[] {"HTC", "HD7"}),
            new KeyValuePair<string, string[]>("HTC HD7 for Sprint", new[] {"HTC", "HD7"}),
            new KeyValuePair<string, string[]>("HTC HD7 4G T9299 For AT&T", new[] {"HTC", "HD7"}),
            new KeyValuePair<string, string[]>("HTC HD7 4G T9299+ For AT&T", new[] {"HTC", "HD7"}),
            new KeyValuePair<string, string[]>("HTC T9299+ For AT&T", new[] {"HTC", "HD7"}),
            new KeyValuePair<string, string[]>("HTC HD7S T9399+", new[] {"HTC", "HD7s"}),
            new KeyValuePair<string, string[]>("HTC HD7S T9899+", new[] {"HTC", "HD7s"}),
            new KeyValuePair<string, string[]>("HTC T9899+ For AT&T", new[] {"HTC", "HD7s"}),
            new KeyValuePair<string, string[]>("VitMod ExtraLite 1.6.5.fullodex for HTC HD7 Pro",
                new[] {"HTC", "HD7 Pro"}),
            new KeyValuePair<string, string[]>("HTC Hero", new[] {"HTC", "Hero"}),
            new KeyValuePair<string, string[]>("HTC HERO", new[] {"HTC", "Hero"}),
            new KeyValuePair<string, string[]>("HTC Hero CDMA", new[] {"HTC", "Hero"}),
            new KeyValuePair<string, string[]>("HTC HERO CDMA", new[] {"HTC", "Hero"}),
            new KeyValuePair<string, string[]>("HTC HERO200", new[] {"HTC", "Hero 200"}),
            new KeyValuePair<string, string[]>("HTC Hero S", new[] {"HTC", "Hero S"}),
            new KeyValuePair<string, string[]>("HTC IMAGIO", new[] {"HTC", "Imagio"}),
            new KeyValuePair<string, string[]>("HTC Incredible", new[] {"HTC", "Incredible"}),
            new KeyValuePair<string, string[]>("HTC Incredible S710E", new[] {"HTC", "Incredible S"}),
            new KeyValuePair<string, string[]>("HTC S710e", new[] {"HTC", "Incredible S"}),
            new KeyValuePair<string, string[]>("HTC Incredible S", new[] {"HTC", "Incredible S"}),
            new KeyValuePair<string, string[]>("HTC Incredible S S710e", new[] {"HTC", "Incredible S"}),
            new KeyValuePair<string, string[]>("HTC Incredible S s710e", new[] {"HTC", "Incredible S"}),
            new KeyValuePair<string, string[]>("HTC IncredibleS S710e", new[] {"HTC", "Incredible S"}),
            new KeyValuePair<string, string[]>("HTC Incredible S with Beats Audio", new[] {"HTC", "Incredible S"}),
            new KeyValuePair<string, string[]>("HTC Vivo", new[] {"HTC", "Incredible S"}),
            new KeyValuePair<string, string[]>("HTC Innovation", new[] {"HTC", "Innovation"}),
            new KeyValuePair<string, string[]>("HTC Inspire 4G", new[] {"HTC", "Inspire 4G"}),
            new KeyValuePair<string, string[]>("HTC HD7 Inspire 4G For Vodafone", new[] {"HTC", "Inspire 4G"}),
            new KeyValuePair<string, string[]>("HTC P715a", new[] {"HTC", "Jetstream", "tablet"}),
            new KeyValuePair<string, string[]>("HTC Legend", new[] {"HTC", "Legend"}),
            new KeyValuePair<string, string[]>("HTC Magic", new[] {"HTC", "Magic"}),
            new KeyValuePair<string, string[]>("HTC Sapphire", new[] {"HTC", "Magic"}),
            new KeyValuePair<string, string[]>("HTC Lexikon", new[] {"HTC", "Merge"}),
            new KeyValuePair<string, string[]>("HTC One S", new[] {"HTC", "One S"}),
            new KeyValuePair<string, string[]>("HTC Z520e", new[] {"HTC", "One S"}),
            new KeyValuePair<string, string[]>("HTC One V", new[] {"HTC", "One V"}),
            new KeyValuePair<string, string[]>("HTC T320e", new[] {"HTC", "One V"}),
            new KeyValuePair<string, string[]>("HTC One X", new[] {"HTC", "One X"}),
            new KeyValuePair<string, string[]>("HTC S720e", new[] {"HTC", "One X"}),
            new KeyValuePair<string, string[]>("HTC Endeavour-LS", new[] {"HTC", "One X"}),
            new KeyValuePair<string, string[]>("HTC One XL", new[] {"HTC", "One XL"}),
            new KeyValuePair<string, string[]>("HTC X710a", new[] {"HTC", "Raider 4G"}),
            new KeyValuePair<string, string[]>("HTC Raider", new[] {"HTC", "Raider 4G"}),
            new KeyValuePair<string, string[]>("HTC Raider X710e", new[] {"HTC", "Raider 4G"}),
            new KeyValuePair<string, string[]>("HTC Raider X710s", new[] {"HTC", "Raider 4G"}),
            new KeyValuePair<string, string[]>("HTC Raider 4G X710e", new[] {"HTC", "Raider 4G"}),
            new KeyValuePair<string, string[]>("HTC PH39100", new[] {"HTC", "Raider 4G"}),
            new KeyValuePair<string, string[]>("HTC Holiday", new[] {"HTC", "Raider 4G"}),
            new KeyValuePair<string, string[]>("HTC Velocity 4G X710s", new[] {"HTC", "Raider 4G"}),
            new KeyValuePair<string, string[]>("HTC Rezound", new[] {"HTC", "Rezound"}),
            new KeyValuePair<string, string[]>("HTC Rhyme S510b", new[] {"HTC", "Rhyme"}),
            new KeyValuePair<string, string[]>("HTC S510b", new[] {"HTC", "Rhyme"}),
            new KeyValuePair<string, string[]>("HTC Bliss", new[] {"HTC", "Rhyme"}),
            new KeyValuePair<string, string[]>("HTC Bliss S510b", new[] {"HTC", "Rhyme"}),
            new KeyValuePair<string, string[]>("HTC Salsa C510e", new[] {"HTC", "Salsa"}),
            new KeyValuePair<string, string[]>("HTC C510e", new[] {"HTC", "Salsa"}),
            new KeyValuePair<string, string[]>("HTC Z710a", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Z710e", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Z710t", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation Z710", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation Z710a", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation Z710e", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation Z710E", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation Z710e For AT&T", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation Z710e with Beats Audio", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation with Beats Audio Z710e", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation with Beats Audio", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation Taste", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Pyramid", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Pyramid Z710a", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Pyramid Z710e", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation 4G", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation 4G with Beats Audio", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation G14", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Sensation G14 for AT&T", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC G14 sensation", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("HTC Z715e", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC Sensation Z715e", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC SensationXE Beats", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC SensationXE Beats Z715a", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC SensationXE Beats Z715e", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC Sensation XE", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC Sensation XE Z715e", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC SensationXE Z715e", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC Sensation XE Beats", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC SensationXE with Beats Audio", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC Sensation XE with Beats Audio", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC Sensation XE with Beats Audio Z715a",
                new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC Sensation Juredroid XE Beats Audio", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC Sensation XE with Beats Audio Z715e",
                new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC Sensation XE With Beats Audio Z715e",
                new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC Sensation 4G XE with Beats Audio", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC Sensation with Beats Audio Z715e", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("HTC X315E", new[] {"HTC", "Sensation XL"}),
            new KeyValuePair<string, string[]>("HTC SensationXL Beats X315b", new[] {"HTC", "Sensation XL"}),
            new KeyValuePair<string, string[]>("HTC SensationXL Beats X315e", new[] {"HTC", "Sensation XL"}),
            new KeyValuePair<string, string[]>("HTC Sensation XL with Beats Audio X315b",
                new[] {"HTC", "Sensation XL"}),
            new KeyValuePair<string, string[]>("HTC Sensation XL with Beats Audio X315e",
                new[] {"HTC", "Sensation XL"}),
            new KeyValuePair<string, string[]>("HTC Runnymede", new[] {"HTC", "Sensation XL"}),
            new KeyValuePair<string, string[]>("HTC G21", new[] {"HTC", "Sensation XL"}),
            new KeyValuePair<string, string[]>("HTC PH06130", new[] {"HTC", "Status"}),
            new KeyValuePair<string, string[]>("HTC Status", new[] {"HTC", "Status"}),
            new KeyValuePair<string, string[]>("HTC Tattoo", new[] {"HTC", "Tattoo"}),
            new KeyValuePair<string, string[]>("HTC TATTOO A3288", new[] {"HTC", "Tattoo"}),
            new KeyValuePair<string, string[]>("HTC click", new[] {"HTC", "Tattoo"}),
            new KeyValuePair<string, string[]>("HTC X310e", new[] {"HTC", "Titan"}),
            new KeyValuePair<string, string[]>("HTC T7373", new[] {"HTC", "Touch Pro II"}),
            new KeyValuePair<string, string[]>("HTC ThunderBolt", new[] {"HTC", "ThunderBolt"}),
            new KeyValuePair<string, string[]>("HTC Mecha", new[] {"HTC", "ThunderBolt"}),
            new KeyValuePair<string, string[]>("HTC Velocity 4G", new[] {"HTC", "Velocity 4G"}),
            new KeyValuePair<string, string[]>("HTC Wildfire", new[] {"HTC", "Wildfire"}),
            new KeyValuePair<string, string[]>("HTC Wildfire A3333", new[] {"HTC", "Wildfire"}),
            new KeyValuePair<string, string[]>("HTC A3366", new[] {"HTC", "Wildfire"}),
            new KeyValuePair<string, string[]>("HTC A3380", new[] {"HTC", "Wildfire"}),
            new KeyValuePair<string, string[]>("HTC WildfireS", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("HTC Wildfire S", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("Htc Wildfire s", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("HTC Wildfire S A510e", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("HTC Wildfire S A510b", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("HTC WildfireS A510e", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("HTC WildfireS A510b", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("htc wildfire s a510e", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("HTC Wildfire S A515c", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("HTC A510a", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("HTC A510e", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("HTC A510c", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("HTCX06HT", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("HTC A6390", new[] {"HTC", "A6390"}),
            new KeyValuePair<string, string[]>("HTC A8180", new[] {"HTC", "A8180"}),
            new KeyValuePair<string, string[]>("HTC PG762", new[] {"HTC", "PG762"}),
            new KeyValuePair<string, string[]>("HTC S715e", new[] {"HTC", "S715e"}),
            new KeyValuePair<string, string[]>("HTC S720t", new[] {"HTC", "S720t"}),
            new KeyValuePair<string, string[]>("HTC Z510d", new[] {"HTC", "Z510d"}),
            new KeyValuePair<string, string[]>("HTC Z560e", new[] {"HTC", "Z560e"}),
            new KeyValuePair<string, string[]>("HTC VLE U", new[] {"HTC", "One S"}),
            new KeyValuePair<string, string[]>("HTC VLE#U", new[] {"HTC", "One S"}),
            new KeyValuePair<string, string[]>("HTC VIE U", new[] {"HTC", "One S"}),
            new KeyValuePair<string, string[]>("HTC EVA UL", new[] {"HTC", "One V"}),
            new KeyValuePair<string, string[]>("HTC ENR U", new[] {"HTC", "One X"}),
            new KeyValuePair<string, string[]>("ENR U", new[] {"HTC", "One X"}),
            new KeyValuePair<string, string[]>("EndeavorU", new[] {"HTC", "One X"}),
            new KeyValuePair<string, string[]>("Liberty", new[] {"HTC", "Aria"}),
            new KeyValuePair<string, string[]>("Desire", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("Desire A8181", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("desire hd", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("Desire HD", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("Dedire HD", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("Desire Hd (ace)", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("Desire S", new[] {"HTC", "Desire S"}),
            new KeyValuePair<string, string[]>("DesireS", new[] {"HTC", "Desire S"}),
            new KeyValuePair<string, string[]>("Desire Saga", new[] {"HTC", "Desire S"}),
            new KeyValuePair<string, string[]>("Desire Z", new[] {"HTC", "Desire Z"}),
            new KeyValuePair<string, string[]>("Dream", new[] {"HTC", "Dream"}),
            new KeyValuePair<string, string[]>("Droid Incredible", new[] {"HTC", "Droid Incredible"}),
            new KeyValuePair<string, string[]>("EVO", new[] {"HTC", "EVO"}),
            new KeyValuePair<string, string[]>("Evo HD2", new[] {"HTC", "EVO HD"}),
            new KeyValuePair<string, string[]>("Evo 3D Beats X515m", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("Evo 3D GSM", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("EVO 3D X515m", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("EVO3D X515m", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("Evo 4G", new[] {"HTC", "EVO 4G"}),
            new KeyValuePair<string, string[]>("EVO 4G", new[] {"HTC", "EVO 4G"}),
            new KeyValuePair<string, string[]>("photon", new[] {"HTC", "HD mini"}),
            new KeyValuePair<string, string[]>("GinDream\\/GinMagic", new[] {"HTC", "Dream"}),
            new KeyValuePair<string, string[]>("HD2", new[] {"HTC", "HD2"}),
            new KeyValuePair<string, string[]>("HD7  Pro", new[] {"HTC", "HD7 Pro"}),
            new KeyValuePair<string, string[]>("Hero", new[] {"HTC", "Hero"}),
            new KeyValuePair<string, string[]>("HERO CDMA", new[] {"HTC", "Hero"}),
            new KeyValuePair<string, string[]>("HERO200", new[] {"HTC", "Hero 200"}),
            new KeyValuePair<string, string[]>("Incredible", new[] {"HTC", "Droid Incredible"}),
            new KeyValuePair<string, string[]>("Incredible 2", new[] {"HTC", "Droid Incredible 2"}),
            new KeyValuePair<string, string[]>("Incredible S", new[] {"HTC", "Incredible S"}),
            new KeyValuePair<string, string[]>("IncredibleS S710e", new[] {"HTC", "Incredible S"}),
            new KeyValuePair<string, string[]>("IncredibleS", new[] {"HTC", "Incredible S"}),
            new KeyValuePair<string, string[]>("Inspire HD", new[] {"HTC", "Inspire 4G"}),
            new KeyValuePair<string, string[]>("Inspire 4G", new[] {"HTC", "Inspire 4G"}),
            new KeyValuePair<string, string[]>("Legend", new[] {"HTC", "Legend"}),
            new KeyValuePair<string, string[]>("NexusHD2", new[] {"HTC", "HD2"}),
            new KeyValuePair<string, string[]>("Nexus HD2", new[] {"HTC", "HD2"}),
            new KeyValuePair<string, string[]>("Docomo HT-03A", new[] {"HTC", "Magic"}),
            new KeyValuePair<string, string[]>("MIUI.us Sensation 4G", new[] {"HTC", "Sensation 4G"}),
            new KeyValuePair<string, string[]>("SiRF Dream", new[] {"HTC", "Dream"}),
            new KeyValuePair<string, string[]>("Pyramid", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("Sensation", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("Sensation Z710e", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("Sensation 4G", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("Sensation 4g", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("TripNiCE Pyramid", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("SensationXE Beats Z715e", new[] {"HTC", "Sensation XE"}),
            new KeyValuePair<string, string[]>("SensationXL Beats X315e", new[] {"HTC", "Sensation XL"}),
            new KeyValuePair<string, string[]>("Click", new[] {"HTC", "Tattoo"}),
            new KeyValuePair<string, string[]>("Wildfire", new[] {"HTC", "Wildfire"}),
            new KeyValuePair<string, string[]>("Wildfire S", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("Wildfire S A510e", new[] {"HTC", "Wildfire S"}),
            new KeyValuePair<string, string[]>("Sprint APX515CKT", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("Sprint APA9292KT", new[] {"HTC", "EVO 4G"}),
            new KeyValuePair<string, string[]>("Sprint APA7373KT", new[] {"HTC", "EVO Shift 4G"}),
            new KeyValuePair<string, string[]>("Sprint APC715CKT", new[] {"HTC", "EVO Design 4G"}),
            new KeyValuePair<string, string[]>("A3380", new[] {"HTC", "Wildfire"}),
            new KeyValuePair<string, string[]>("A6277", new[] {"HTC", "Hero"}),
            new KeyValuePair<string, string[]>("a7272", new[] {"HTC", "Desire Z"}),
            new KeyValuePair<string, string[]>("A7272+(HTC DesireZ)", new[] {"HTC", "Desire Z"}),
            new KeyValuePair<string, string[]>("S31HT", new[] {"HTC", "Aria"}),
            new KeyValuePair<string, string[]>("S710d", new[] {"HTC", "Droid Incredible 2"}),
            new KeyValuePair<string, string[]>("S710D", new[] {"HTC", "Droid Incredible 2"}),
            new KeyValuePair<string, string[]>("X06HT", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("001HT", new[] {"HTC", "Desire HD"}),
            new KeyValuePair<string, string[]>("X325a", new[] {"HTC", "One X"}),
            new KeyValuePair<string, string[]>("Z520m", new[] {"HTC", "One S"}),
            new KeyValuePair<string, string[]>("Z710", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("Z710e", new[] {"HTC", "Sensation"}),
            new KeyValuePair<string, string[]>("T9199h", new[] {"HTC", "T9199h"}),
            new KeyValuePair<string, string[]>("HTC S610d", new[] {"HTC", "S610d"}),
            new KeyValuePair<string, string[]>("ADR6200", new[] {"HTC", "Droid Eris"}),
            new KeyValuePair<string, string[]>("ADR6300", new[] {"HTC", "Droid Incredible"}),
            new KeyValuePair<string, string[]>("ADR6325VW", new[] {"HTC", "Merge"}),
            new KeyValuePair<string, string[]>("ADR6330VW", new[] {"HTC", "Rhyme"}),
            new KeyValuePair<string, string[]>("ADR6350", new[] {"HTC", "Droid Incredible 2"}),
            new KeyValuePair<string, string[]>("ADR6400L", new[] {"HTC", "Thunderbolt 4G"}),
            new KeyValuePair<string, string[]>("ADR6400L 4G", new[] {"HTC", "Thunderbolt 4G"}),
            new KeyValuePair<string, string[]>("ADR6410LVW 4G", new[] {"HTC", "Fireball"}),
            new KeyValuePair<string, string[]>("ADR6425LVW", new[] {"HTC", "Rezound"}),
            new KeyValuePair<string, string[]>("ADR6425LVW 4G", new[] {"HTC", "Rezound"}),
            new KeyValuePair<string, string[]>("Coquettish Red", new[] {"HTC", "Rezound"}),
            new KeyValuePair<string, string[]>("PB99400", new[] {"HTC", "Droid Incredible"}),
            new KeyValuePair<string, string[]>("pcdadr6350", new[] {"HTC", "Droid Incredible 2"}),
            new KeyValuePair<string, string[]>("PC36100", new[] {"HTC", "EVO 4G"}),
            new KeyValuePair<string, string[]>("PG06100", new[] {"HTC", "EVO Shift 4G"}),
            new KeyValuePair<string, string[]>("PG41200", new[] {"HTC", "EVO View 4G", "tablet"}),
            new KeyValuePair<string, string[]>("PG86100", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("PG8610000", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("PH44100", new[] {"HTC", "EVO Design 4G"}),
            new KeyValuePair<string, string[]>("PJ83100", new[] {"HTC", "One X"}),
            new KeyValuePair<string, string[]>("ISW11HT", new[] {"HTC", "EVO 4G"}),
            new KeyValuePair<string, string[]>("ISW12HT", new[] {"HTC", "EVO 3D"}),
            new KeyValuePair<string, string[]>("ISW13HT", new[] {"HTC", "J"}),
            new KeyValuePair<string, string[]>("USCCADR6275US Carrier ID 45", new[] {"HTC", "Desire"}),
            new KeyValuePair<string, string[]>("USCCADR6285US", new[] {"HTC", "Hero S"}),
            new KeyValuePair<string, string[]>("USCCADR6325US Carrier ID 45", new[] {"HTC", "Merge"}),
            new KeyValuePair<string, string[]>("MediaPad", new[] {"Huawei", "MediaPad", "tablet"}),
            new KeyValuePair<string, string[]>("Huawei MediaPad", new[] {"Huawei", "MediaPad", "tablet"}),
            new KeyValuePair<string, string[]>("HUAWEI MediaPad", new[] {"Huawei", "MediaPad", "tablet"}),
            new KeyValuePair<string, string[]>("Huawei S7-312u", new[] {"Huawei", "MediaPad", "tablet"}),
            new KeyValuePair<string, string[]>("MediaPad 10 FHD", new[] {"Huawei", "MediaPad", "tablet"}),
            new KeyValuePair<string, string[]>("Huawei C8500", new[] {"Huawei", "C8500"}),
            new KeyValuePair<string, string[]>("Huawei C8500S", new[] {"Huawei", "C8500"}),
            new KeyValuePair<string, string[]>("Huawei C8600", new[] {"Huawei", "C8600"}),
            new KeyValuePair<string, string[]>("Huawei C8650", new[] {"Huawei", "C8650"}),
            new KeyValuePair<string, string[]>("Huawei C8650+", new[] {"Huawei", "C8650"}),
            new KeyValuePair<string, string[]>("Huawei C8800", new[] {"Huawei", "IDEOS X5"}),
            new KeyValuePair<string, string[]>("Huawei C8810", new[] {"Huawei", "Ascend G300"}),
            new KeyValuePair<string, string[]>("Huawei C8812", new[] {"Huawei", "Ascend C8812"}),
            new KeyValuePair<string, string[]>("Huawei C8812E", new[] {"Huawei", "Ascend C8812"}),
            new KeyValuePair<string, string[]>("Huawei C8825D", new[] {"Huawei", "Ascend C8825D"}),
            new KeyValuePair<string, string[]>("Huawei C8860E", new[] {"Huawei", "Honor"}),
            new KeyValuePair<string, string[]>("Huawei M835", new[] {"Huawei", "M835"}),
            new KeyValuePair<string, string[]>("Huawei M860", new[] {"Huawei", "Ascend"}),
            new KeyValuePair<string, string[]>("Huawei M921", new[] {"Huawei", "M921"}),
            new KeyValuePair<string, string[]>("Huawei S8520", new[] {"Huawei", "S8520"}),
            new KeyValuePair<string, string[]>("Huawei S8600", new[] {"Huawei", "S8600"}),
            new KeyValuePair<string, string[]>("Huawei T8300", new[] {"Huawei", "T8300"}),
            new KeyValuePair<string, string[]>("Huawei T8600", new[] {"Huawei", "T8600"}),
            new KeyValuePair<string, string[]>("Huawei T8830", new[] {"Huawei", "T8830"}),
            new KeyValuePair<string, string[]>("T8830", new[] {"Huawei", "T8830"}),
            new KeyValuePair<string, string[]>("T8620", new[] {"Huawei", "T8620"}),
            new KeyValuePair<string, string[]>("Huawei T8828", new[] {"Huawei", "T8828"}),
            new KeyValuePair<string, string[]>("Huawei U8220", new[] {"Huawei", "U8220"}),
            new KeyValuePair<string, string[]>("Huawei u8500", new[] {"Huawei", "IDEOS X2"}),
            new KeyValuePair<string, string[]>("Huawei U8815", new[] {"Huawei", "Ascend G300"}),
            new KeyValuePair<string, string[]>("Huawei U8825D", new[] {"Huawei", "Ascend G330D"}),
            new KeyValuePair<string, string[]>("Huawei U8850", new[] {"Huawei", "Vision"}),
            new KeyValuePair<string, string[]>("Huawei U8652", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("Huawei U8800-51", new[] {"Huawei", "IDEOS X5"}),
            new KeyValuePair<string, string[]>("Huawei U8818", new[] {"Huawei", "Ascend G300"}),
            new KeyValuePair<string, string[]>("Huawei U9000", new[] {"Huawei", "Ascend X"}),
            new KeyValuePair<string, string[]>("Huawei IDEOS U8500", new[] {"Huawei", "IDEOS X2"}),
            new KeyValuePair<string, string[]>("Huawei IDEOS U8650", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("Huawei IDEOS X3", new[] {"Huawei", "IDEOS X3"}),
            new KeyValuePair<string, string[]>("Huawei Ideos X5", new[] {"Huawei", "IDEOS X5"}),
            new KeyValuePair<string, string[]>("Huawei Ideos X5 1.12.9(ret4rt)", new[] {"Huawei", "IDEOS X5"}),
            new KeyValuePair<string, string[]>("Huawei SONIC", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("Huawei 8100-9", new[] {"Huawei", "U8100"}),
            new KeyValuePair<string, string[]>("FUSIONideos", new[] {"Huawei", "IDEOS"}),
            new KeyValuePair<string, string[]>("Gnappo Ideos", new[] {"Huawei", "IDEOS"}),
            new KeyValuePair<string, string[]>("Ideos", new[] {"Huawei", "IDEOS"}),
            new KeyValuePair<string, string[]>("IDEOS X5", new[] {"Huawei", "IDEOS X5"}),
            new KeyValuePair<string, string[]>("Ideos S7", new[] {"Huawei", "IDEOS S7", "tablet"}),
            new KeyValuePair<string, string[]>("IDEOS S7", new[] {"Huawei", "IDEOS S7", "tablet"}),
            new KeyValuePair<string, string[]>("IDEOS S7 Slim", new[] {"Huawei", "IDEOS S7", "tablet"}),
            new KeyValuePair<string, string[]>("Huawei S7", new[] {"Huawei", "IDEOS S7", "tablet"}),
            new KeyValuePair<string, string[]>("SONIC", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("Kyivstar Aqua", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("Lucky Ultra Sonic U8650", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("Turkcell T20", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("MTC 950", new[] {"Huawei", "U8160"}),
            new KeyValuePair<string, string[]>("MTC 955", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("MTC Evo", new[] {"Huawei", "C8500"}),
            new KeyValuePair<string, string[]>("MTC Android", new[] {"Huawei", "U8110"}),
            new KeyValuePair<string, string[]>("S31HW", new[] {"Huawei", "Pocket WiFi S"}),
            new KeyValuePair<string, string[]>("S41HW", new[] {"Huawei", "Pocket WiFi S II"}),
            new KeyValuePair<string, string[]>("007HW", new[] {"Huawei", "Vision"}),
            new KeyValuePair<string, string[]>("UM840", new[] {"Huawei", "Evolution"}),
            new KeyValuePair<string, string[]>("M860", new[] {"Huawei", "Ascend"}),
            new KeyValuePair<string, string[]>("M865", new[] {"Huawei", "Ascend II"}),
            new KeyValuePair<string, string[]>("M886", new[] {"Huawei", "Glory"}),
            new KeyValuePair<string, string[]>("C8150", new[] {"Huawei", "IDEOS"}),
            new KeyValuePair<string, string[]>("c8500", new[] {"Huawei", "C8500"}),
            new KeyValuePair<string, string[]>("C8500", new[] {"Huawei", "C8500"}),
            new KeyValuePair<string, string[]>("C8500S", new[] {"Huawei", "C8500"}),
            new KeyValuePair<string, string[]>("C8600", new[] {"Huawei", "C8600"}),
            new KeyValuePair<string, string[]>("c8650", new[] {"Huawei", "C8650"}),
            new KeyValuePair<string, string[]>("C8650", new[] {"Huawei", "C8650"}),
            new KeyValuePair<string, string[]>("c8800", new[] {"Huawei", "C8800"}),
            new KeyValuePair<string, string[]>("C8800", new[] {"Huawei", "C8800"}),
            new KeyValuePair<string, string[]>("c8810", new[] {"Huawei", "Ascend G300C"}),
            new KeyValuePair<string, string[]>("C8812", new[] {"Huawei", "Ascend C8812"}),
            new KeyValuePair<string, string[]>("S8600", new[] {"Huawei", "S8600"}),
            new KeyValuePair<string, string[]>("U8100", new[] {"Huawei", "U8100"}),
            new KeyValuePair<string, string[]>("U8110", new[] {"Huawei", "U8110"}),
            new KeyValuePair<string, string[]>("u8120", new[] {"Huawei", "U8120"}),
            new KeyValuePair<string, string[]>("U8120", new[] {"Huawei", "U8120"}),
            new KeyValuePair<string, string[]>("U8180", new[] {"Huawei", "IDEOS X1"}),
            new KeyValuePair<string, string[]>("U8220", new[] {"Huawei", "Pulse"}),
            new KeyValuePair<string, string[]>("U8300", new[] {"Huawei", "U8300"}),
            new KeyValuePair<string, string[]>("U8350", new[] {"Huawei", "Boulder"}),
            new KeyValuePair<string, string[]>("U8150", new[] {"Huawei", "IDEOS"}),
            new KeyValuePair<string, string[]>("U8160", new[] {"Huawei", "U8160"}),
            new KeyValuePair<string, string[]>("U8500", new[] {"Huawei", "IDEOS X2"}),
            new KeyValuePair<string, string[]>("U8500 HiQQ", new[] {"Huawei", "U8500 HiQQ Edition"}),
            new KeyValuePair<string, string[]>("U8510", new[] {"Huawei", "IDEOS X3"}),
            new KeyValuePair<string, string[]>("u8650", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("U8650", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("U8650-1", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("U8660", new[] {"Huawei", "Sonic"}),
            new KeyValuePair<string, string[]>("u8800", new[] {"Huawei", "IDEOS X5"}),
            new KeyValuePair<string, string[]>("U8800", new[] {"Huawei", "IDEOS X5"}),
            new KeyValuePair<string, string[]>("U8800+", new[] {"Huawei", "IDEOS X5"}),
            new KeyValuePair<string, string[]>("U8800X", new[] {"Huawei", "IDEOS X5"}),
            new KeyValuePair<string, string[]>("U8800pro", new[] {"Huawei", "IDEOS X5 Pro"}),
            new KeyValuePair<string, string[]>("U8800PRO", new[] {"Huawei", "IDEOS X5 Pro"}),
            new KeyValuePair<string, string[]>("U8800Pro", new[] {"Huawei", "IDEOS X5 Pro"}),
            new KeyValuePair<string, string[]>("u8800pro", new[] {"Huawei", "IDEOS X5 Pro"}),
            new KeyValuePair<string, string[]>("U8800 Pro", new[] {"Huawei", "IDEOS X5 Pro"}),
            new KeyValuePair<string, string[]>("U8818", new[] {"Huawei", "Ascend G300"}),
            new KeyValuePair<string, string[]>("U8850", new[] {"Huawei", "Vision"}),
            new KeyValuePair<string, string[]>("u8860", new[] {"Huawei", "Honor"}),
            new KeyValuePair<string, string[]>("U8860", new[] {"Huawei", "Honor"}),
            new KeyValuePair<string, string[]>("U9000", new[] {"Huawei", "Ascend X"}),
            new KeyValuePair<string, string[]>("U9200", new[] {"Huawei", "Ascend P1"}),
            new KeyValuePair<string, string[]>("U9200-1", new[] {"Huawei", "Ascend P1"}),
            new KeyValuePair<string, string[]>("U9500", new[] {"Huawei", "Ascend D1"}),
            new KeyValuePair<string, string[]>("U9501L", new[] {"Huawei", "Ascend D LTE"}),
            new KeyValuePair<string, string[]>("U9510", new[] {"Huawei", "Ascend D quad"}),
            new KeyValuePair<string, string[]>("U9510E", new[] {"Huawei", "Ascend D quad"}),
            new KeyValuePair<string, string[]>("Comet", new[] {"Huawei", "Comet"}),
            new KeyValuePair<string, string[]>("GS02", new[] {"Huawei", "Honor"}),
            new KeyValuePair<string, string[]>("GS03", new[] {"Huawei", "Ascend P1"}),
            new KeyValuePair<string, string[]>("DroniX-0.5", new[] {"Huawei", "U8180"}),
            new KeyValuePair<string, string[]>("MTS-SP101", new[] {"Huawei", "C8511"}),
            new KeyValuePair<string, string[]>("TSP21", new[] {"Huawei", "U8110"}),
            new KeyValuePair<string, string[]>("HYUNDAI H6", new[] {"Hyundai", "Storm H6"}),
            new KeyValuePair<string, string[]>("iBall Slide i7011", new[] {"iBall", "Slide i7011"}),
            new KeyValuePair<string, string[]>("NetTAB RUNE", new[] {"IconBit", "NetTab Rune", "tablet"}),
            new KeyValuePair<string, string[]>("D70W", new[] {"Icoo", "D70W", "tablet"}),
            new KeyValuePair<string, string[]>("D80", new[] {"Icoo", "D80", "tablet"}),
            new KeyValuePair<string, string[]>("INFOBAR A01", new[] {"iida", "INFOBAR A01"}),
            new KeyValuePair<string, string[]>("M009F", new[] {"Infotmic", "M009F"}),
            new KeyValuePair<string, string[]>("AZ210A", new[] {"Intel", "AZ210A"}),
            new KeyValuePair<string, string[]>("AZ210B", new[] {"Intel", "AZ210B"}),
            new KeyValuePair<string, string[]>("AZ510", new[] {"Intel", "AZ510"}),
            new KeyValuePair<string, string[]>("greenridge", new[] {"Intel", "Green Ridge", "tablet"}),
            new KeyValuePair<string, string[]>("INQ Cloud Touch", new[] {"INQ", "Cloud Touch"}),
            new KeyValuePair<string, string[]>("ILT-MX100", new[] {"iRiver", "Tab", "tablet"}),
            new KeyValuePair<string, string[]>("IVIO_DE38", new[] {"Ivio", "DE38"}),
            new KeyValuePair<string, string[]>("JY-G2", new[] {"Jiayu", "G2"}),
            new KeyValuePair<string, string[]>("JXD S601WIFI", new[] {"JXD", "S601 WIFI", "media"}),
            new KeyValuePair<string, string[]>("A2", new[] {"KakaTech", "A2"}),
            new KeyValuePair<string, string[]>("D91", new[] {"KK", "D91", "tablet"}),
            new KeyValuePair<string, string[]>("K080", new[] {"Kobo", "K080", "ereader"}),
            new KeyValuePair<string, string[]>("A106", new[] {"koobee", "A160"}),
            new KeyValuePair<string, string[]>("KPT A9", new[] {"KPT", "A9"}),
            new KeyValuePair<string, string[]>("EV-S100", new[] {"Kttech", "Take EV-S100"}),
            new KeyValuePair<string, string[]>("KM-S120", new[] {"Kttech", "Take 2 KM-S120"}),
            new KeyValuePair<string, string[]>("KM-S200", new[] {"TAKE", "Janus KM-S200"}),
            new KeyValuePair<string, string[]>("KM-S220", new[] {"Kttech", "Take Tachy KM-S220"}),
            new KeyValuePair<string, string[]>("Kyobo mirasol eReader", new[] {"Kyobo", "eReader", "ereader"}),
            new KeyValuePair<string, string[]>("ISW11K", new[] {"Kyocera", "Digno"}),
            new KeyValuePair<string, string[]>("JC-KSP8000", new[] {"Kyocera", "Echo"}),
            new KeyValuePair<string, string[]>("KSP8000", new[] {"Kyocera", "Echo"}),
            new KeyValuePair<string, string[]>("Zio", new[] {"Kyocera", "Zio"}),
            new KeyValuePair<string, string[]>("C5155", new[] {"Kyocera", "C5155"}),
            new KeyValuePair<string, string[]>("C5170", new[] {"Kyocera", "C5170"}),
            new KeyValuePair<string, string[]>("M9300", new[] {"Kyocera", "M9300"}),
            new KeyValuePair<string, string[]>("E800", new[] {"K-Touch", "E800"}),
            new KeyValuePair<string, string[]>("W606", new[] {"K-Touch", "W606"}),
            new KeyValuePair<string, string[]>("K-Touch T619", new[] {"K-Touch", "T619"}),
            new KeyValuePair<string, string[]>("K-Touch W619", new[] {"K-Touch", "W619"}),
            new KeyValuePair<string, string[]>("K-Touch W650", new[] {"K-Touch", "W650"}),
            new KeyValuePair<string, string[]>("W700", new[] {"K-Touch", "W700"}),
            new KeyValuePair<string, string[]>("W800", new[] {"K-Touch", "W800"}),
            new KeyValuePair<string, string[]>("W806", new[] {"K-Touch", "W806"}),
            new KeyValuePair<string, string[]>("W808", new[] {"K-Touch", "W808"}),
            new KeyValuePair<string, string[]>("W810", new[] {"K-Touch", "W810"}),
            new KeyValuePair<string, string[]>("X900", new[] {"Lava", "XOLO X900"}),
            new KeyValuePair<string, string[]>("Lenovo A798t", new[] {"Lenovo", "A798t"}),
            new KeyValuePair<string, string[]>("LENOVO-Lenovo-A288t", new[] {"Lenovo", "LePhone A288"}),
            new KeyValuePair<string, string[]>("ThinkPad Tablet", new[] {"Lenovo", "ThinkPad Tablet", "tablet"}),
            new KeyValuePair<string, string[]>("K1", new[] {"Lenovo", "IdeaPad K1", "tablet"}),
            new KeyValuePair<string, string[]>("Ideapad S10-3T", new[] {"Lenovo", "IdeaPad S10-3T", "tablet"}),
            new KeyValuePair<string, string[]>("S2005A-H", new[] {"Lenovo", "S2005A"}),
            new KeyValuePair<string, string[]>("IdeaTab S2007A-D", new[] {"Lenovo", "IdeaTab S2007A", "tablet"}),
            new KeyValuePair<string, string[]>("IdeaTabV2007A", new[] {"Lenovo", "IdeaTab V2007A", "tablet"}),
            new KeyValuePair<string, string[]>("IdeaTabV2007A-D-I", new[] {"Lenovo", "IdeaTab V2007A", "tablet"}),
            new KeyValuePair<string, string[]>("IdeaTabV2010A", new[] {"Lenovo", "IdeaTab V2010A", "tablet"}),
            new KeyValuePair<string, string[]>("IdeaTab A2107A-H", new[] {"Lenovo", "IdeaTab V2107A", "tablet"}),
            new KeyValuePair<string, string[]>("A1 07", new[] {"Lenovo", "LePad", "tablet"}),
            new KeyValuePair<string, string[]>("lepad 001b", new[] {"Lenovo", "LePad", "tablet"}),
            new KeyValuePair<string, string[]>("lepad 001n", new[] {"Lenovo", "LePad", "tablet"}),
            new KeyValuePair<string, string[]>("3GC101", new[] {"Lenovo", "LePhone 3GC101"}),
            new KeyValuePair<string, string[]>("Lenovo 3GC101", new[] {"Lenovo", "LePhone 3GC101"}),
            new KeyValuePair<string, string[]>("3GW100", new[] {"Lenovo", "LePhone 3GW100"}),
            new KeyValuePair<string, string[]>("Lenovo 3GW100", new[] {"Lenovo", "LePhone 3GW100"}),
            new KeyValuePair<string, string[]>("3GW101", new[] {"Lenovo", "LePhone 3GW101"}),
            new KeyValuePair<string, string[]>("Lenovo 3GW101", new[] {"Lenovo", "LePhone 3GW101"}),
            new KeyValuePair<string, string[]>("Lephone 3GW101", new[] {"Lenovo", "LePhone 3GW101"}),
            new KeyValuePair<string, string[]>("Lenovo A1-32AB0", new[] {"Lenovo", "LePhone A1-32AB0"}),
            new KeyValuePair<string, string[]>("Lenovo S1-37AH0", new[] {"Lenovo", "LePhone S1-37AH0"}),
            new KeyValuePair<string, string[]>("S1 37AHO", new[] {"Lenovo", "LePhone S1-37AH0"}),
            new KeyValuePair<string, string[]>("Lenovo S2-38AH0", new[] {"Lenovo", "LePhone S2-38AH0"}),
            new KeyValuePair<string, string[]>("Lenovo S2-38AT0", new[] {"Lenovo", "LePhone S2-38AT0"}),
            new KeyValuePair<string, string[]>("Lenovo A288t", new[] {"Lenovo", "LePhone A288"}),
            new KeyValuePair<string, string[]>("Lenovo A366t", new[] {"Lenovo", "LePhone A366"}),
            new KeyValuePair<string, string[]>("Lenovo A390e", new[] {"Lenovo", "LePhone A390"}),
            new KeyValuePair<string, string[]>("Lenovo A500", new[] {"Lenovo", "LePhone A500"}),
            new KeyValuePair<string, string[]>("Lenovo A520", new[] {"Lenovo", "LePhone A520"}),
            new KeyValuePair<string, string[]>("Lenovo A560e", new[] {"Lenovo", "A560"}),
            new KeyValuePair<string, string[]>("Lenovo A668t", new[] {"Lenovo", "LePhone A668"}),
            new KeyValuePair<string, string[]>("Lenovo A698t", new[] {"Lenovo", "LePhone A698"}),
            new KeyValuePair<string, string[]>("Lenovo A750", new[] {"Lenovo", "LePhone A750"}),
            new KeyValuePair<string, string[]>("Lenovo A780", new[] {"Lenovo", "LePhone A780"}),
            new KeyValuePair<string, string[]>("Lenovo A789", new[] {"Lenovo", "LePhone A789"}),
            new KeyValuePair<string, string[]>("Lenovo A790e", new[] {"Lenovo", "LePhone A790"}),
            new KeyValuePair<string, string[]>("Lenovo P70", new[] {"Lenovo", "LePhone P70"}),
            new KeyValuePair<string, string[]>("Lenovo P700", new[] {"Lenovo", "LePhone P700"}),
            new KeyValuePair<string, string[]>("Lenovo S850e", new[] {"Lenovo", "S850"}),
            new KeyValuePair<string, string[]>("Lenovo S880", new[] {"Lenovo", "S880"}),
            new KeyValuePair<string, string[]>("Lenovo K860", new[] {"Lenovo", "K860"}),
            new KeyValuePair<string, string[]>("A30t", new[] {"Lenovo", "A30t"}),
            new KeyValuePair<string, string[]>("Lenovo A60", new[] {"Lenovo", "A60"}),
            new KeyValuePair<string, string[]>("Lenovo A65", new[] {"Lenovo", "A65"}),
            new KeyValuePair<string, string[]>("Lenovo A66t", new[] {"Lenovo", "A66t"}),
            new KeyValuePair<string, string[]>("Lenovo A68e", new[] {"Lenovo", "A68e"}),
            new KeyValuePair<string, string[]>("Lenovo K800", new[] {"Lenovo", "K800"}),
            new KeyValuePair<string, string[]>("IDEA TV T100", new[] {"Lenovo", "IDEA TV", "television"}),
            new KeyValuePair<string, string[]>("IDEA TV K91", new[] {"Lenovo", "IDEA TV", "television"}),
            new KeyValuePair<string, string[]>("TC970", new[] {"Le Pan", "TC970", "tablet"}),
            new KeyValuePair<string, string[]>("LePanII", new[] {"Le Pan", "II", "tablet"}),
            new KeyValuePair<string, string[]>("LG-C555", new[] {"LG", "Optimus Chat"}),
            new KeyValuePair<string, string[]>("LG-C555-parrot", new[] {"LG", "Optimus Chat"}),
            new KeyValuePair<string, string[]>("LG-C660h", new[] {"LG", "Optimus Pro"}),
            new KeyValuePair<string, string[]>("LG-C729", new[] {"LG", "DoublePlay"}),
            new KeyValuePair<string, string[]>("LG-C800G", new[] {"LG", "Eclypse"}),
            new KeyValuePair<string, string[]>("LG-CX670", new[] {"LG", "Optimus 3G"}),
            new KeyValuePair<string, string[]>("LG-E400", new[] {"LG", "Optimus L3"}),
            new KeyValuePair<string, string[]>("LG-E400f", new[] {"LG", "Optimus L3"}),
            new KeyValuePair<string, string[]>("LG-E510", new[] {"LG", "Optimus Hub"}),
            new KeyValuePair<string, string[]>("LG-E510f", new[] {"LG", "Optimus Hub"}),
            new KeyValuePair<string, string[]>("LG-E510g", new[] {"LG", "Optimus Hub"}),
            new KeyValuePair<string, string[]>("LG-E610", new[] {"LG", "Optimus L5"}),
            new KeyValuePair<string, string[]>("LG-E612", new[] {"LG", "Optimus L5"}),
            new KeyValuePair<string, string[]>("LG-E612g", new[] {"LG", "Optimus L5"}),
            new KeyValuePair<string, string[]>("LG-E615F", new[] {"LG", "E615"}),
            new KeyValuePair<string, string[]>("LG-E617G", new[] {"LG", "E617"}),
            new KeyValuePair<string, string[]>("LG-E720", new[] {"LG", "Optimus Chic"}),
            new KeyValuePair<string, string[]>("LG-E720b", new[] {"LG", "Optimus Chic"}),
            new KeyValuePair<string, string[]>("LG-E730", new[] {"LG", "Optimus Sol"}),
            new KeyValuePair<string, string[]>("LG-E970", new[] {"LG", "Shine"}),
            new KeyValuePair<string, string[]>("LG-F100L", new[] {"LG", "Optimus Vu"}),
            new KeyValuePair<string, string[]>("LG-F100S", new[] {"LG", "Optimus Vu"}),
            new KeyValuePair<string, string[]>("LG-F120K", new[] {"LG", "Optimus LTE Tag"}),
            new KeyValuePair<string, string[]>("LG-F120L", new[] {"LG", "Optimus LTE Tag"}),
            new KeyValuePair<string, string[]>("LG-F120S", new[] {"LG", "Optimus LTE Tag"}),
            new KeyValuePair<string, string[]>("LG-F160K", new[] {"LG", "Optimus LTE II"}),
            new KeyValuePair<string, string[]>("LG-F160L", new[] {"LG", "Optimus LTE II"}),
            new KeyValuePair<string, string[]>("LG-F160S", new[] {"LG", "Optimus LTE II"}),
            new KeyValuePair<string, string[]>("LG-F180L", new[] {"LG", "F180L"}),
            new KeyValuePair<string, string[]>("LG-GT540", new[] {"LG", "Optimus"}),
            new KeyValuePair<string, string[]>("LG-GT540f", new[] {"LG", "Optimus"}),
            new KeyValuePair<string, string[]>("LG-GT540 Swift", new[] {"LG", "Optimus"}),
            new KeyValuePair<string, string[]>("LG-GW620", new[] {"LG", "GW620"}),
            new KeyValuePair<string, string[]>("LG-KH5200", new[] {"LG", "Andro-1"}),
            new KeyValuePair<string, string[]>("LG-KU3700", new[] {"LG", "Optimus One"}),
            new KeyValuePair<string, string[]>("LG-KU5400", new[] {"LG", "PRADA 3.0"}),
            new KeyValuePair<string, string[]>("LG-KU5900", new[] {"LG", "Optimus Black"}),
            new KeyValuePair<string, string[]>("LG-L40G", new[] {"LG", "L40G"}),
            new KeyValuePair<string, string[]>("LG-LG855", new[] {"LG", "Marquee"}),
            new KeyValuePair<string, string[]>("LG-LS670", new[] {"LG", "Optimus S"}),
            new KeyValuePair<string, string[]>("LG-LS696", new[] {"LG", "Optimus Elite"}),
            new KeyValuePair<string, string[]>("LG-LS840", new[] {"LG", "Viper 4G"}),
            new KeyValuePair<string, string[]>("LG-LS855", new[] {"LG", "Marquee"}),
            new KeyValuePair<string, string[]>("LG-LS860", new[] {"LG", "\"Cayenne\""}),
            new KeyValuePair<string, string[]>("LG-LS970", new[] {"LG", "\"Eclipse\""}),
            new KeyValuePair<string, string[]>("LG-LU3000", new[] {"LG", "Optimus Mach"}),
            new KeyValuePair<string, string[]>("LG-LU3100", new[] {"LG", "Optimus Chic"}),
            new KeyValuePair<string, string[]>("LG-LU3700", new[] {"LG", "Optimus One"}),
            new KeyValuePair<string, string[]>("LG-LU5400", new[] {"LG", "PRADA 3.0"}),
            new KeyValuePair<string, string[]>("LG-LU6200", new[] {"LG", "Optimus Q2"}),
            new KeyValuePair<string, string[]>("LG-lu6200", new[] {"LG", "Optimus Q2"}),
            new KeyValuePair<string, string[]>("LG-LU6500", new[] {"LG", "Optimus Note"}),
            new KeyValuePair<string, string[]>("LG-LU6800", new[] {"LG", "Optimus Big"}),
            new KeyValuePair<string, string[]>("LG-LU8300", new[] {"LG", "Optimus Pad LTE"}),
            new KeyValuePair<string, string[]>("LG-LW690", new[] {"LG", "Optimus C"}),
            new KeyValuePair<string, string[]>("LG-LW770", new[] {"LG", "LW770"}),
            new KeyValuePair<string, string[]>("LG-MS690", new[] {"LG", "Optimus M"}),
            new KeyValuePair<string, string[]>("LG-MS770", new[] {"LG", "MS770"}),
            new KeyValuePair<string, string[]>("LG-MS840", new[] {"LG", "Connect 4G"}),
            new KeyValuePair<string, string[]>("LG-MS910", new[] {"LG", "Esteem"}),
            new KeyValuePair<string, string[]>("LG-MS695", new[] {"LG", "Optimus M+"}),
            new KeyValuePair<string, string[]>("LG P350", new[] {"LG", "Optimus Me"}),
            new KeyValuePair<string, string[]>("LG-P350", new[] {"LG", "Optimus Me"}),
            new KeyValuePair<string, string[]>("LG-P350f", new[] {"LG", "Optimus Me"}),
            new KeyValuePair<string, string[]>("LG-P350g", new[] {"LG", "Optimus Me"}),
            new KeyValuePair<string, string[]>("LG-P355", new[] {"LG", "P355"}),
            new KeyValuePair<string, string[]>("LG-P500", new[] {"LG", "Optimus One"}),
            new KeyValuePair<string, string[]>("LG-P500h", new[] {"LG", "Optimus One"}),
            new KeyValuePair<string, string[]>("LG-P500h-parrot", new[] {"LG", "Optimus One"}),
            new KeyValuePair<string, string[]>("LG-P503", new[] {"LG", "Optimus One"}),
            new KeyValuePair<string, string[]>("LG-P504", new[] {"LG", "Optimus One"}),
            new KeyValuePair<string, string[]>("LG-P505", new[] {"LG", "Phoenix"}),
            new KeyValuePair<string, string[]>("LG-P505R", new[] {"LG", "Phoenix"}),
            new KeyValuePair<string, string[]>("LG-P506", new[] {"LG", "Thrive"}),
            new KeyValuePair<string, string[]>("LG-P509", new[] {"LG", "Optimus T"}),
            new KeyValuePair<string, string[]>("LG-P690", new[] {"LG", "Optimus Net"}),
            new KeyValuePair<string, string[]>("LG-P693", new[] {"LG", "P693"}),
            new KeyValuePair<string, string[]>("LG-P698", new[] {"LG", "Optimus Net"}),
            new KeyValuePair<string, string[]>("LG-P698f", new[] {"LG", "Optimus Net"}),
            new KeyValuePair<string, string[]>("LG-P700", new[] {"LG", "Optimus L7"}),
            new KeyValuePair<string, string[]>("LG-P705", new[] {"LG", "Optimus L7"}),
            new KeyValuePair<string, string[]>("LG-P705f", new[] {"LG", "Optimus L7"}),
            new KeyValuePair<string, string[]>("LG-P705g", new[] {"LG", "Optimus L7"}),
            new KeyValuePair<string, string[]>("LG-P708g", new[] {"LG", "P708"}),
            new KeyValuePair<string, string[]>("LG-P720", new[] {"LG", "Optimus Chic"}),
            new KeyValuePair<string, string[]>("LG-P720h", new[] {"LG", "Optimus Chic"}),
            new KeyValuePair<string, string[]>("LG-P725", new[] {"LG", "Optimus 3D Max"}),
            new KeyValuePair<string, string[]>("LG-P760", new[] {"LG", "P760"}),
            new KeyValuePair<string, string[]>("LG-P769", new[] {"LG", "P769"}),
            new KeyValuePair<string, string[]>("LG-P860", new[] {"LG", "P860"}),
            new KeyValuePair<string, string[]>("LG-P870", new[] {"LG", "P870"}),
            new KeyValuePair<string, string[]>("LG-P870F", new[] {"LG", "P870"}),
            new KeyValuePair<string, string[]>("LG-P880", new[] {"LG", "X3"}),
            new KeyValuePair<string, string[]>("LG-P880g", new[] {"LG", "X3"}),
            new KeyValuePair<string, string[]>("LG-P895", new[] {"LG", "P895"}),
            new KeyValuePair<string, string[]>("LG-P920", new[] {"LG", "Optimus 3D"}),
            new KeyValuePair<string, string[]>("LG-P920h", new[] {"LG", "Optimus 3D"}),
            new KeyValuePair<string, string[]>("LG-P925", new[] {"LG", "Thrill"}),
            new KeyValuePair<string, string[]>("LG-P925g", new[] {"LG", "Thrill"}),
            new KeyValuePair<string, string[]>("LG-P930", new[] {"LG", "Nitro HD"}),
            new KeyValuePair<string, string[]>("LG-P936", new[] {"LG", "Optimus LTE"}),
            new KeyValuePair<string, string[]>("LG-P940", new[] {"LG", "PRADA 3.0"}),
            new KeyValuePair<string, string[]>("LG-P970", new[] {"LG", "Optimus Black"}),
            new KeyValuePair<string, string[]>("LG-P970h", new[] {"LG", "Optimus Black"}),
            new KeyValuePair<string, string[]>("LG-P990", new[] {"LG", "Optimus 2X Speed"}),
            new KeyValuePair<string, string[]>("LG-P990h", new[] {"LG", "Optimus 2X Speed"}),
            new KeyValuePair<string, string[]>("LG-P990hN", new[] {"LG", "Optimus 2X Speed"}),
            new KeyValuePair<string, string[]>("LG-P990H", new[] {"LG", "Optimus 2X Speed"}),
            new KeyValuePair<string, string[]>("LG-P993", new[] {"LG", "Optimus 2X"}),
            new KeyValuePair<string, string[]>("LG-SU540", new[] {"LG", "PRADA 3.0"}),
            new KeyValuePair<string, string[]>("LG-SU640", new[] {"LG", "Optimus LTE"}),
            new KeyValuePair<string, string[]>("LG-SU660", new[] {"LG", "Optimus 2X"}),
            new KeyValuePair<string, string[]>("LG-SU760", new[] {"LG", "Optimus 3D"}),
            new KeyValuePair<string, string[]>("LG-SU760-Kust", new[] {"LG", "Optimus 3D"}),
            new KeyValuePair<string, string[]>("LG-SU870", new[] {"LG", "Optimus 3D Cube"}),
            new KeyValuePair<string, string[]>("LG-SU880", new[] {"LG", "Optimus EX"}),
            new KeyValuePair<string, string[]>("LG-US670", new[] {"LG", "Optimus U"}),
            new KeyValuePair<string, string[]>("LG-US730", new[] {"LG", "US730"}),
            new KeyValuePair<string, string[]>("LG-V900", new[] {"LG", "Optimus Pad", "tablet"}),
            new KeyValuePair<string, string[]>("LG-V905R", new[] {"LG", "Optimus G-Slate", "tablet"}),
            new KeyValuePair<string, string[]>("LG-V909", new[] {"LG", "Optimus G-Slate", "tablet"}),
            new KeyValuePair<string, string[]>("LG-VM670", new[] {"LG", "Optimus V"}),
            new KeyValuePair<string, string[]>("LG-VM696", new[] {"LG", "Optimus Elite"}),
            new KeyValuePair<string, string[]>("LG-VM701", new[] {"LG", "Optimus Slider"}),
            new KeyValuePair<string, string[]>("LG-VS660", new[] {"LG", "Vortex"}),
            new KeyValuePair<string, string[]>("LG-VS700", new[] {"LG", "Enlighten"}),
            new KeyValuePair<string, string[]>("LG-VS740", new[] {"LG", "Ally"}),
            new KeyValuePair<string, string[]>("LG-VS840", new[] {"LG", "Connect 4G"}),
            new KeyValuePair<string, string[]>("LG-VS910", new[] {"LG", "Revolution"}),
            new KeyValuePair<string, string[]>("lgp-970", new[] {"LG", "Optimus Black"}),
            new KeyValuePair<string, string[]>("E900", new[] {"LG", "Optimus 7"}),
            new KeyValuePair<string, string[]>("GT540", new[] {"LG", "Optimus GT540"}),
            new KeyValuePair<string, string[]>("GW620", new[] {"LG", "GW620"}),
            new KeyValuePair<string, string[]>("KU9500", new[] {"LG", "Optimus Z"}),
            new KeyValuePair<string, string[]>("LGC660", new[] {"LG", "Optimus Pro"}),
            new KeyValuePair<string, string[]>("LGL45C", new[] {"LG", "Optimus Net"}),
            new KeyValuePair<string, string[]>("LGL55C", new[] {"LG", "Optimus Q"}),
            new KeyValuePair<string, string[]>("LU2300", new[] {"LG", "Optimus Q"}),
            new KeyValuePair<string, string[]>("LS670", new[] {"LG", "Optimus S"}),
            new KeyValuePair<string, string[]>("P940", new[] {"LG", "PRADA 3.0"}),
            new KeyValuePair<string, string[]>("P990", new[] {"LG", "Optimus 2X Speed"}),
            new KeyValuePair<string, string[]>("USCC-US730", new[] {"LG", "US730"}),
            new KeyValuePair<string, string[]>("USCC-US760", new[] {"LG", "Genesis"}),
            new KeyValuePair<string, string[]>("VM670", new[] {"LG", "Optimus V"}),
            new KeyValuePair<string, string[]>("VS840 4G", new[] {"LG", "Connect 4G"}),
            new KeyValuePair<string, string[]>("VS900-4G", new[] {"LG", "VS900"}),
            new KeyValuePair<string, string[]>("VS910 4G", new[] {"LG", "Revolution 4G"}),
            new KeyValuePair<string, string[]>("VS920 4G", new[] {"LG", "Spectrum 4G"}),
            new KeyValuePair<string, string[]>("VS930 4G", new[] {"LG", "VS930"}),
            new KeyValuePair<string, string[]>("VS950 4G", new[] {"LG", "VS950"}),
            new KeyValuePair<string, string[]>("L-01D", new[] {"LG", "Optimus LTE"}),
            new KeyValuePair<string, string[]>("L-02D", new[] {"LG", "PRADA phone"}),
            new KeyValuePair<string, string[]>("L-04C", new[] {"LG", "Optimus Chat"}),
            new KeyValuePair<string, string[]>("L-05D", new[] {"LG", "Optimus it"}),
            new KeyValuePair<string, string[]>("L-06C", new[] {"LG", "Optimus Pad", "tablet"}),
            new KeyValuePair<string, string[]>("L-06D", new[] {"LG", "Optimus Vu"}),
            new KeyValuePair<string, string[]>("L-07C", new[] {"LG", "Optimus Bright"}),
            new KeyValuePair<string, string[]>("LG-Eve", new[] {"LG", "Eve"}),
            new KeyValuePair<string, string[]>("LG-Optimus One P500", new[] {"LG", "Optimus One"}),
            new KeyValuePair<string, string[]>("LG-Optimus 2X", new[] {"LG", "Optimus 2X"}),
            new KeyValuePair<string, string[]>("LG-GT540 Optimus", new[] {"LG", "Optimus"}),
            new KeyValuePair<string, string[]>("LG-Optimus Black", new[] {"LG", "Optimus Black"}),
            new KeyValuePair<string, string[]>("Ally", new[] {"LG", "Ally"}),
            new KeyValuePair<string, string[]>("Optimus", new[] {"LG", "Optimus"}),
            new KeyValuePair<string, string[]>("Optimus Me", new[] {"LG", "Optimus Me"}),
            new KeyValuePair<string, string[]>("optimus me p350", new[] {"LG", "Optimus Me"}),
            new KeyValuePair<string, string[]>("Optimus 2X", new[] {"LG", "Optimus 2X"}),
            new KeyValuePair<string, string[]>("Optimus 2x", new[] {"LG", "Optimus 2X"}),
            new KeyValuePair<string, string[]>("IS11LG", new[] {"LG", "Optimus X"}),
            new KeyValuePair<string, string[]>("Vortex", new[] {"LG", "Vortex"}),
            new KeyValuePair<string, string[]>("LDK-ICK v1.4", new[] {"LG", "Esteem"}),
            new KeyValuePair<string, string[]>("T6", new[] {"Malata", "Zpad T6", "tablet"}),
            new KeyValuePair<string, string[]>("Malata SMBA1002", new[] {"Malata", "Tablet SMB-A1002", "tablet"}),
            new KeyValuePair<string, string[]>("STM712HCZ", new[] {"Mediacom", "SmartPad 712c", "tablet"}),
            new KeyValuePair<string, string[]>("STM803HC", new[] {"Mediacom", "SmartPad 810c", "tablet"}),
            new KeyValuePair<string, string[]>("Mediacom 810C", new[] {"Mediacom", "SmartPad 810c", "tablet"}),
            new KeyValuePair<string, string[]>("Smartpad810c", new[] {"Mediacom", "SmartPad 810c", "tablet"}),
            new KeyValuePair<string, string[]>("SmartPad810c", new[] {"Mediacom", "SmartPad 810c", "tablet"}),
            new KeyValuePair<string, string[]>("MP810C", new[] {"Mediacom", "SmartPad 810c", "tablet"}),
            new KeyValuePair<string, string[]>("MP907C", new[] {"Mediacom", "SmartPad 907c", "tablet"}),
            new KeyValuePair<string, string[]>("MTK6516", new[] {"Mediatek", "MTK6516"}),
            new KeyValuePair<string, string[]>("LIFETAB S9512", new[] {"Medion", "Lifetab S9512", "tablet"}),
            new KeyValuePair<string, string[]>("LIFETAB P9514", new[] {"Medion", "Lifetab P9514", "tablet"}),
            new KeyValuePair<string, string[]>("MD LIFETAB P9516", new[] {"Medion", "Lifetab P9516", "tablet"}),
            new KeyValuePair<string, string[]>("MEDION LIFE P4310", new[] {"Medion", "Life P4310"}),
            new KeyValuePair<string, string[]>("M8", new[] {"Meizu", "M8"}),
            new KeyValuePair<string, string[]>("M9", new[] {"Meizu", "M9"}),
            new KeyValuePair<string, string[]>("M040", new[] {"Meizu", "M040"}),
            new KeyValuePair<string, string[]>("M9-unlocked", new[] {"Meizu", "M9"}),
            new KeyValuePair<string, string[]>("meizu m9", new[] {"Meizu", "M9"}),
            new KeyValuePair<string, string[]>("MEIZU M9", new[] {"Meizu", "M9"}),
            new KeyValuePair<string, string[]>("MEIZU MX", new[] {"Meizu", "MX"}),
            new KeyValuePair<string, string[]>("M030", new[] {"Meizu", "MX M030"}),
            new KeyValuePair<string, string[]>("M031", new[] {"Meizu", "MX M031"}),
            new KeyValuePair<string, string[]>("M032", new[] {"Meizu", "MX M032"}),
            new KeyValuePair<string, string[]>("Slidepad", new[] {"Memup", "Slidepad", "tablet"}),
            new KeyValuePair<string, string[]>("A45", new[] {"Micromax", "A45 Punk"}),
            new KeyValuePair<string, string[]>("Micromax A50", new[] {"Micromax", "A50 Ninja"}),
            new KeyValuePair<string, string[]>("Micromax A60", new[] {"Micromax", "Andro A60"}),
            new KeyValuePair<string, string[]>("Micromax A70", new[] {"Micromax", "Andro A70"}),
            new KeyValuePair<string, string[]>("P300(Funbook)", new[] {"Micromax", "Funbook P300", "tablet"}),
            new KeyValuePair<string, string[]>("AT735", new[] {"Moinstone", "AT735", "tablet"}),
            new KeyValuePair<string, string[]>("A853", new[] {"Motorola", "Milestone"}),
            new KeyValuePair<string, string[]>("A953", new[] {"Motorola", "Milestone 2"}),
            new KeyValuePair<string, string[]>("A1680", new[] {"Motorola", "MOTO A1680"}),
            new KeyValuePair<string, string[]>("ET1", new[] {"Motorola", "ET1 Enterprise Tablet", "tablet"}),
            new KeyValuePair<string, string[]>("MB200", new[] {"Motorola", "CLIQ"}),
            new KeyValuePair<string, string[]>("MB300", new[] {"Motorola", "BACKFLIP"}),
            new KeyValuePair<string, string[]>("MB501", new[] {"Motorola", "CLIQ XT"}),
            new KeyValuePair<string, string[]>("MB502", new[] {"Motorola", "CHARM"}),
            new KeyValuePair<string, string[]>("MB511", new[] {"Motorola", "FLIPOUT"}),
            new KeyValuePair<string, string[]>("MB520", new[] {"Motorola", "BRAVO"}),
            new KeyValuePair<string, string[]>("MB525", new[] {"Motorola", "DEFY"}),
            new KeyValuePair<string, string[]>("MB525+", new[] {"Motorola", "DEFY"}),
            new KeyValuePair<string, string[]>("MB525 for me", new[] {"Motorola", "DEFY"}),
            new KeyValuePair<string, string[]>("MB526", new[] {"Motorola", "DEFY+"}),
            new KeyValuePair<string, string[]>("MB611", new[] {"Motorola", "CLIQ 2"}),
            new KeyValuePair<string, string[]>("MB612", new[] {"Motorola", "XPRT"}),
            new KeyValuePair<string, string[]>("MB632", new[] {"Motorola", "PRO+"}),
            new KeyValuePair<string, string[]>("MB855", new[] {"Motorola", "PHOTON 4G"}),
            new KeyValuePair<string, string[]>("MB860", new[] {"Motorola", "ATRIX"}),
            new KeyValuePair<string, string[]>("MB861", new[] {"Motorola", "ATRIX"}),
            new KeyValuePair<string, string[]>("mb861", new[] {"Motorola", "ATRIX"}),
            new KeyValuePair<string, string[]>("MB865", new[] {"Motorola", "ATRIX 2"}),
            new KeyValuePair<string, string[]>("MB870", new[] {"Motorola", "Droid X2"}),
            new KeyValuePair<string, string[]>("MB886", new[] {"Motorola", "DINARA"}),
            new KeyValuePair<string, string[]>("ME501", new[] {"Motorola", "CLIQ XT"}),
            new KeyValuePair<string, string[]>("ME511", new[] {"Motorola", "FLIPOUT"}),
            new KeyValuePair<string, string[]>("me525", new[] {"Motorola", "MOTO ME525"}),
            new KeyValuePair<string, string[]>("Me525", new[] {"Motorola", "MOTO ME525"}),
            new KeyValuePair<string, string[]>("ME525", new[] {"Motorola", "MOTO ME525"}),
            new KeyValuePair<string, string[]>("ME525+", new[] {"Motorola", "MOTO ME525"}),
            new KeyValuePair<string, string[]>("ME600", new[] {"Motorola", "BACKFLIP"}),
            new KeyValuePair<string, string[]>("ME632", new[] {"Motorola", "PRO+"}),
            new KeyValuePair<string, string[]>("ME722", new[] {"Motorola", "Milestone 2"}),
            new KeyValuePair<string, string[]>("ME811", new[] {"Motorola", "Droid X"}),
            new KeyValuePair<string, string[]>("ME860", new[] {"Motorola", "ATRIX"}),
            new KeyValuePair<string, string[]>("ME863", new[] {"Motorola", "Milestone 3"}),
            new KeyValuePair<string, string[]>("ME865", new[] {"Motorola", "ATRIX 2"}),
            new KeyValuePair<string, string[]>("MT620", new[] {"Motorola", "MOTO MT620"}),
            new KeyValuePair<string, string[]>("MT620t", new[] {"Motorola", "MOTO MT620"}),
            new KeyValuePair<string, string[]>("MT716", new[] {"Motorola", "MOTO MT716"}),
            new KeyValuePair<string, string[]>("MT810", new[] {"Motorola", "MOTO MT810"}),
            new KeyValuePair<string, string[]>("MT870", new[] {"Motorola", "MOTO MT870"}),
            new KeyValuePair<string, string[]>("MT917", new[] {"Motorola", "MT917"}),
            new KeyValuePair<string, string[]>("MZ505", new[] {"Motorola", "XOOM Family Edition", "tablet"}),
            new KeyValuePair<string, string[]>("MZ600", new[] {"Motorola", "XOOM 4G LTE", "tablet"}),
            new KeyValuePair<string, string[]>("MZ601", new[] {"Motorola", "XOOM 3G", "tablet"}),
            new KeyValuePair<string, string[]>("MZ602", new[] {"Motorola", "XOOM 4G LTE", "tablet"}),
            new KeyValuePair<string, string[]>("MZ603", new[] {"Motorola", "XOOM 3G", "tablet"}),
            new KeyValuePair<string, string[]>("MZ604", new[] {"Motorola", "XOOM WiFi", "tablet"}),
            new KeyValuePair<string, string[]>("MZ605", new[] {"Motorola", "XOOM 3G", "tablet"}),
            new KeyValuePair<string, string[]>("MZ606", new[] {"Motorola", "XOOM WiFi", "tablet"}),
            new KeyValuePair<string, string[]>("MZ607", new[] {"Motorola", "XOOM 2 WiFi Media Edition", "tablet"}),
            new KeyValuePair<string, string[]>("MZ609", new[] {"Motorola", "Droid XYBOARD 8.2", "tablet"}),
            new KeyValuePair<string, string[]>("MZ609 4G", new[] {"Motorola", "Droid XYBOARD 8.2", "tablet"}),
            new KeyValuePair<string, string[]>("MZ615", new[] {"Motorola", "XOOM 2 WiFi", "tablet"}),
            new KeyValuePair<string, string[]>("MZ617", new[] {"Motorola", "Droid XYBOARD 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("MZ617 4G", new[] {"Motorola", "Droid XYBOARD 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("WX435", new[] {"Motorola", "TRIUMPH WX435"}),
            new KeyValuePair<string, string[]>("WX445", new[] {"Motorola", "CITRUS WX445"}),
            new KeyValuePair<string, string[]>("XT300", new[] {"Motorola", "SPICE"}),
            new KeyValuePair<string, string[]>("XT301", new[] {"Motorola", "MOTO XT301"}),
            new KeyValuePair<string, string[]>("XT311", new[] {"Motorola", "FIRE"}),
            new KeyValuePair<string, string[]>("XT316", new[] {"Motorola", "MOTO XT316"}),
            new KeyValuePair<string, string[]>("XT319", new[] {"Motorola", "MOTO XT319"}),
            new KeyValuePair<string, string[]>("XT390", new[] {"Motorola", "MOTO XT390"}),
            new KeyValuePair<string, string[]>("XT320", new[] {"Motorola", "DEFY Mini"}),
            new KeyValuePair<string, string[]>("XT321", new[] {"Motorola", "DEFY Mini"}),
            new KeyValuePair<string, string[]>("XT500", new[] {"Motorola", "MOTO XT500"}),
            new KeyValuePair<string, string[]>("xt-500", new[] {"Motorola", "MOTO XT500"}),
            new KeyValuePair<string, string[]>("XT502", new[] {"Motorola", "QUENCH XT5"}),
            new KeyValuePair<string, string[]>("XT530", new[] {"Motorola", "FIRE XT"}),
            new KeyValuePair<string, string[]>("XT531", new[] {"Motorola", "FIRE XT"}),
            new KeyValuePair<string, string[]>("XT532", new[] {"Motorola", "XT532"}),
            new KeyValuePair<string, string[]>("XT535", new[] {"Motorola", "DEFY"}),
            new KeyValuePair<string, string[]>("XT550", new[] {"Motorola", "XT550"}),
            new KeyValuePair<string, string[]>("XT556", new[] {"Motorola", "XT556"}),
            new KeyValuePair<string, string[]>("XT603", new[] {"Motorola", "ADMIRAL"}),
            new KeyValuePair<string, string[]>("XT610", new[] {"Motorola", "Droid Pro"}),
            new KeyValuePair<string, string[]>("XT615", new[] {"Motorola", "MOTO XT615"}),
            new KeyValuePair<string, string[]>("XT626", new[] {"Motorola", "MOTO XT626"}),
            new KeyValuePair<string, string[]>("XT681", new[] {"Motorola", "MOTO XT681"}),
            new KeyValuePair<string, string[]>("XT682", new[] {"Motorola", "Droid 3"}),
            new KeyValuePair<string, string[]>("XT685", new[] {"Motorola", "MOTO XT685"}),
            new KeyValuePair<string, string[]>("XT687", new[] {"Motorola", "ATRIX TV"}),
            new KeyValuePair<string, string[]>("XT701", new[] {"Motorola", "XT701"}),
            new KeyValuePair<string, string[]>("XT702", new[] {"Motorola", "MOTO XT702"}),
            new KeyValuePair<string, string[]>("XT711", new[] {"Motorola", "MOTO XT711"}),
            new KeyValuePair<string, string[]>("XT720", new[] {"Motorola", "Milestone"}),
            new KeyValuePair<string, string[]>("XT875", new[] {"Motorola", "Droid Bionic"}),
            new KeyValuePair<string, string[]>("XT800", new[] {"Motorola", "MOTO XT800"}),
            new KeyValuePair<string, string[]>("XT800+", new[] {"Motorola", "MOTO XT800"}),
            new KeyValuePair<string, string[]>("XT800W", new[] {"Motorola", "MOTO Glam"}),
            new KeyValuePair<string, string[]>("XT806", new[] {"Motorola", "MOTO XT806"}),
            new KeyValuePair<string, string[]>("XT860", new[] {"Motorola", "Milestone 3"}),
            new KeyValuePair<string, string[]>("XT862", new[] {"Motorola", "Droid 3"}),
            new KeyValuePair<string, string[]>("XT882", new[] {"Motorola", "MOTO XT882"}),
            new KeyValuePair<string, string[]>("XT883", new[] {"Motorola", "Milestone 3"}),
            new KeyValuePair<string, string[]>("XT889", new[] {"Motorola", "XT889"}),
            new KeyValuePair<string, string[]>("XT897", new[] {"Motorola", "Droid 4"}),
            new KeyValuePair<string, string[]>("XT901", new[] {"Motorola", "RAZR"}),
            new KeyValuePair<string, string[]>("XT910", new[] {"Motorola", "RAZR"}),
            new KeyValuePair<string, string[]>("XT910K", new[] {"Motorola", "RAZR"}),
            new KeyValuePair<string, string[]>("XT910S", new[] {"Motorola", "RAZR"}),
            new KeyValuePair<string, string[]>("XT910 4G", new[] {"Motorola", "RAZR"}),
            new KeyValuePair<string, string[]>("XT912", new[] {"Motorola", "Droid RAZR"}),
            new KeyValuePair<string, string[]>("XT923", new[] {"Motorola", "Droid RAZR HD"}),
            new KeyValuePair<string, string[]>("XT925", new[] {"Motorola", "Droid RAZR HD"}),
            new KeyValuePair<string, string[]>("XT926", new[] {"Motorola", "Droid RAZR"}),
            new KeyValuePair<string, string[]>("XT926 4G", new[] {"Motorola", "Droid RAZR"}),
            new KeyValuePair<string, string[]>("XT928", new[] {"Motorola", "XT928"}),
            new KeyValuePair<string, string[]>("Atrix 2", new[] {"Motorola", "ATRIX 2"}),
            new KeyValuePair<string, string[]>("Atrix 4g", new[] {"Motorola", "ATRIX 4G"}),
            new KeyValuePair<string, string[]>("Atrix 4G", new[] {"Motorola", "ATRIX 4G"}),
            new KeyValuePair<string, string[]>("Atrix 4G ME860", new[] {"Motorola", "ATRIX 4G"}),
            new KeyValuePair<string, string[]>("CLIQ", new[] {"Motorola", "CLIQ"}),
            new KeyValuePair<string, string[]>("CLIQ XT", new[] {"Motorola", "CLIQ XT"}),
            new KeyValuePair<string, string[]>("CLIQ2", new[] {"Motorola", "CLIQ 2"}),
            new KeyValuePair<string, string[]>("Corvair", new[] {"Motorola", "Corvair", "tablet"}),
            new KeyValuePair<string, string[]>("DEFY", new[] {"Motorola", "DEFY"}),
            new KeyValuePair<string, string[]>("Defy+", new[] {"Motorola", "DEFY+"}),
            new KeyValuePair<string, string[]>("Defy Plus", new[] {"Motorola", "DEFY+"}),
            new KeyValuePair<string, string[]>("Devour", new[] {"Motorola", "Devour"}),
            new KeyValuePair<string, string[]>("Dext", new[] {"Motorola", "Dext"}),
            new KeyValuePair<string, string[]>("Droid", new[] {"Motorola", "Droid"}),
            new KeyValuePair<string, string[]>("DROID", new[] {"Motorola", "Droid"}),
            new KeyValuePair<string, string[]>("DROID2", new[] {"Motorola", "Droid 2"}),
            new KeyValuePair<string, string[]>("DROID2 GLOBAL", new[] {"Motorola", "Droid 2"}),
            new KeyValuePair<string, string[]>("DROID2 Global", new[] {"Motorola", "Droid 2"}),
            new KeyValuePair<string, string[]>("Droid2Global", new[] {"Motorola", "Droid 2"}),
            new KeyValuePair<string, string[]>("DROID 2", new[] {"Motorola", "Droid 2"}),
            new KeyValuePair<string, string[]>("DROID3", new[] {"Motorola", "Droid 3"}),
            new KeyValuePair<string, string[]>("DROID4", new[] {"Motorola", "Droid 4"}),
            new KeyValuePair<string, string[]>("DROID4 4G", new[] {"Motorola", "Droid 4"}),
            new KeyValuePair<string, string[]>("DROID Pro", new[] {"Motorola", "Droid Pro"}),
            new KeyValuePair<string, string[]>("DROID BIONIC", new[] {"Motorola", "Droid Bionic"}),
            new KeyValuePair<string, string[]>("DROID BIONIC 4G", new[] {"Motorola", "Droid Bionic"}),
            new KeyValuePair<string, string[]>("DROID BIONIC XT875 4G", new[] {"Motorola", "Droid Bionic"}),
            new KeyValuePair<string, string[]>("DROIDRAZR", new[] {"Motorola", "Droid RAZR"}),
            new KeyValuePair<string, string[]>("Droid Razr", new[] {"Motorola", "Droid RAZR"}),
            new KeyValuePair<string, string[]>("DROID RAZR", new[] {"Motorola", "Droid RAZR"}),
            new KeyValuePair<string, string[]>("DROID RAZR 4G", new[] {"Motorola", "Droid RAZR"}),
            new KeyValuePair<string, string[]>("DROID SPYDER", new[] {"Motorola", "Droid RAZR"}),
            new KeyValuePair<string, string[]>("DROID RAZR HD", new[] {"Motorola", "Droid RAZR HD"}),
            new KeyValuePair<string, string[]>("DROID RAZR HD 4G", new[] {"Motorola", "Droid RAZR HD"}),
            new KeyValuePair<string, string[]>("DroidX", new[] {"Motorola", "Droid X"}),
            new KeyValuePair<string, string[]>("DROIDX", new[] {"Motorola", "Droid X"}),
            new KeyValuePair<string, string[]>("droid x", new[] {"Motorola", "Droid X"}),
            new KeyValuePair<string, string[]>("Droid X", new[] {"Motorola", "Droid X"}),
            new KeyValuePair<string, string[]>("DROID X", new[] {"Motorola", "Droid X"}),
            new KeyValuePair<string, string[]>("DROID X2", new[] {"Motorola", "Droid X2"}),
            new KeyValuePair<string, string[]>("Electrify", new[] {"Motorola", "Electrify"}),
            new KeyValuePair<string, string[]>("Milestone XT720", new[] {"Motorola", "Milestone"}),
            new KeyValuePair<string, string[]>("Milestone Xt720", new[] {"Motorola", "Milestone"}),
            new KeyValuePair<string, string[]>("Milestone", new[] {"Motorola", "Milestone"}),
            new KeyValuePair<string, string[]>("A853 Milestone", new[] {"Motorola", "Milestone"}),
            new KeyValuePair<string, string[]>("Milestone X", new[] {"Motorola", "Milestone X"}),
            new KeyValuePair<string, string[]>("Milestone X2", new[] {"Motorola", "Milestone X2"}),
            new KeyValuePair<string, string[]>("MotoroiX", new[] {"Motorola", "Droid X"}),
            new KeyValuePair<string, string[]>("Moto Backflip", new[] {"Motorola", "BACKFLIP"}),
            new KeyValuePair<string, string[]>("RAZR", new[] {"Motorola", "RAZR"}),
            new KeyValuePair<string, string[]>("Triumph", new[] {"Motorola", "TRIUMPH"}),
            new KeyValuePair<string, string[]>("Opus One", new[] {"Motorola", "i1"}),
            new KeyValuePair<string, string[]>("Photon", new[] {"Motorola", "PHOTON"}),
            new KeyValuePair<string, string[]>("Photon 4G", new[] {"Motorola", "PHOTON 4G"}),
            new KeyValuePair<string, string[]>("XOOM", new[] {"Motorola", "XOOM", "tablet"}),
            new KeyValuePair<string, string[]>("Xoom", new[] {"Motorola", "XOOM", "tablet"}),
            new KeyValuePair<string, string[]>("XOOM 2", new[] {"Motorola", "XOOM 2", "tablet"}),
            new KeyValuePair<string, string[]>("XOOM 2 ME", new[] {"Motorola", "XOOM 2", "tablet"}),
            new KeyValuePair<string, string[]>("XOOM MZ606", new[] {"Motorola", "XOOM WiFi", "tablet"}),
            new KeyValuePair<string, string[]>("ISW11M", new[] {"Motorola", "PHOTON"}),
            new KeyValuePair<string, string[]>("IS12M", new[] {"Motorola", "RAZR"}),
            new KeyValuePair<string, string[]>("MOTWX435KT", new[] {"Motorola", "TRIUMPH"}),
            new KeyValuePair<string, string[]>("X3-Ice MIUI XT720 Memorila Classics", new[] {"Motorola", "Milestone"}),
            new KeyValuePair<string, string[]>("NABI-A", new[] {"Nabi", "Kids tablet", "tablet"}),
            new KeyValuePair<string, string[]>("Newpad", new[] {"Newsmy", "Newpad", "tablet"}),
            new KeyValuePair<string, string[]>("Newpad-K97", new[] {"Newsmy", "Newpad K97", "tablet"}),
            new KeyValuePair<string, string[]>("Newpad P9", new[] {"Newsmy", "Newpad P9", "tablet"}),
            new KeyValuePair<string, string[]>("M-PAD N8", new[] {"Newsmy", "M-pad N8", "tablet"}),
            new KeyValuePair<string, string[]>("LT-NA7", new[] {"NEC", "LT-NA7"}),
            new KeyValuePair<string, string[]>("N-01D", new[] {"NEC", "MEDIAS PP N-01D"}),
            new KeyValuePair<string, string[]>("N-04C", new[] {"NEC", "MEDIAS N-04C"}),
            new KeyValuePair<string, string[]>("N-04D", new[] {"NEC", "MEDIAS LTE N-04D"}),
            new KeyValuePair<string, string[]>("N-05D", new[] {"NEC", "MEDIAS ES N-05D"}),
            new KeyValuePair<string, string[]>("N-06C", new[] {"NEC", "MEDIAS WP N-06C"}),
            new KeyValuePair<string, string[]>("N-06D", new[] {"NEC", "MEDIAS Tab N-06D", "tablet"}),
            new KeyValuePair<string, string[]>("N-07D", new[] {"NEC", "MEDIAS X N-07D"}),
            new KeyValuePair<string, string[]>("101N", new[] {"NEC", "MEDIAS CH Softbank 101N"}),
            new KeyValuePair<string, string[]>("IS11N", new[] {"NEC", "MEDIAS BR IS11N"}),
            new KeyValuePair<string, string[]>("Nexian NX-A890", new[] {"Nexian", "Journey"}),
            new KeyValuePair<string, string[]>("NX-A891", new[] {"Nexian", "Ultra Journey"}),
            new KeyValuePair<string, string[]>("M726HC", new[] {"Nextbook", "Premium 7", "ereader"}),
            new KeyValuePair<string, string[]>("NXM726HN", new[] {"Nextbook", "Premium 7", "ereader"}),
            new KeyValuePair<string, string[]>("NXM803HD", new[] {"Nextbook", "Premium 8", "ereader"}),
            new KeyValuePair<string, string[]>("DATAM803HC", new[] {"Nextbook", "Premium 8", "ereader"}),
            new KeyValuePair<string, string[]>("NXM901", new[] {"Nextbook", "Next 3", "ereader"}),
            new KeyValuePair<string, string[]>("NGM Vanity Smart", new[] {"NGM", "Vanity Smart"}),
            new KeyValuePair<string, string[]>("Nokia N9", new[] {"Nokia", "N9"}),
            new KeyValuePair<string, string[]>("Nokia N900", new[] {"Nokia", "N900"}),
            new KeyValuePair<string, string[]>("Lumia800", new[] {"Nokia", "Lumia 800"}),
            new KeyValuePair<string, string[]>("Lumia 900", new[] {"Nokia", "Lumia 900"}),
            new KeyValuePair<string, string[]>("Notion Ink ADAM", new[] {"Notion Ink", "ADAM", "tablet"}),
            new KeyValuePair<string, string[]>("P4D SIRIUS", new[] {"Nvsbl", "P4D SIRIUS", "tablet"}),
            new KeyValuePair<string, string[]>("P4D Sirius", new[] {"Nvsbl", "P4D SIRIUS", "tablet"}),
            new KeyValuePair<string, string[]>("EFM710A", new[] {"Oblio", "Mint 7x", "tablet"}),
            new KeyValuePair<string, string[]>("ODYS-Xpress", new[] {"Odys", "Xpress", "tablet"}),
            new KeyValuePair<string, string[]>("Olivetti Olipad 100", new[] {"Olivetti", "Olipad 100", "tablet"}),
            new KeyValuePair<string, string[]>("OP110", new[] {"Olivetti", "Olipad 110", "tablet"}),
            new KeyValuePair<string, string[]>("ONDA MID", new[] {"Onda", "MID", "tablet"}),
            new KeyValuePair<string, string[]>("VX580A", new[] {"Onda", "VX580A", "tablet"}),
            new KeyValuePair<string, string[]>("VX610A", new[] {"Onda", "VX610A", "tablet"}),
            new KeyValuePair<string, string[]>("TQ150", new[] {"Onda", "TQ150"}),
            new KeyValuePair<string, string[]>("N2T", new[] {"ONN", "N2T", "tablet"}),
            new KeyValuePair<string, string[]>("Renesas", new[] {"Opad", "Renesas", "tablet"}),
            new KeyValuePair<string, string[]>("renesas emev", new[] {"Opad", "Renesas", "tablet"}),
            new KeyValuePair<string, string[]>("X903", new[] {"Oppo", "Find Me X903"}),
            new KeyValuePair<string, string[]>("X905", new[] {"Oppo", "Find 3 X905"}),
            new KeyValuePair<string, string[]>("R805", new[] {"Oppo", "R805"}),
            new KeyValuePair<string, string[]>("R801", new[] {"Oppo", "R801"}),
            new KeyValuePair<string, string[]>("R811", new[] {"Oppo", "R811"}),
            new KeyValuePair<string, string[]>("X909", new[] {"Oppo", "X909"}),
            new KeyValuePair<string, string[]>("OPPOR801", new[] {"Oppo", "R801"}),
            new KeyValuePair<string, string[]>("OPPOX905", new[] {"Oppo", "Find 3 X905"}),
            new KeyValuePair<string, string[]>("OPPOX907", new[] {"Oppo", "Find 3 X907"}),
            new KeyValuePair<string, string[]>("X907", new[] {"Oppo", "Find 3 X907"}),
            new KeyValuePair<string, string[]>("X9015", new[] {"Oppo", "Find X9015"}),
            new KeyValuePair<string, string[]>("OPPOX9017", new[] {"Oppo", "Finder X9017"}),
            new KeyValuePair<string, string[]>("OPPOU701", new[] {"Oppo", "OPPOU701"}),
            new KeyValuePair<string, string[]>("OPPOR807", new[] {"Oppo", "Real R807"}),
            new KeyValuePair<string, string[]>("OPPOR805", new[] {"Oppo", "Real R805"}),
            new KeyValuePair<string, string[]>("R807", new[] {"Oppo", "Real R807"}),
            new KeyValuePair<string, string[]>("OPPOT703", new[] {"Oppo", "T703"}),
            new KeyValuePair<string, string[]>("P-01D", new[] {"Panasonic", "P-01D"}),
            new KeyValuePair<string, string[]>("P-02D", new[] {"Panasonic", "Lumix Phone"}),
            new KeyValuePair<string, string[]>("P-04D", new[] {"Panasonic", "Eluga"}),
            new KeyValuePair<string, string[]>("P-07C", new[] {"Panasonic", "P-07C"}),
            new KeyValuePair<string, string[]>("dL1", new[] {"Panasonic", "Eluga dL1"}),
            new KeyValuePair<string, string[]>("101P", new[] {"Panasonic", "Lumix Phone"}),
            new KeyValuePair<string, string[]>("JT-H580VT", new[] {"Panasonic", "BizPad 7", "tablet"}),
            new KeyValuePair<string, string[]>("JT-H581VT", new[] {"Panasonic", "BizPad 10", "tablet"}),
            new KeyValuePair<string, string[]>("FZ-A1A", new[] {"Panasonic", "Toughpad", "tablet"}),
            new KeyValuePair<string, string[]>("pandigital9hr", new[] {"Pandigital", "9HR", "tablet"}),
            new KeyValuePair<string, string[]>("pandigital9hr2", new[] {"Pandigital", "9HR2", "tablet"}),
            new KeyValuePair<string, string[]>("pandigitalopc1", new[] {"Pandigital", "OPC1", "tablet"}),
            new KeyValuePair<string, string[]>("pandigitalopp1", new[] {"Pandigital", "OPP1", "tablet"}),
            new KeyValuePair<string, string[]>("pandigitalp1hr", new[] {"Pandigital", "p1hr", "tablet"}),
            new KeyValuePair<string, string[]>("IM-A600S", new[] {"Pantech", "SIRIUS \u00c3\ufffd\u00c2\u00b1"}),
            new KeyValuePair<string, string[]>("IM-A630K", new[] {"Pantech", "SKY Izar"}),
            new KeyValuePair<string, string[]>("IM-A690L", new[] {"Pantech", "SKY"}),
            new KeyValuePair<string, string[]>("IM-A690S", new[] {"Pantech", "SKY"}),
            new KeyValuePair<string, string[]>("IM-A710K", new[] {"Pantech", "SKY Vega Xpress"}),
            new KeyValuePair<string, string[]>("IM-A720L", new[] {"Pantech", "SKY Vega Xpress"}),
            new KeyValuePair<string, string[]>("IM-A725L", new[] {"Pantech", "SKY Vega X+"}),
            new KeyValuePair<string, string[]>("IM-A730s", new[] {"Pantech", "SKY Vega S"}),
            new KeyValuePair<string, string[]>("IM-A730S", new[] {"Pantech", "SKY Vega S"}),
            new KeyValuePair<string, string[]>("IM-A750K", new[] {"Pantech", "SKY Mirach A"}),
            new KeyValuePair<string, string[]>("IM-A760S", new[] {"Pantech", "SKY Vega Racer"}),
            new KeyValuePair<string, string[]>("IM-A770K", new[] {"Pantech", "SKY Vega Racer"}),
            new KeyValuePair<string, string[]>("IM-A780L", new[] {"Pantech", "SKY Vega Racer"}),
            new KeyValuePair<string, string[]>("IM-A800S", new[] {"Pantech", "SKY Vega LTE"}),
            new KeyValuePair<string, string[]>("IM-A810K", new[] {"Pantech", "SKY Vega LTE M"}),
            new KeyValuePair<string, string[]>("IM-A810S", new[] {"Pantech", "SKY Vega LTE M"}),
            new KeyValuePair<string, string[]>("IM-A820L", new[] {"Pantech", "SKY Vega LTE EX"}),
            new KeyValuePair<string, string[]>("IM-A830K", new[] {"Pantech", "SKY Vega Racer 2"}),
            new KeyValuePair<string, string[]>("IM-A830L", new[] {"Pantech", "SKY Vega Racer 2"}),
            new KeyValuePair<string, string[]>("IM-A830S", new[] {"Pantech", "SKY Vega Racer 2"}),
            new KeyValuePair<string, string[]>("IM-A840S", new[] {"Pantech", "SKY Vega S5"}),
            new KeyValuePair<string, string[]>("IM-A850K", new[] {"Pantech", "IM-A850K"}),
            new KeyValuePair<string, string[]>("IM-T100K", new[] {"Pantech", "SKY Vega No. 5", "tablet"}),
            new KeyValuePair<string, string[]>("IS06", new[] {"Pantech", "SIRIUS \u00c3\ufffd\u00c2\u00b1"}),
            new KeyValuePair<string, string[]>("ADR8995", new[] {"Pantech", "Breakout"}),
            new KeyValuePair<string, string[]>("ADR8995 4G", new[] {"Pantech", "Breakout"}),
            new KeyValuePair<string, string[]>("ADR910L 4G", new[] {"Pantech", "ADR910L"}),
            new KeyValuePair<string, string[]>("PantechP4100", new[] {"Pantech", "Element", "tablet"}),
            new KeyValuePair<string, string[]>("PantechP8000", new[] {"Pantech", "Crossover"}),
            new KeyValuePair<string, string[]>("PantechP8010", new[] {"Pantech", "P8010"}),
            new KeyValuePair<string, string[]>("PantechP9060", new[] {"Pantech", "Pocket"}),
            new KeyValuePair<string, string[]>("PantechP9070", new[] {"Pantech", "Burst"}),
            new KeyValuePair<string, string[]>("SKY IM-A600S", new[] {"Pantech", "SIRIUS \u00c3\ufffd\u00c2\u00b1"}),
            new KeyValuePair<string, string[]>("SKY IM-A630K", new[] {"Pantech", "SKY Izar"}),
            new KeyValuePair<string, string[]>("SKY IM-A650S", new[] {"Pantech", "SKY Vega"}),
            new KeyValuePair<string, string[]>("IS11PT", new[] {"Pantech", "Mirach IS11PT"}),
            new KeyValuePair<string, string[]>("PAT712W", new[] {"Perfeo", "PAT712W", "tablet"}),
            new KeyValuePair<string, string[]>("X7G", new[] {"Pearl", "Touchlet X7G", "tablet"}),
            new KeyValuePair<string, string[]>("FWS810", new[] {"PHICOMM", "FWS810"}),
            new KeyValuePair<string, string[]>("Philips PI5000", new[] {"Philips", "PI5000", "tablet"}),
            new KeyValuePair<string, string[]>("PI7000", new[] {"Philips", "PI7000", "tablet"}),
            new KeyValuePair<string, string[]>("Philips W626", new[] {"Philips", "W626"}),
            new KeyValuePair<string, string[]>("Philips W632", new[] {"Philips", "W632"}),
            new KeyValuePair<string, string[]>("MOMO", new[] {"Ployer", "MOMO", "tablet"}),
            new KeyValuePair<string, string[]>("MOMO15", new[] {"Ployer", "MOMO15", "tablet"}),
            new KeyValuePair<string, string[]>("PocketBook A7", new[] {"PocketBook", "A7", "tablet"}),
            new KeyValuePair<string, string[]>("PocketBook A10", new[] {"PocketBook", "A10", "tablet"}),
            new KeyValuePair<string, string[]>("Mobii 7", new[] {"Point Of View", "Mobii 7", "tablet"}),
            new KeyValuePair<string, string[]>("PMP3384BRU", new[] {"Prestigio", "Multipad 3384", "tablet"}),
            new KeyValuePair<string, string[]>("TB07FTA", new[] {"Positivo", "TB07FTA", "tablet"}),
            new KeyValuePair<string, string[]>("QW TB-1207", new[] {"Qware", "Pro3", "tablet"}),
            new KeyValuePair<string, string[]>("W6HD ICS", new[] {"Ramos", "W6HD", "tablet"}),
            new KeyValuePair<string, string[]>("w10", new[] {"Ramos", "W10", "tablet"}),
            new KeyValuePair<string, string[]>("W10", new[] {"Ramos", "W10", "tablet"}),
            new KeyValuePair<string, string[]>("w10 v2.0", new[] {"Ramos", "W10 v2.0", "tablet"}),
            new KeyValuePair<string, string[]>("W10 V2.0", new[] {"Ramos", "W10 v2.0", "tablet"}),
            new KeyValuePair<string, string[]>("T11AD", new[] {"Ramos", "T11AD", "tablet"}),
            new KeyValuePair<string, string[]>("T11AD.FE", new[] {"Ramos", "T11AD", "tablet"}),
            new KeyValuePair<string, string[]>("PlayBook", new[] {"RIM", "BlackBerry PlayBook", "tablet"}),
            new KeyValuePair<string, string[]>("RBK-490", new[] {"Ritmix", "RBK-490", "tablet"}),
            new KeyValuePair<string, string[]>("A8HD", new[] {"Saayi", "Dropad A8HD", "tablet"}),
            new KeyValuePair<string, string[]>("GT-S7568", new[] {"Samsung", "S7568"}),
            new KeyValuePair<string, string[]>("Galaxy Nexus", new[] {"Samsung", "Galaxy Nexus"}),
            new KeyValuePair<string, string[]>("GT-B5330", new[] {"Samsung", "GT-B5330"}),
            new KeyValuePair<string, string[]>("GT-B5510", new[] {"Samsung", "Galaxy Y Pro"}),
            new KeyValuePair<string, string[]>("GT-B5510B", new[] {"Samsung", "Galaxy Y Pro"}),
            new KeyValuePair<string, string[]>("GT-B5510L", new[] {"Samsung", "Galaxy Y Pro"}),
            new KeyValuePair<string, string[]>("GT-B5512", new[] {"Samsung", "Galaxy Y Pro Duos"}),
            new KeyValuePair<string, string[]>("GT-B7510", new[] {"Samsung", "Galaxy Pro"}),
            new KeyValuePair<string, string[]>("GT-B7510L", new[] {"Samsung", "Galaxy Pro"}),
            new KeyValuePair<string, string[]>("GT-I5500", new[] {"Samsung", "Galaxy 5"}),
            new KeyValuePair<string, string[]>("GT-I5500B", new[] {"Samsung", "Galaxy 5"}),
            new KeyValuePair<string, string[]>("GT-I5500L", new[] {"Samsung", "Galaxy 5"}),
            new KeyValuePair<string, string[]>("GT-I5500M", new[] {"Samsung", "Galaxy 5"}),
            new KeyValuePair<string, string[]>("GT-I5500-MR3", new[] {"Samsung", "Galaxy 5"}),
            new KeyValuePair<string, string[]>("GT-I5503", new[] {"Samsung", "Galaxy 5"}),
            new KeyValuePair<string, string[]>("GT-I5508", new[] {"Samsung", "Galaxy 5"}),
            new KeyValuePair<string, string[]>("GT-I5510", new[] {"Samsung", "Galaxy 551"}),
            new KeyValuePair<string, string[]>("GT-I5510L", new[] {"Samsung", "Galaxy 551"}),
            new KeyValuePair<string, string[]>("GT-I5510M", new[] {"Samsung", "Galaxy 551"}),
            new KeyValuePair<string, string[]>("GT-I5510T", new[] {"Samsung", "Galaxy 551"}),
            new KeyValuePair<string, string[]>("GT-I5700", new[] {"Samsung", "Galaxy Spica"}),
            new KeyValuePair<string, string[]>("GT-I5700L", new[] {"Samsung", "Galaxy Spica"}),
            new KeyValuePair<string, string[]>("GT-I5800", new[] {"Samsung", "Galaxy Apollo"}),
            new KeyValuePair<string, string[]>("GT-I5800D", new[] {"Samsung", "Galaxy Apollo"}),
            new KeyValuePair<string, string[]>("GT-I5800L", new[] {"Samsung", "Galaxy Apollo"}),
            new KeyValuePair<string, string[]>("GT-I5801", new[] {"Samsung", "Galaxy Apollo"}),
            new KeyValuePair<string, string[]>("GT-I6500U", new[] {"Samsung", "Saturn"}),
            new KeyValuePair<string, string[]>("GT-I8000", new[] {"Samsung", "Omnia 2"}),
            new KeyValuePair<string, string[]>("GT-I8150", new[] {"Samsung", "Galaxy W"}),
            new KeyValuePair<string, string[]>("GT-I8150B", new[] {"Samsung", "Galaxy W"}),
            new KeyValuePair<string, string[]>("GT-I8160", new[] {"Samsung", "Galaxy Ace 2"}),
            new KeyValuePair<string, string[]>("GT-I8160L", new[] {"Samsung", "Galaxy Ace 2"}),
            new KeyValuePair<string, string[]>("GT-I8160P", new[] {"Samsung", "Galaxy Ace 2"}),
            new KeyValuePair<string, string[]>("GT-I8320", new[] {"Samsung", "H1"}),
            new KeyValuePair<string, string[]>("GT-I8520", new[] {"Samsung", "Galaxy Beam"}),
            new KeyValuePair<string, string[]>("GT-I8530", new[] {"Samsung", "Galaxy Beam"}),
            new KeyValuePair<string, string[]>("GT-I8250", new[] {"Samsung", "Galaxy Beam"}),
            new KeyValuePair<string, string[]>("GT-i9000", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("GT-I9000", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("GT-I9000B", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("GT-I9000M", new[] {"Samsung", "Galaxy S Vibrant"}),
            new KeyValuePair<string, string[]>("GT-I9000T", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("GT-I9001", new[] {"Samsung", "Galaxy S Plus"}),
            new KeyValuePair<string, string[]>("GT-I9003", new[] {"Samsung", "Galaxy SL"}),
            new KeyValuePair<string, string[]>("GT-I9003L", new[] {"Samsung", "Galaxy SL"}),
            new KeyValuePair<string, string[]>("GT-I9008", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("GT-I9008L", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("GT-I9010", new[] {"Samsung", "Galaxy S Giorgio Armani"}),
            new KeyValuePair<string, string[]>("GT-I9018", new[] {"Samsung", "Galaxy GT-I9018"}),
            new KeyValuePair<string, string[]>("GT-I9070", new[] {"Samsung", "Galaxy S Advance"}),
            new KeyValuePair<string, string[]>("GT-I9070P", new[] {"Samsung", "Galaxy S Advance"}),
            new KeyValuePair<string, string[]>("GT-I9082", new[] {"Samsung", "Galaxy Grand DUOS"}),
            new KeyValuePair<string, string[]>("GT-I9088", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("GT-i9100", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("GT-I9100", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("GT-I9100G", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("GT-I9100M", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("GT-I9100T", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("GT-I9100P", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("GT-I9103", new[] {"Samsung", "Galaxy R"}),
            new KeyValuePair<string, string[]>("GT-I9108", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("GT-I9210", new[] {"Samsung", "Galaxy S II LTE"}),
            new KeyValuePair<string, string[]>("GT-I9210T", new[] {"Samsung", "Galaxy S II LTE"}),
            new KeyValuePair<string, string[]>("GT-I9220", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("GT-I9228", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("GT-I9250", new[] {"Samsung", "Galaxy Nexus"}),
            new KeyValuePair<string, string[]>("GT-I9250 EUR XX", new[] {"Samsung", "Galaxy Nexus"}),
            new KeyValuePair<string, string[]>("GT-I9260", new[] {"Samsung", "Galaxy Premier"}),
            new KeyValuePair<string, string[]>("GT-I9300", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("GT-I9300T", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("GT-I9303T", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("GT-I9308", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("GT-I9500", new[] {"Samsung", "Galaxy GT-I9500"}),
            new KeyValuePair<string, string[]>("GT-I9800", new[] {"Samsung", "Galaxy GT-I9800"}),
            new KeyValuePair<string, string[]>("GT-N7000", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("GT-N7000B", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("GT-N7100", new[] {"Samsung", "Galaxy Note II"}),
            new KeyValuePair<string, string[]>("GT-N7102", new[] {"Samsung", "Galaxy Note II"}),
            new KeyValuePair<string, string[]>("GT-N8000", new[] {"Samsung", "Galaxy Note 10.1"}),
            new KeyValuePair<string, string[]>("GT-N8010", new[] {"Samsung", "Galaxy Note 10.1"}),
            new KeyValuePair<string, string[]>("GT-P1000", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P1000L", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P1000M", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P1000N", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P1000T", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P1000 Tablet", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P1010", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P3100", new[] {"Samsung", "Galaxy Tab 2 (7.0)", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P3100B", new[] {"Samsung", "Galaxy Tab 2 (7.0)", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P3110", new[] {"Samsung", "Galaxy Tab 2 (7.0)", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P3113", new[] {"Samsung", "Galaxy Tab 2 (7.0)", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P5100", new[] {"Samsung", "Galaxy Tab 2 (10.1)", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P5110", new[] {"Samsung", "Galaxy Tab 2 (10.1)", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P5113", new[] {"Samsung", "Galaxy Tab 2 (10.1)", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P6200", new[] {"Samsung", "Galaxy Tab 7.0 Plus", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P6200L", new[] {"Samsung", "Galaxy Tab 7.0 Plus", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P6201", new[] {"Samsung", "Galaxy Tab 7.0 Plus N", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P6210", new[] {"Samsung", "Galaxy Tab 7.0 Plus", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P6211", new[] {"Samsung", "Galaxy Tab 7.0 Plus N", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P6800", new[] {"Samsung", "Galaxy Tab 7.7", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P6810", new[] {"Samsung", "Galaxy Tab 7.7", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7100", new[] {"Samsung", "Galaxy Tab 10.1V", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7300", new[] {"Samsung", "Galaxy Tab 8.9", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7300B", new[] {"Samsung", "Galaxy Tab 8.9", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7310", new[] {"Samsung", "Galaxy Tab 8.9", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7320", new[] {"Samsung", "Galaxy Tab 8.9", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7320T", new[] {"Samsung", "Galaxy Tab 8.9", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7500", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7500D", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7500R", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7500V", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7501", new[] {"Samsung", "Galaxy Tab 10.1N", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7510", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("GT-P7511", new[] {"Samsung", "Galaxy Tab 10.1N", "tablet"}),
            new KeyValuePair<string, string[]>("GT-S5300", new[] {"Samsung", "Galaxy Pocket"}),
            new KeyValuePair<string, string[]>("GT-S5360", new[] {"Samsung", "Galaxy Y"}),
            new KeyValuePair<string, string[]>("GT-S5360B", new[] {"Samsung", "Galaxy Y"}),
            new KeyValuePair<string, string[]>("GT-S5360L", new[] {"Samsung", "Galaxy Y"}),
            new KeyValuePair<string, string[]>("GT-S5363", new[] {"Samsung", "Galaxy Y"}),
            new KeyValuePair<string, string[]>("GT-S5367", new[] {"Samsung", "Galaxy Y TV"}),
            new KeyValuePair<string, string[]>("GT-S5368", new[] {"Samsung", "GT-S5368"}),
            new KeyValuePair<string, string[]>("GT-S5369", new[] {"Samsung", "Galaxy Y"}),
            new KeyValuePair<string, string[]>("GT-S5570", new[] {"Samsung", "Galaxy Mini"}),
            new KeyValuePair<string, string[]>("GT-S5570B", new[] {"Samsung", "Galaxy Mini"}),
            new KeyValuePair<string, string[]>("GT-S5570I", new[] {"Samsung", "Galaxy Mini"}),
            new KeyValuePair<string, string[]>("GT-S5570L", new[] {"Samsung", "Galaxy Mini"}),
            new KeyValuePair<string, string[]>("GT-S5578", new[] {"Samsung", "Galaxy Mini"}),
            new KeyValuePair<string, string[]>("GT-S5660", new[] {"Samsung", "Galaxy Gio"}),
            new KeyValuePair<string, string[]>("GT-S5660M", new[] {"Samsung", "Galaxy Gio"}),
            new KeyValuePair<string, string[]>("GT-S5660V", new[] {"Samsung", "Galaxy Gio"}),
            new KeyValuePair<string, string[]>("GT-S5670", new[] {"Samsung", "Galaxy Fit"}),
            new KeyValuePair<string, string[]>("GT-S5670B", new[] {"Samsung", "Galaxy Fit"}),
            new KeyValuePair<string, string[]>("GT-S5670L", new[] {"Samsung", "Galaxy Fit"}),
            new KeyValuePair<string, string[]>("GT-S5690", new[] {"Samsung", "Galaxy Xcover"}),
            new KeyValuePair<string, string[]>("GT-S5690L", new[] {"Samsung", "Galaxy Xcover"}),
            new KeyValuePair<string, string[]>("GT-S5820", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S5830", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S5830B", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S5830C", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S5830D", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S5830D-parrot", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S5830i", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S5830L", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S5830M", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S5830T", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S5838", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S5839i", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("GT-S6102", new[] {"Samsung", "Galaxy Y Duos"}),
            new KeyValuePair<string, string[]>("GT-S6102B", new[] {"Samsung", "Galaxy Y Duos"}),
            new KeyValuePair<string, string[]>("GT-S6500", new[] {"Samsung", "Galaxy Mini 2"}),
            new KeyValuePair<string, string[]>("GT-S6500D", new[] {"Samsung", "Galaxy Mini 2"}),
            new KeyValuePair<string, string[]>("GT-S6702", new[] {"Samsung", "GT-S6702"}),
            new KeyValuePair<string, string[]>("GT-S6802", new[] {"Samsung", "Galaxy Ace Duos"}),
            new KeyValuePair<string, string[]>("GT-S7500", new[] {"Samsung", "Galaxy Ace Plus"}),
            new KeyValuePair<string, string[]>("GT-S7500L", new[] {"Samsung", "Galaxy Ace Plus"}),
            new KeyValuePair<string, string[]>("GT-S7500W", new[] {"Samsung", "Galaxy Ace Plus"}),
            new KeyValuePair<string, string[]>("GT-T959", new[] {"Samsung", "Galaxy S Vibrant"}),
            new KeyValuePair<string, string[]>("SCH-i509", new[] {"Samsung", "Galaxy Y"}),
            new KeyValuePair<string, string[]>("SCH-i559", new[] {"Samsung", "Galaxy Pop"}),
            new KeyValuePair<string, string[]>("SCH-i569", new[] {"Samsung", "Galaxy Gio"}),
            new KeyValuePair<string, string[]>("SCH-i579", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("SCH-i589", new[] {"Samsung", "Galaxy Ace Duos"}),
            new KeyValuePair<string, string[]>("SCH-i705 4G", new[] {"Samsung", "Galaxy Tab 2 (7.0)", "tablet"}),
            new KeyValuePair<string, string[]>("SCH-i809", new[] {"Samsung", "SCH-i809"}),
            new KeyValuePair<string, string[]>("SCH-i889", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("SCH-i909", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("SCH-i919", new[] {"Samsung", "SCH-i919"}),
            new KeyValuePair<string, string[]>("SCH-i929", new[] {"Samsung", "SCH-i929"}),
            new KeyValuePair<string, string[]>("SCH-I100", new[] {"Samsung", "Gem"}),
            new KeyValuePair<string, string[]>("SCH-I110", new[] {"Samsung", "Illusion"}),
            new KeyValuePair<string, string[]>("SCH-I400", new[] {"Samsung", "Continuum"}),
            new KeyValuePair<string, string[]>("SCH-I405", new[] {"Samsung", "Stratosphere"}),
            new KeyValuePair<string, string[]>("SCH-I405 4G", new[] {"Samsung", "Stratosphere"}),
            new KeyValuePair<string, string[]>("SCH-I500", new[] {"Samsung", "Fascinate"}),
            new KeyValuePair<string, string[]>("SCH-I510", new[] {"Samsung", "Stealth V"}),
            new KeyValuePair<string, string[]>("SCH-I510 4G", new[] {"Samsung", "Droid Charge"}),
            new KeyValuePair<string, string[]>("SCH-I515", new[] {"Samsung", "Galaxy Nexus"}),
            new KeyValuePair<string, string[]>("SCH-I535", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SCH-I535 4G", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SCH-I619", new[] {"Samsung", "SCH-I619"}),
            new KeyValuePair<string, string[]>("SCH-I699", new[] {"Samsung", "SCH-I699"}),
            new KeyValuePair<string, string[]>("SCH-I779", new[] {"Samsung", "SCH-I779"}),
            new KeyValuePair<string, string[]>("SCH-I800", new[] {"Samsung", "Galaxy Tab 7.0", "tablet"}),
            new KeyValuePair<string, string[]>("SCH-I815", new[] {"Samsung", "Galaxy Tab 7.7", "tablet"}),
            new KeyValuePair<string, string[]>("SCH-I815 4G", new[] {"Samsung", "Galaxy Tab 7.7", "tablet"}),
            new KeyValuePair<string, string[]>("SCH-I905", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("SCH-I905 4G", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("SCH-I909", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("SCH-I915", new[] {"Samsung", "SCH-I915"}),
            new KeyValuePair<string, string[]>("SCH-I939", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SCH-M828C", new[] {"Samsung", "Galaxy Precedent"}),
            new KeyValuePair<string, string[]>("SCH-M828Carray(9096483449)", new[] {"Samsung", "Galaxy Precedent"}),
            new KeyValuePair<string, string[]>("SCH-R530U", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SCH-R680", new[] {"Samsung", "Repp"}),
            new KeyValuePair<string, string[]>("SCH-R720", new[] {"Samsung", "Admire"}),
            new KeyValuePair<string, string[]>("SCH-R730", new[] {"Samsung", "Transfix"}),
            new KeyValuePair<string, string[]>("SCH-R760", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("SCH-R820", new[] {"Samsung", "SCH-R820"}),
            new KeyValuePair<string, string[]>("SCH-R880", new[] {"Samsung", "Acclaim"}),
            new KeyValuePair<string, string[]>("SCH-R910", new[] {"Samsung", "Galaxy Indulge 4G"}),
            new KeyValuePair<string, string[]>("SCH-R915", new[] {"Samsung", "Galaxy Indulge"}),
            new KeyValuePair<string, string[]>("SCH-R920", new[] {"Samsung", "Galaxy Attain 4G"}),
            new KeyValuePair<string, string[]>("SCH-R930", new[] {"Samsung", "Galaxy S Aviator"}),
            new KeyValuePair<string, string[]>("SCH-R940", new[] {"Samsung", "Galaxy S Lightray"}),
            new KeyValuePair<string, string[]>("SCH-S720C", new[] {"Samsung", "Galaxy Proclaim"}),
            new KeyValuePair<string, string[]>("SCH-S735C", new[] {"Samsung", "SCH-S735"}),
            new KeyValuePair<string, string[]>("SCH-W899", new[] {"Samsung", "SCH-W899"}),
            new KeyValuePair<string, string[]>("SCH-W999", new[] {"Samsung", "SCH-W999"}),
            new KeyValuePair<string, string[]>("SGH-I547", new[] {"Samsung", "SGH-I547"}),
            new KeyValuePair<string, string[]>("SGH-I717", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("SGH-I717D", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("SGH-I717M", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("SGH-I717R", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("SGH-I727", new[] {"Samsung", "Galaxy S II Skyrocket"}),
            new KeyValuePair<string, string[]>("SGH-i727R", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("SGH-I727R", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("SGH-I747", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SGH-I747M", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SGH-I748", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SGH-I757", new[] {"Samsung", "Galaxy S II Skyrocket HD"}),
            new KeyValuePair<string, string[]>("SGH-I777", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("SGH-I9777", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("SGH-I896", new[] {"Samsung", "Captivate"}),
            new KeyValuePair<string, string[]>("SGH-I897", new[] {"Samsung", "Captivate"}),
            new KeyValuePair<string, string[]>("SGH-I927", new[] {"Samsung", "Captivate Glide"}),
            new KeyValuePair<string, string[]>("SGH-I927R", new[] {"Samsung", "Captivate Glide"}),
            new KeyValuePair<string, string[]>("SGH-I957", new[] {"Samsung", "Galaxy Tab 8.9", "tablet"}),
            new KeyValuePair<string, string[]>("SGH-I957D", new[] {"Samsung", "Galaxy Tab 8.9", "tablet"}),
            new KeyValuePair<string, string[]>("SGH-I957M", new[] {"Samsung", "Galaxy Tab 8.9", "tablet"}),
            new KeyValuePair<string, string[]>("SGH-I957R", new[] {"Samsung", "Galaxy Tab 8.9", "tablet"}),
            new KeyValuePair<string, string[]>("SGH-I987", new[] {"Samsung", "Galaxy Tab 7.0", "tablet"}),
            new KeyValuePair<string, string[]>("SGH-I997", new[] {"Samsung", "Infuse 4G"}),
            new KeyValuePair<string, string[]>("SGH-I997R", new[] {"Samsung", "Infuse 4G"}),
            new KeyValuePair<string, string[]>("SGH-I9000", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("SGH-S730G", new[] {"Samsung", "SGH-S730"}),
            new KeyValuePair<string, string[]>("SGH-T499", new[] {"Samsung", "Dart"}),
            new KeyValuePair<string, string[]>("SGH-T499V", new[] {"Samsung", "Galaxy Mini"}),
            new KeyValuePair<string, string[]>("SGH-T499Y", new[] {"Samsung", "Galaxy Mini"}),
            new KeyValuePair<string, string[]>("SGH-T589", new[] {"Samsung", "Gravity Smart"}),
            new KeyValuePair<string, string[]>("SGH-T589R", new[] {"Samsung", "Gravity Smart"}),
            new KeyValuePair<string, string[]>("SGH-T679", new[] {"Samsung", "Exhibit II 4G"}),
            new KeyValuePair<string, string[]>("SGH-T679M", new[] {"Samsung", "Exhibit II 4G"}),
            new KeyValuePair<string, string[]>("SGH-T759", new[] {"Samsung", "Exhibit 4G"}),
            new KeyValuePair<string, string[]>("SGH-T769", new[] {"Samsung", "Galaxy S Blaze 4G"}),
            new KeyValuePair<string, string[]>("SGH-T839", new[] {"Samsung", "T-Mobile Sidekick"}),
            new KeyValuePair<string, string[]>("SGH-T849", new[] {"Samsung", "Galaxy Tab 7.0", "tablet"}),
            new KeyValuePair<string, string[]>("SGH-T859", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("SGH-T869", new[] {"Samsung", "Galaxy Tab 7.0 Plus", "tablet"}),
            new KeyValuePair<string, string[]>("SGH-T879", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("SGH-T959", new[] {"Samsung", "Vibrant"}),
            new KeyValuePair<string, string[]>("SGH-T959D", new[] {"Samsung", "Galaxy S Fascinate 3G+"}),
            new KeyValuePair<string, string[]>("SGH-T959P", new[] {"Samsung", "Galaxy S Fascinate 4G"}),
            new KeyValuePair<string, string[]>("SGH-T959V", new[] {"Samsung", "Galaxy S 4G"}),
            new KeyValuePair<string, string[]>("SGH-T989", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("SGH-T989D", new[] {"Samsung", "Galaxy S II X"}),
            new KeyValuePair<string, string[]>("SGH-T999", new[] {"Samsung", "Galaxy S Blaze 4G"}),
            new KeyValuePair<string, string[]>("SGH-T999V", new[] {"Samsung", "Galaxy S Blaze 4G"}),
            new KeyValuePair<string, string[]>("SHV-E120K", new[] {"Samsung", "Galaxy S II HD LTE"}),
            new KeyValuePair<string, string[]>("SHV-E120L", new[] {"Samsung", "Galaxy S II HD LTE"}),
            new KeyValuePair<string, string[]>("SHV-E120S", new[] {"Samsung", "Galaxy S II HD LTE"}),
            new KeyValuePair<string, string[]>("SHV-E110S", new[] {"Samsung", "Galaxy S II LTE"}),
            new KeyValuePair<string, string[]>("SHV-E140S", new[] {"Samsung", "Galaxy Tab 8.9", "tablet"}),
            new KeyValuePair<string, string[]>("SHV-E150S", new[] {"Samsung", "Galaxy Tab 7.7", "tablet"}),
            new KeyValuePair<string, string[]>("SHV-E160K", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("SHV-E160L", new[] {"Samsung", "Galaxy Note LTE"}),
            new KeyValuePair<string, string[]>("SHV-E160S", new[] {"Samsung", "Galaxy Note LTE"}),
            new KeyValuePair<string, string[]>("SHV-E170K", new[] {"Samsung", "SHV-E170K"}),
            new KeyValuePair<string, string[]>("SHV-E170L", new[] {"Samsung", "SHV-E170L"}),
            new KeyValuePair<string, string[]>("SHV-E210K", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SHV-E210L", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SHV-E210S", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SHW-M100S", new[] {"Samsung", "Galaxy A"}),
            new KeyValuePair<string, string[]>("SHW-M110S", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("SHW-M130L", new[] {"Samsung", "Galaxy U"}),
            new KeyValuePair<string, string[]>("SHW-M130K", new[] {"Samsung", "Galaxy K"}),
            new KeyValuePair<string, string[]>("SHW-M180K", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("SHW-M180L", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("SHW-M180S", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("SHW-M180W", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("SHW-M185S", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("SHW-M190S", new[] {"Samsung", "Galaxy S Hoppin"}),
            new KeyValuePair<string, string[]>("SHW-M220L", new[] {"Samsung", "Galaxy Neo"}),
            new KeyValuePair<string, string[]>("SHW-M240S", new[] {"Samsung", "Galaxy Ace"}),
            new KeyValuePair<string, string[]>("SHW-M250K", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("SHW-M250L", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("SHW-M250S", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("SHW-M300W", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("SHW-M305W", new[] {"Samsung", "Galaxy Tab 8.9", "tablet"}),
            new KeyValuePair<string, string[]>("SHW-M340S", new[] {"Samsung", "Galaxy M Style"}),
            new KeyValuePair<string, string[]>("SHW-M380K", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("SHW-M380S", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("SHW-M380W", new[] {"Samsung", "Galaxy Tab 10.1", "tablet"}),
            new KeyValuePair<string, string[]>("SHW-M440S", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SMT-i9100", new[] {"Samsung", "SMT-I9100", "tablet"}),
            new KeyValuePair<string, string[]>("SPH-D600", new[] {"Samsung", "Conquer 4G"}),
            new KeyValuePair<string, string[]>("SPH-D700", new[] {"Samsung", "Epic 4G"}),
            new KeyValuePair<string, string[]>("SPH-D705", new[] {"Samsung", "Epic 4G 2"}),
            new KeyValuePair<string, string[]>("SPH-D710", new[] {"Samsung", "Epic 4G Touch"}),
            new KeyValuePair<string, string[]>("SPH-L700", new[] {"Samsung", "Galaxy Nexus"}),
            new KeyValuePair<string, string[]>("SPH-L710", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("SPH-M820", new[] {"Samsung", "Galaxy Prevail"}),
            new KeyValuePair<string, string[]>("SPH-M820-BST", new[] {"Samsung", "Galaxy Prevail"}),
            new KeyValuePair<string, string[]>("SPH-M580", new[] {"Samsung", "Replenish"}),
            new KeyValuePair<string, string[]>("SPH-M900", new[] {"Samsung", "Moment"}),
            new KeyValuePair<string, string[]>("SPH-M910", new[] {"Samsung", "Intercept"}),
            new KeyValuePair<string, string[]>("SPH-M920", new[] {"Samsung", "Transform"}),
            new KeyValuePair<string, string[]>("SPH-M930", new[] {"Samsung", "Transform Ultra"}),
            new KeyValuePair<string, string[]>("SPH-M930BST", new[] {"Samsung", "Transform Ultra"}),
            new KeyValuePair<string, string[]>("SPH-P100", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("YP-GB1", new[] {"Samsung", "Galaxy Player", "media"}),
            new KeyValuePair<string, string[]>("YP-GB70", new[] {"Samsung", "Galaxy Player 70", "media"}),
            new KeyValuePair<string, string[]>("YP-GB70D", new[] {"Samsung", "Galaxy Player 70 Plus", "media"}),
            new KeyValuePair<string, string[]>("YP-GS1", new[] {"Samsung", "Galaxy S WiFi 3.6", "media"}),
            new KeyValuePair<string, string[]>("YP-G1", new[] {"Samsung", "Galaxy S WiFi 4.0", "media"}),
            new KeyValuePair<string, string[]>("YP-GI1", new[] {"Samsung", "Galaxy S WiFi 4.2", "media"}),
            new KeyValuePair<string, string[]>("YP-G50", new[] {"Samsung", "Galaxy Player", "media"}),
            new KeyValuePair<string, string[]>("YP-G70", new[] {"Samsung", "Galaxy S WiFi 5.0", "media"}),
            new KeyValuePair<string, string[]>("GT9100", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("I897", new[] {"Samsung", "Captivate"}),
            new KeyValuePair<string, string[]>("I7500", new[] {"Samsung", "Galaxy"}),
            new KeyValuePair<string, string[]>("I9000", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("T959", new[] {"Samsung", "Galaxy S Vibrant"}),
            new KeyValuePair<string, string[]>("Captivate-I897", new[] {"Samsung", "Captivate"}),
            new KeyValuePair<string, string[]>("Galaxy", new[] {"Samsung", "Galaxy"}),
            new KeyValuePair<string, string[]>("Galaxy Note", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("GalaxyS", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("Galaxy S II", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("Galaxy X", new[] {"Samsung", "Galaxy X"}),
            new KeyValuePair<string, string[]>("Galaxy Spica", new[] {"Samsung", "Galaxy Spica"}),
            new KeyValuePair<string, string[]>("GALAXY Tab", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("GALAXY NEXUS", new[] {"Samsung", "Galaxy Nexus"}),
            new KeyValuePair<string, string[]>("Vibrantmtd", new[] {"Samsung", "Vibrant"}),
            new KeyValuePair<string, string[]>("SC-01C", new[] {"Samsung", "Galaxy Tab", "tablet"}),
            new KeyValuePair<string, string[]>("SC-01D", new[] {"Samsung", "Galaxy Tab 10.1 LTE", "tablet"}),
            new KeyValuePair<string, string[]>("SC-02B", new[] {"Samsung", "Galaxy S"}),
            new KeyValuePair<string, string[]>("SC-02C", new[] {"Samsung", "Galaxy S II"}),
            new KeyValuePair<string, string[]>("SC-02D", new[] {"Samsung", "Galaxy Tab 7.0 Plus", "tablet"}),
            new KeyValuePair<string, string[]>("SC-03D", new[] {"Samsung", "Galaxy S II LTE"}),
            new KeyValuePair<string, string[]>("SC-04D", new[] {"Samsung", "Galaxy Nexus"}),
            new KeyValuePair<string, string[]>("SC-05D", new[] {"Samsung", "Galaxy Note LTE"}),
            new KeyValuePair<string, string[]>("SC-06D", new[] {"Samsung", "Galaxy S III"}),
            new KeyValuePair<string, string[]>("ISW11SC", new[] {"Samsung", "Galaxy S II WiMAX"}),
            new KeyValuePair<string, string[]>("GT-S7562", new[] {"Samsung", "GT-S7562"}),
            new KeyValuePair<string, string[]>("GT-S7562i", new[] {"Samsung", "GT-S7562i"}),
            new KeyValuePair<string, string[]>("A01SH", new[] {"Sharp", "A01SH"}),
            new KeyValuePair<string, string[]>("IS01", new[] {"Sharp", "IS01"}),
            new KeyValuePair<string, string[]>("IS03", new[] {"Sharp", "IS03"}),
            new KeyValuePair<string, string[]>("IS05", new[] {"Sharp", "IS05"}),
            new KeyValuePair<string, string[]>("IS11SH", new[] {"Sharp", "Aquos IS11SH"}),
            new KeyValuePair<string, string[]>("IS12SH", new[] {"Sharp", "Aquos IS12SH"}),
            new KeyValuePair<string, string[]>("IS13SH", new[] {"Sharp", "Aquos IS13SH"}),
            new KeyValuePair<string, string[]>("IS14SH", new[] {"Sharp", "Aquos IS14SH"}),
            new KeyValuePair<string, string[]>("ISW16SH", new[] {"Sharp", "Aquos ISW16SH"}),
            new KeyValuePair<string, string[]>("EB-W51GJ", new[] {"Sharp", "EB-W51GJ"}),
            new KeyValuePair<string, string[]>("SBM003SH", new[] {"Sharp", "Galapagos"}),
            new KeyValuePair<string, string[]>("SBM005SH", new[] {"Sharp", "Galapagos"}),
            new KeyValuePair<string, string[]>("SBM006SH", new[] {"Sharp", "Aquos"}),
            new KeyValuePair<string, string[]>("SBM007SH", new[] {"Sharp", "Aquos 007SH"}),
            new KeyValuePair<string, string[]>("SBM009SH", new[] {"Sharp", "Aquos 009SH"}),
            new KeyValuePair<string, string[]>("SBM102SH", new[] {"Sharp", "Aquos 102SH"}),
            new KeyValuePair<string, string[]>("SBM103SH", new[] {"Sharp", "Aquos 103SH"}),
            new KeyValuePair<string, string[]>("SBM104SH", new[] {"Sharp", "Aquos 104SH"}),
            new KeyValuePair<string, string[]>("SBM107SH", new[] {"Sharp", "Aquos 107SH"}),
            new KeyValuePair<string, string[]>("SBM107SHB", new[] {"Sharp", "Aquos 107SH"}),
            new KeyValuePair<string, string[]>("SH-01D", new[] {"Sharp", "Aquos SH-01D"}),
            new KeyValuePair<string, string[]>("SH-02D", new[] {"Sharp", "Aquos slider SH-02D"}),
            new KeyValuePair<string, string[]>("SH-03C", new[] {"Sharp", "Lynx 3D"}),
            new KeyValuePair<string, string[]>("SH-06D", new[] {"Sharp", "Aquos SH-06D"}),
            new KeyValuePair<string, string[]>("SH-09D", new[] {"Sharp", "Aquos Zeta SH-09D"}),
            new KeyValuePair<string, string[]>("SH-10B", new[] {"Sharp", "Lynx"}),
            new KeyValuePair<string, string[]>("SH-12C", new[] {"Sharp", "Aquos"}),
            new KeyValuePair<string, string[]>("SH-13C", new[] {"Sharp", "Aquos f SH-13C"}),
            new KeyValuePair<string, string[]>("SH80F", new[] {"Sharp", "Aquos SH80F"}),
            new KeyValuePair<string, string[]>("SH72x8U", new[] {"Sharp", "SH72x8U"}),
            new KeyValuePair<string, string[]>("SH8118U", new[] {"Sharp", "SH8118U"}),
            new KeyValuePair<string, string[]>("SH8128U", new[] {"Sharp", "SH8128U"}),
            new KeyValuePair<string, string[]>("SH8158U", new[] {"Sharp", "SH8158U"}),
            new KeyValuePair<string, string[]>("SH8188U", new[] {"Sharp", "SH8188U"}),
            new KeyValuePair<string, string[]>("SH8268U", new[] {"Sharp", "SH8268U"}),
            new KeyValuePair<string, string[]>("INFOBAR C01", new[] {"Sharp", "INFOBAR C01"}),
            new KeyValuePair<string, string[]>("SPX-5", new[] {"Simvalley", "SPX-5"}),
            new KeyValuePair<string, string[]>("SPX-5 3G", new[] {"Simvalley", "SPX-5 3G"}),
            new KeyValuePair<string, string[]>("SmartQ G7", new[] {"SmartQ", "G7", "tablet"}),
            new KeyValuePair<string, string[]>("SmartQT7", new[] {"SmartQ", "T7", "tablet"}),
            new KeyValuePair<string, string[]>("SmartQT10", new[] {"SmartQ", "T10", "tablet"}),
            new KeyValuePair<string, string[]>("SmartQT15", new[] {"SmartQ", "T15", "tablet"}),
            new KeyValuePair<string, string[]>("SmartQT19", new[] {"SmartQ", "T19", "tablet"}),
            new KeyValuePair<string, string[]>("SmartQT20", new[] {"SmartQ", "T20", "tablet"}),
            new KeyValuePair<string, string[]>("OMS1 6", new[] {"Sony Ericsson", "A8i"}),
            new KeyValuePair<string, string[]>("E10a", new[] {"Sony Ericsson", "Xperia X10 Mini"}),
            new KeyValuePair<string, string[]>("E10i", new[] {"Sony Ericsson", "Xperia X10 Mini"}),
            new KeyValuePair<string, string[]>("E10iv", new[] {"Sony Ericsson", "Xperia X10 Mini"}),
            new KeyValuePair<string, string[]>("E15", new[] {"Sony Ericsson", "Xperia X8"}),
            new KeyValuePair<string, string[]>("E15a", new[] {"Sony Ericsson", "Xperia X8"}),
            new KeyValuePair<string, string[]>("E15i", new[] {"Sony Ericsson", "Xperia X8"}),
            new KeyValuePair<string, string[]>("E15iv", new[] {"Sony Ericsson", "Xperia X8"}),
            new KeyValuePair<string, string[]>("E15i-o", new[] {"Sony Ericsson", "Xperia X8"}),
            new KeyValuePair<string, string[]>("E16i", new[] {"Sony Ericsson", "W8 Walkman"}),
            new KeyValuePair<string, string[]>("LT11i", new[] {"Sony Ericsson", "Xperia Neo V"}),
            new KeyValuePair<string, string[]>("LT15", new[] {"Sony Ericsson", "Xperia Arc"}),
            new KeyValuePair<string, string[]>("LT15a", new[] {"Sony Ericsson", "Xperia Arc"}),
            new KeyValuePair<string, string[]>("LT15i", new[] {"Sony Ericsson", "Xperia Arc"}),
            new KeyValuePair<string, string[]>("LT15iv", new[] {"Sony Ericsson", "Xperia Arc"}),
            new KeyValuePair<string, string[]>("LT15i-o", new[] {"Sony Ericsson", "Xperia Arc"}),
            new KeyValuePair<string, string[]>("LT18a", new[] {"Sony Ericsson", "Xperia Arc S"}),
            new KeyValuePair<string, string[]>("LT18i", new[] {"Sony Ericsson", "Xperia Arc S"}),
            new KeyValuePair<string, string[]>("LT18iv", new[] {"Sony Ericsson", "Xperia Arc S"}),
            new KeyValuePair<string, string[]>("LT18i-o", new[] {"Sony Ericsson", "Xperia Arc S"}),
            new KeyValuePair<string, string[]>("LT22i", new[] {"Sony", "Xperia P"}),
            new KeyValuePair<string, string[]>("LT26i", new[] {"Sony", "Xperia S"}),
            new KeyValuePair<string, string[]>("LT26ii", new[] {"Sony", "Xperia S"}),
            new KeyValuePair<string, string[]>("LT26i-o", new[] {"Sony", "Xperia S"}),
            new KeyValuePair<string, string[]>("LT28at", new[] {"Sony", "Xperia Ion"}),
            new KeyValuePair<string, string[]>("LT28h", new[] {"Sony", "Xperia Ion"}),
            new KeyValuePair<string, string[]>("LT28i", new[] {"Sony", "Xperia Ion"}),
            new KeyValuePair<string, string[]>("LT29i", new[] {"Sony", "Xperia GX"}),
            new KeyValuePair<string, string[]>("SonyLT29i", new[] {"Sony", "Xperia GX"}),
            new KeyValuePair<string, string[]>("SonyLT30a", new[] {"Sony", "Xperia Mint"}),
            new KeyValuePair<string, string[]>("SonyLT30p", new[] {"Sony", "Xperia Mint"}),
            new KeyValuePair<string, string[]>("MK16a", new[] {"Sony Ericsson", "Xperia Pro"}),
            new KeyValuePair<string, string[]>("MK16i", new[] {"Sony Ericsson", "Xperia Pro"}),
            new KeyValuePair<string, string[]>("MT11a", new[] {"Sony Ericsson", "Xperia Neo V"}),
            new KeyValuePair<string, string[]>("MT11i", new[] {"Sony Ericsson", "Xperia Neo V"}),
            new KeyValuePair<string, string[]>("MT11iv", new[] {"Sony Ericsson", "Xperia Neo V"}),
            new KeyValuePair<string, string[]>("MT11i-o", new[] {"Sony Ericsson", "Xperia Neo V"}),
            new KeyValuePair<string, string[]>("MT15a", new[] {"Sony Ericsson", "Xperia Neo"}),
            new KeyValuePair<string, string[]>("MT15i", new[] {"Sony Ericsson", "Xperia Neo"}),
            new KeyValuePair<string, string[]>("MT15iv", new[] {"Sony Ericsson", "Xperia Neo"}),
            new KeyValuePair<string, string[]>("MT15i-o", new[] {"Sony Ericsson", "Xperia Neo"}),
            new KeyValuePair<string, string[]>("MT25i", new[] {"Sony", "Xperia Neo L"}),
            new KeyValuePair<string, string[]>("MT27i", new[] {"Sony", "Xperia Sola"}),
            new KeyValuePair<string, string[]>("R800a", new[] {"Sony Ericsson", "Xperia Play"}),
            new KeyValuePair<string, string[]>("R800i", new[] {"Sony Ericsson", "Xperia Play"}),
            new KeyValuePair<string, string[]>("R800iv", new[] {"Sony Ericsson", "Xperia Play"}),
            new KeyValuePair<string, string[]>("R800at", new[] {"Sony Ericsson", "Xperia Play"}),
            new KeyValuePair<string, string[]>("R800x", new[] {"Sony Ericsson", "Xperia Play"}),
            new KeyValuePair<string, string[]>("SK17a", new[] {"Sony Ericsson", "Xperia Mini Pro"}),
            new KeyValuePair<string, string[]>("SK17i", new[] {"Sony Ericsson", "Xperia Mini Pro"}),
            new KeyValuePair<string, string[]>("SK17iv", new[] {"Sony Ericsson", "Xperia Mini Pro"}),
            new KeyValuePair<string, string[]>("SK17i-o", new[] {"Sony Ericsson", "Xperia Mini Pro"}),
            new KeyValuePair<string, string[]>("ST15a", new[] {"Sony Ericsson", "Xperia Mini"}),
            new KeyValuePair<string, string[]>("ST15i", new[] {"Sony Ericsson", "Xperia Mini"}),
            new KeyValuePair<string, string[]>("ST17a", new[] {"Sony Ericsson", "Xperia Active"}),
            new KeyValuePair<string, string[]>("ST17i", new[] {"Sony Ericsson", "Xperia Active"}),
            new KeyValuePair<string, string[]>("ST18a", new[] {"Sony Ericsson", "Xperia Ray"}),
            new KeyValuePair<string, string[]>("ST18i", new[] {"Sony Ericsson", "Xperia Ray"}),
            new KeyValuePair<string, string[]>("ST18iv", new[] {"Sony Ericsson", "Xperia Ray"}),
            new KeyValuePair<string, string[]>("ST18av", new[] {"Sony Ericsson", "Xperia Ray"}),
            new KeyValuePair<string, string[]>("SonyST21", new[] {"Sony", "\"Tapioca\""}),
            new KeyValuePair<string, string[]>("SonyST21i", new[] {"Sony", "\"Tapioca\""}),
            new KeyValuePair<string, string[]>("SonyST21a2", new[] {"Sony", "\"Tapioca\""}),
            new KeyValuePair<string, string[]>("ST21", new[] {"Sony", "\"Tapioca\""}),
            new KeyValuePair<string, string[]>("ST21i", new[] {"Sony", "\"Tapioca\""}),
            new KeyValuePair<string, string[]>("SonyST23i", new[] {"Sony", "\"Tapioca DS\""}),
            new KeyValuePair<string, string[]>("ST25i", new[] {"Sony", "Xperia U"}),
            new KeyValuePair<string, string[]>("ST27i", new[] {"Sony", "Xperia Go"}),
            new KeyValuePair<string, string[]>("U20a", new[] {"Sony Ericsson", "Xperia X10 Mini Pro"}),
            new KeyValuePair<string, string[]>("U20i", new[] {"Sony Ericsson", "Xperia X10 Mini Pro"}),
            new KeyValuePair<string, string[]>("U20iv", new[] {"Sony Ericsson", "Xperia X10 Mini Pro"}),
            new KeyValuePair<string, string[]>("WT13i", new[] {"Sony Ericsson", "Mix Walkman"}),
            new KeyValuePair<string, string[]>("WT18i", new[] {"Sony Ericsson", "Walkman"}),
            new KeyValuePair<string, string[]>("WT19a", new[] {"Sony Ericsson", "Live with Walkman"}),
            new KeyValuePair<string, string[]>("WT19i", new[] {"Sony Ericsson", "Live with Walkman"}),
            new KeyValuePair<string, string[]>("WT19iv", new[] {"Sony Ericsson", "Live with Walkman"}),
            new KeyValuePair<string, string[]>("X8", new[] {"Sony Ericsson", "Xperia X8"}),
            new KeyValuePair<string, string[]>("X10", new[] {"Sony Ericsson", "Xperia X10"}),
            new KeyValuePair<string, string[]>("X10a", new[] {"Sony Ericsson", "Xperia X10"}),
            new KeyValuePair<string, string[]>("X10i", new[] {"Sony Ericsson", "Xperia X10"}),
            new KeyValuePair<string, string[]>("X10iv", new[] {"Sony Ericsson", "Xperia X10"}),
            new KeyValuePair<string, string[]>("X10S", new[] {"Sony Ericsson", "Xperia X10"}),
            new KeyValuePair<string, string[]>("X10mini", new[] {"Sony Ericsson", "Xperia X10 Mini"}),
            new KeyValuePair<string, string[]>("X10 Mini", new[] {"Sony Ericsson", "Xperia X10 Mini"}),
            new KeyValuePair<string, string[]>("X10 Mini Pro", new[] {"Sony Ericsson", "Xperia X10 Mini Pro"}),
            new KeyValuePair<string, string[]>("Z1i", new[] {"Sony Ericsson", "Xperia Play"}),
            new KeyValuePair<string, string[]>("S51SE", new[] {"Sony Ericsson", "Xperia Mini"}),
            new KeyValuePair<string, string[]>("IS11S", new[] {"Sony Ericsson", "Xperia Acro"}),
            new KeyValuePair<string, string[]>("IS12S", new[] {"Sony Ericsson", "Xperia Acro HD"}),
            new KeyValuePair<string, string[]>("SO-01B", new[] {"Sony Ericsson", "Xperia X10"}),
            new KeyValuePair<string, string[]>("SO-01C", new[] {"Sony Ericsson", "Xperia Arc"}),
            new KeyValuePair<string, string[]>("SO-01D", new[] {"Sony Ericsson", "Xperia Play"}),
            new KeyValuePair<string, string[]>("SO-02C", new[] {"Sony Ericsson", "Xperia Acro"}),
            new KeyValuePair<string, string[]>("SO-02D", new[] {"Sony Ericsson", "Xperia NX"}),
            new KeyValuePair<string, string[]>("SO-03C", new[] {"Sony Ericsson", "Xperia Ray"}),
            new KeyValuePair<string, string[]>("SO-03D", new[] {"Sony Ericsson", "Xperia Acro HD"}),
            new KeyValuePair<string, string[]>("SO-04D", new[] {"Sony", "Xperia GX"}),
            new KeyValuePair<string, string[]>("SO-05D", new[] {"Sony", "Xperia SX"}),
            new KeyValuePair<string, string[]>("XPERIA X8", new[] {"Sony Ericsson", "Xperia X8"}),
            new KeyValuePair<string, string[]>("Xperia X8", new[] {"Sony Ericsson", "Xperia X8"}),
            new KeyValuePair<string, string[]>("Xperia X10", new[] {"Sony Ericsson", "Xperia X10"}),
            new KeyValuePair<string, string[]>("Xperia ray", new[] {"Sony Ericsson", "Xperia Ray"}),
            new KeyValuePair<string, string[]>("Xperia Ray", new[] {"Sony Ericsson", "Xperia Ray"}),
            new KeyValuePair<string, string[]>("Xperia Arc", new[] {"Sony Ericsson", "Xperia Arc"}),
            new KeyValuePair<string, string[]>("Xperia Mini", new[] {"Sony Ericsson", "Xperia Mini"}),
            new KeyValuePair<string, string[]>("Xperia neo", new[] {"Sony Ericsson", "Xperia Neo"}),
            new KeyValuePair<string, string[]>("Xperia Neo", new[] {"Sony Ericsson", "Xperia Neo"}),
            new KeyValuePair<string, string[]>("XPERIA NEO", new[] {"Sony Ericsson", "Xperia Neo"}),
            new KeyValuePair<string, string[]>("Xperia NeoV", new[] {"Sony Ericsson", "Xperia Neo V"}),
            new KeyValuePair<string, string[]>("Xperia Neo V", new[] {"Sony Ericsson", "Xperia Neo V"}),
            new KeyValuePair<string, string[]>("Xperia Play", new[] {"Sony Ericsson", "Xperia Play"}),
            new KeyValuePair<string, string[]>("Sony Ericsson Xperia X1", new[] {"Sony Ericsson", "Xperia X1"}),
            new KeyValuePair<string, string[]>("SonyHayabusa", new[] {"Sony", "Xperia Ion"}),
            new KeyValuePair<string, string[]>("Hayabusa", new[] {"Sony", "Xperia Ion"}),
            new KeyValuePair<string, string[]>("nozomi", new[] {"Sony", "Xperia S"}),
            new KeyValuePair<string, string[]>("Sony Tablet P", new[] {"Sony", "Tablet P", "tablet"}),
            new KeyValuePair<string, string[]>("Sony Tablet S", new[] {"Sony", "Tablet S", "tablet"}),
            new KeyValuePair<string, string[]>("NWZ-Z1000Series", new[] {"Sony", "Walkman Z", "media"}),
            new KeyValuePair<string, string[]>("NW-Z1000Series", new[] {"Sony", "Walkman Z", "media"}),
            new KeyValuePair<string, string[]>("Spice Mi280", new[] {"Spice", "Mi-280"}),
            new KeyValuePair<string, string[]>("Spice Mi300", new[] {"Spice", "Mi-300"}),
            new KeyValuePair<string, string[]>("Spice Mi-310", new[] {"Spice", "Mi-310"}),
            new KeyValuePair<string, string[]>("Spice Mi-425", new[] {"Spice", "Mi-425"}),
            new KeyValuePair<string, string[]>("SPICE Mi-720", new[] {"Spice", "Mi-720"}),
            new KeyValuePair<string, string[]>("A7272+", new[] {"Star", "A7272+"}),
            new KeyValuePair<string, string[]>("e1109 v73 gq1002 ctp", new[] {"Star", "X18i"}),
            new KeyValuePair<string, string[]>("TS1004T", new[] {"Surf 3Q", "TS1004T", "tablet"}),
            new KeyValuePair<string, string[]>("SYTABEX7-2", new[] {"Sylvania", "SYTABEX7", "tablet"}),
            new KeyValuePair<string, string[]>("TCL A860", new[] {"TCL", "A860"}),
            new KeyValuePair<string, string[]>("TCL A906", new[] {"TCL", "A906"}),
            new KeyValuePair<string, string[]>("TCL A909", new[] {"TCL", "A909"}),
            new KeyValuePair<string, string[]>("TCL A919", new[] {"TCL", "A919"}),
            new KeyValuePair<string, string[]>("TCL A990", new[] {"TCL", "A990"}),
            new KeyValuePair<string, string[]>("TCL A996", new[] {"TCL", "A996"}),
            new KeyValuePair<string, string[]>("TCL A998", new[] {"TCL", "A998"}),
            new KeyValuePair<string, string[]>("TCL GENESEE E708", new[] {"TCL", "Genesee E708"}),
            new KeyValuePair<string, string[]>("A10t(5DM3)", new[] {"Teclast", "A10T", "tablet"}),
            new KeyValuePair<string, string[]>("P72", new[] {"Teclast", "P72", "tablet"}),
            new KeyValuePair<string, string[]>("P76TI", new[] {"Teclast", "P76Ti", "tablet"}),
            new KeyValuePair<string, string[]>("P81HD", new[] {"Teclast", "P81HD", "tablet"}),
            new KeyValuePair<string, string[]>("P85(R8A1)", new[] {"Teclast", "P85", "tablet"}),
            new KeyValuePair<string, string[]>("T720 SE", new[] {"Teclast", "T720", "tablet"}),
            new KeyValuePair<string, string[]>("T760 from moage.com", new[] {"Teclast", "T760", "tablet"}),
            new KeyValuePair<string, string[]>("tegav2", new[] {"Tegatech", "TEGA v2", "tablet"}),
            new KeyValuePair<string, string[]>("TM-7025", new[] {"teXet", "TM-7025", "tablet"}),
            new KeyValuePair<string, string[]>("MoFing", new[] {"Thomson", "MoFing", "tablet"}),
            new KeyValuePair<string, string[]>("Ultimate10", new[] {"Tomtec", "Ultimate10", "tablet"}),
            new KeyValuePair<string, string[]>("Thl V7", new[] {"THL", "V7"}),
            new KeyValuePair<string, string[]>("ThL V7", new[] {"THL", "V7"}),
            new KeyValuePair<string, string[]>("ThL V8", new[] {"THL", "V8"}),
            new KeyValuePair<string, string[]>("ThL V9", new[] {"THL", "V9"}),
            new KeyValuePair<string, string[]>("ThL V11", new[] {"THL", "V11"}),
            new KeyValuePair<string, string[]>("TSB CLOUD COMPANION;TOSHIBA AC AND AZ",
                new[] {"Toshiba", "Dynabook AZ", "desktop"}),
            new KeyValuePair<string, string[]>("TOSHIBA AC AND AZ", new[] {"Toshiba", "Dynabook AZ", "desktop"}),
            new KeyValuePair<string, string[]>("TOSHIBA FOLIO AND A", new[] {"Toshiba", "Folio 100", "tablet"}),
            new KeyValuePair<string, string[]>("T-01C", new[] {"Toshiba", "Regza T-01C"}),
            new KeyValuePair<string, string[]>("T-01D", new[] {"Toshiba", "Regza T-01D"}),
            new KeyValuePair<string, string[]>("IS04", new[] {"Toshiba", "Regza IS04"}),
            new KeyValuePair<string, string[]>("IS11T", new[] {"Toshiba", "Regza IS11T"}),
            new KeyValuePair<string, string[]>("AT1S0", new[] {"Toshiba", "Regza AT1S0"}),
            new KeyValuePair<string, string[]>("Tostab03", new[] {"Toshiba", "Regza AT100", "tablet"}),
            new KeyValuePair<string, string[]>("AT100", new[] {"Toshiba", "Regza AT100", "tablet"}),
            new KeyValuePair<string, string[]>("AT200", new[] {"Toshiba", "Regza AT200", "tablet"}),
            new KeyValuePair<string, string[]>("AT470", new[] {"Toshiba", "Regza AT470", "tablet"}),
            new KeyValuePair<string, string[]>("AT570", new[] {"Toshiba", "Regza AT570", "tablet"}),
            new KeyValuePair<string, string[]>("AT830", new[] {"Toshiba", "Regza AT830", "tablet"}),
            new KeyValuePair<string, string[]>("Folio 100", new[] {"Toshiba", "Folio 100", "tablet"}),
            new KeyValuePair<string, string[]>("folio100", new[] {"Toshiba", "Folio 100", "tablet"}),
            new KeyValuePair<string, string[]>("THRiVE", new[] {"Toshiba", "THRiVE", "tablet"}),
            new KeyValuePair<string, string[]>("Fantastic T3", new[] {"TWM", "Fantastic T3"}),
            new KeyValuePair<string, string[]>("M70014", new[] {"United Star Technology", "M70014", "tablet"}),
            new KeyValuePair<string, string[]>("PS47", new[] {"Velocity Micro", "Cruz PS47", "tablet"}),
            new KeyValuePair<string, string[]>("T301", new[] {"Velocity Micro", "Cruz T301", "tablet"}),
            new KeyValuePair<string, string[]>("Vibo-A688", new[] {"FIH", "Vibo A688"}),
            new KeyValuePair<string, string[]>("Videocon-V7500", new[] {"Videocon", "V7500"}),
            new KeyValuePair<string, string[]>("GTablet", new[] {"ViewSonic", "gTablet", "tablet"}),
            new KeyValuePair<string, string[]>("GtabComb", new[] {"ViewSonic", "gTablet", "tablet"}),
            new KeyValuePair<string, string[]>("TeamDRH ICS for GTablet", new[] {"ViewSonic", "gTablet", "tablet"}),
            new KeyValuePair<string, string[]>("ViewPad7", new[] {"ViewSonic", "ViewPad 7", "tablet"}),
            new KeyValuePair<string, string[]>("ViewPad 10e", new[] {"ViewSonic", "ViewPad 10e", "tablet"}),
            new KeyValuePair<string, string[]>("VTAB1008", new[] {"Vizio", "VTAB1008", "tablet"}),
            new KeyValuePair<string, string[]>("VTAB3010", new[] {"Vizio", "VTAB3010", "tablet"}),
            new KeyValuePair<string, string[]>("VOTO W5300", new[] {"VOTO", "W5300"}),
            new KeyValuePair<string, string[]>("xPAD-70", new[] {"WayteQ", "xPAD-70", "tablet"}),
            new KeyValuePair<string, string[]>("xTAB-70", new[] {"WayteQ", "xTAB-70", "tablet"}),
            new KeyValuePair<string, string[]>("WellcoM-A99", new[] {"WellcoM", "A99"}),
            new KeyValuePair<string, string[]>("N12", new[] {"Window", "N12", "tablet"}),
            new KeyValuePair<string, string[]>("N12R", new[] {"Window", "N12R", "tablet"}),
            new KeyValuePair<string, string[]>("N50", new[] {"Window", "N50", "tablet"}),
            new KeyValuePair<string, string[]>("N50DT", new[] {"Window", "N50DT", "tablet"}),
            new KeyValuePair<string, string[]>("N50GT", new[] {"Window", "N50GT", "tablet"}),
            new KeyValuePair<string, string[]>("N50GT A", new[] {"Window", "N50GT-A", "tablet"}),
            new KeyValuePair<string, string[]>("N70", new[] {"Window", "N70", "tablet"}),
            new KeyValuePair<string, string[]>("N70 DUAL CORE", new[] {"Window", "N70 Dual Core", "tablet"}),
            new KeyValuePair<string, string[]>("N80", new[] {"Window", "N80", "tablet"}),
            new KeyValuePair<string, string[]>("N90", new[] {"Window", "N90", "tablet"}),
            new KeyValuePair<string, string[]>("N90 DUAL CORE2 V12", new[] {"Window", "N90 Dual Core", "tablet"}),
            new KeyValuePair<string, string[]>("N612", new[] {"Wishway", "N612"}),
            new KeyValuePair<string, string[]>("AT-AS43D", new[] {"Wolfgang", "AT-AS43D"}),
            new KeyValuePair<string, string[]>("M12", new[] {"Wopad", "M12", "tablet"}),
            new KeyValuePair<string, string[]>("WM8650", new[] {"WonderMedia", "WM8650", "tablet"}),
            new KeyValuePair<string, string[]>("MI-ONE", new[] {"Xiaomi", "MI-ONE"}),
            new KeyValuePair<string, string[]>("MI-ONE C1", new[] {"Xiaomi", "MI-ONE C1"}),
            new KeyValuePair<string, string[]>("MI-ONE Plus", new[] {"Xiaomi", "MI-ONE Plus"}),
            new KeyValuePair<string, string[]>("MI 1S", new[] {"Xiaomi", "MI-ONE Plus"}),
            new KeyValuePair<string, string[]>("MI 1SC", new[] {"Xiaomi", "MI-ONE 1SC"}),
            new KeyValuePair<string, string[]>("mione plus", new[] {"Xiaomi", "MI-ONE Plus"}),
            new KeyValuePair<string, string[]>("MI-TWO", new[] {"Xiaomi", "MI-TWO"}),
            new KeyValuePair<string, string[]>("MI 2", new[] {"Xiaomi", "MI-TWO"}),
            new KeyValuePair<string, string[]>("MI 2S", new[] {"Xiaomi", "MI-TWO Plus"}),
            new KeyValuePair<string, string[]>("MI 2SC", new[] {"Xiaomi", "MI-TWO Plus"}),
            new KeyValuePair<string, string[]>("Q07CL01", new[] {"XVision", "Q07", "tablet"}),
            new KeyValuePair<string, string[]>("N6", new[] {"Yarvik", "210 Tablet", "tablet"}),
            new KeyValuePair<string, string[]>("EMR1879", new[] {"Yidong", "EMR1879", "tablet"}),
            new KeyValuePair<string, string[]>("yusun W702", new[] {"Yusun", "W702"}),
            new KeyValuePair<string, string[]>("YX-YUSUN E80", new[] {"Yusun", "E80"}),
            new KeyValuePair<string, string[]>("zt180", new[] {"Zenithink", "ZT-180", "tablet"}),
            new KeyValuePair<string, string[]>("Jaguar7", new[] {"ZiiLabs", "Jaguar 7", "tablet"}),
            new KeyValuePair<string, string[]>("Ziss Ranger HD", new[] {"Ziss", "Ranger HD"}),
            new KeyValuePair<string, string[]>("ZTE Libra", new[] {"ZTE", "Libra"}),
            new KeyValuePair<string, string[]>("ZTE-T T9", new[] {"ZTE", "Light Tab T9", "tablet"}),
            new KeyValuePair<string, string[]>("V9", new[] {"ZTE", "Light Tab V9", "tablet"}),
            new KeyValuePair<string, string[]>("V9e+", new[] {"ZTE", "Light Tab 2", "tablet"}),
            new KeyValuePair<string, string[]>("V9A", new[] {"ZTE", "Light Tab 2", "tablet"}),
            new KeyValuePair<string, string[]>("Light Tab 2W", new[] {"ZTE", "Light Tab 2", "tablet"}),
            new KeyValuePair<string, string[]>("Light Tab 2", new[] {"ZTE", "Light Tab 2", "tablet"}),
            new KeyValuePair<string, string[]>("V9C", new[] {"ZTE", "Light Tab 3", "tablet"}),
            new KeyValuePair<string, string[]>("V55", new[] {"ZTE", "Optik", "tablet"}),
            new KeyValuePair<string, string[]>("Acqua", new[] {"ZTE", "Acqua"}),
            new KeyValuePair<string, string[]>("Blade", new[] {"ZTE", "Blade"}),
            new KeyValuePair<string, string[]>("Blade-V880", new[] {"ZTE", "Blade"}),
            new KeyValuePair<string, string[]>("ZTE-U V880", new[] {"ZTE", "Blade"}),
            new KeyValuePair<string, string[]>("Blade-opda", new[] {"ZTE", "Blade"}),
            new KeyValuePair<string, string[]>("ZTE-BLADE", new[] {"ZTE", "Blade"}),
            new KeyValuePair<string, string[]>("ZTE Blade", new[] {"ZTE", "Blade"}),
            new KeyValuePair<string, string[]>("ZTE V880", new[] {"ZTE", "Blade"}),
            new KeyValuePair<string, string[]>("ZTE-U(V)880+", new[] {"ZTE", "Blade"}),
            new KeyValuePair<string, string[]>("V880", new[] {"ZTE", "Blade"}),
            new KeyValuePair<string, string[]>("a5", new[] {"ZTE", "Blade"}),
            new KeyValuePair<string, string[]>("Blade2", new[] {"ZTE", "Blade 2"}),
            new KeyValuePair<string, string[]>("Blade S", new[] {"ZTE", "Blade S"}),
            new KeyValuePair<string, string[]>("X500", new[] {"ZTE", "Score"}),
            new KeyValuePair<string, string[]>("ZTE-X500", new[] {"ZTE", "Score"}),
            new KeyValuePair<string, string[]>("Skate", new[] {"ZTE", "Skate"}),
            new KeyValuePair<string, string[]>("ZTE Skate", new[] {"ZTE", "Skate"}),
            new KeyValuePair<string, string[]>("ZTE-Skate", new[] {"ZTE", "Skate"}),
            new KeyValuePair<string, string[]>("ZTE-SKATE", new[] {"ZTE", "Skate"}),
            new KeyValuePair<string, string[]>("ZTE-V960", new[] {"ZTE", "Skate"}),
            new KeyValuePair<string, string[]>("ZTE-U V960", new[] {"ZTE", "Skate"}),
            new KeyValuePair<string, string[]>("ZTE Racer", new[] {"ZTE", "Racer"}),
            new KeyValuePair<string, string[]>("ZTE-RACER", new[] {"ZTE", "Racer"}),
            new KeyValuePair<string, string[]>("MTC 916", new[] {"ZTE", "Racer"}),
            new KeyValuePair<string, string[]>("Racer", new[] {"ZTE", "Racer"}),
            new KeyValuePair<string, string[]>("RacerII", new[] {"ZTE", "Racer 2"}),
            new KeyValuePair<string, string[]>("RACERII", new[] {"ZTE", "Racer 2"}),
            new KeyValuePair<string, string[]>("ZTE Roamer", new[] {"ZTE", "Roamer"}),
            new KeyValuePair<string, string[]>("N860", new[] {"ZTE", "Warp"}),
            new KeyValuePair<string, string[]>("N880", new[] {"ZTE", "Blade"}),
            new KeyValuePair<string, string[]>("ZTE-T U802", new[] {"ZTE", "T-U802"}),
            new KeyValuePair<string, string[]>("ZTE-T U806", new[] {"ZTE", "T-U806"}),
            new KeyValuePair<string, string[]>("ZTE-T U812", new[] {"ZTE", "T-U812"}),
            new KeyValuePair<string, string[]>("ZTE-T U830", new[] {"ZTE", "T-U830"}),
            new KeyValuePair<string, string[]>("ZTE-T U880", new[] {"ZTE", "T-U880"}),
            new KeyValuePair<string, string[]>("ZTE T U880", new[] {"ZTE", "T-U880"}),
            new KeyValuePair<string, string[]>("ZTE-TU880", new[] {"ZTE", "T-U880"}),
            new KeyValuePair<string, string[]>("ZTE-TU900", new[] {"ZTE", "T-U900"}),
            new KeyValuePair<string, string[]>("ZTE-T U960", new[] {"ZTE", "T-U960"}),
            new KeyValuePair<string, string[]>("ZTE-TU960s", new[] {"ZTE", "T-U960"}),
            new KeyValuePair<string, string[]>("ZTE-T U960s", new[] {"ZTE", "T-U960"}),
            new KeyValuePair<string, string[]>("ZTE U N720", new[] {"ZTE", "U-N720"}),
            new KeyValuePair<string, string[]>("ZTE-U V856", new[] {"ZTE", "U-V856"}),
            new KeyValuePair<string, string[]>("ZTE-U V857", new[] {"ZTE", "U-V857"}),
            new KeyValuePair<string, string[]>("ZTE-U V881", new[] {"ZTE", "U-V881"}),
            new KeyValuePair<string, string[]>("ZTE-U X850", new[] {"ZTE", "U-X850"}),
            new KeyValuePair<string, string[]>("ZTE-U X876", new[] {"ZTE", "U-X876"}),
            new KeyValuePair<string, string[]>("ZTE-X876", new[] {"ZTE", "U-X876"}),
            new KeyValuePair<string, string[]>("ZTE-C R750", new[] {"ZTE", "C-R750"}),
            new KeyValuePair<string, string[]>("ZTE-C N600", new[] {"ZTE", "C-N600"}),
            new KeyValuePair<string, string[]>("ZTE-C N600+", new[] {"ZTE", "C-N600"}),
            new KeyValuePair<string, string[]>("ZTE-C N606", new[] {"ZTE", "C-N606"}),
            new KeyValuePair<string, string[]>("ZTE-C N700", new[] {"ZTE", "C-N700"}),
            new KeyValuePair<string, string[]>("ZTE-C N760", new[] {"ZTE", "C-N760"}),
            new KeyValuePair<string, string[]>("ZTE-C N880", new[] {"ZTE", "C-N880"}),
            new KeyValuePair<string, string[]>("ZTE-C N880S", new[] {"ZTE", "C-N880"}),
            new KeyValuePair<string, string[]>("ZTE-C N880s", new[] {"ZTE", "C-N880"}),
            new KeyValuePair<string, string[]>("ZTE-C X500", new[] {"ZTE", "C-X500"}),
            new KeyValuePair<string, string[]>("ZTE-C X920", new[] {"ZTE", "C-X920"}),
            new KeyValuePair<string, string[]>("ZXY-ZTE-C X920", new[] {"ZTE", "C-X920"}),
            new KeyValuePair<string, string[]>("ZTE GV821", new[] {"ZTE", "G-V821"}),
            new KeyValuePair<string, string[]>("ZTE N880E", new[] {"ZTE", "N880E"}),
            new KeyValuePair<string, string[]>("ZTE-N880E", new[] {"ZTE", "N880E"}),
            new KeyValuePair<string, string[]>("MIUI N880S", new[] {"ZTE", "N880S"}),
            new KeyValuePair<string, string[]>("ZTE N882E", new[] {"ZTE", "N882E"}),
            new KeyValuePair<string, string[]>("ZTE N855D", new[] {"ZTE", "N855D"}),
            new KeyValuePair<string, string[]>("ZTE-N910", new[] {"ZTE", "N910"}),
            new KeyValuePair<string, string[]>("E810", new[] {"ZTE", "E810"}),
            new KeyValuePair<string, string[]>("u880", new[] {"ZTE", "U880"}),
            new KeyValuePair<string, string[]>("ZTE U880E", new[] {"ZTE", "U880E"}),
            new KeyValuePair<string, string[]>("U880", new[] {"ZTE", "U880"}),
            new KeyValuePair<string, string[]>("ZTE U970", new[] {"ZTE", "U970"}),
            new KeyValuePair<string, string[]>("ZTE V768", new[] {"ZTE", "V768"}),
            new KeyValuePair<string, string[]>("ZTE-V856", new[] {"ZTE", "V856"}),
            new KeyValuePair<string, string[]>("ZTE V877b", new[] {"ZTE", "V877"}),
            new KeyValuePair<string, string[]>("ZTE V889D", new[] {"ZTE", "V889"}),
            new KeyValuePair<string, string[]>("ZTE-Z990", new[] {"ZTE", "Z990"}),
            new KeyValuePair<string, string[]>("ZTEU790", new[] {"ZTE", "U790"}),
            new KeyValuePair<string, string[]>("003Z", new[] {"ZTE", "Softbank 003Z"}),
            new KeyValuePair<string, string[]>("008Z", new[] {"ZTE", "Softbank 008Z"}),
            new KeyValuePair<string, string[]>("009Z", new[] {"ZTE", "Softbank Star7"}),
            new KeyValuePair<string, string[]>("i-mobile i691", new[] {"i-Mobile", "i691"}),
            new KeyValuePair<string, string[]>("i-mobile i695", new[] {"i-Mobile", "i695"}),
            new KeyValuePair<string, string[]>("i-mobile i858", new[] {"i-Mobile", "i858"}),
            new KeyValuePair<string, string[]>("i-mobile 3G 8500", new[] {"i-Mobile", "3G 8500"}),
            new KeyValuePair<string, string[]>("i-mobile I-Note", new[] {"i-Mobile", "i-Note", "tablet"}),
            new KeyValuePair<string, string[]>("Optimus Boston", new[] {"Optimus", "Boston"}),
            new KeyValuePair<string, string[]>("Optimus San Francisco", new[] {"Optimus", "San Francisco"}),
            new KeyValuePair<string, string[]>("Optimus Monte Carlo", new[] {"Optimus", "Monte Carlo"}),
            new KeyValuePair<string, string[]>("Orange Boston", new[] {"Orange", "Boston"}),
            new KeyValuePair<string, string[]>("Orange Monte Carlo", new[] {"Orange", "Monte Carlo"}),
            new KeyValuePair<string, string[]>("San Francisco", new[] {"Orange", "San Francisco"}),
            new KeyValuePair<string, string[]>("San Francisco for Orange", new[] {"Orange", "San Francisco"}),
            new KeyValuePair<string, string[]>("Orange San Francisco", new[] {"Orange", "San Francisco"}),
            new KeyValuePair<string, string[]>("MOVE", new[] {"T-Mobile", "MOVE"}),
            new KeyValuePair<string, string[]>("T-Mobile G1", new[] {"T-Mobile", "G1"}),
            new KeyValuePair<string, string[]>("T-Mobile G2", new[] {"T-Mobile", "G2"}),
            new KeyValuePair<string, string[]>("T-Mobile G2 Touch", new[] {"T-Mobile", "G2"}),
            new KeyValuePair<string, string[]>("LG-P999", new[] {"T-Mobile", "G2x"}),
            new KeyValuePair<string, string[]>("LG-E739", new[] {"T-Mobile", "myTouch"}),
            new KeyValuePair<string, string[]>("T-Mobile myTouch 3G", new[] {"T-Mobile", "myTouch 3G"}),
            new KeyValuePair<string, string[]>("T-Mobile myTouch 3G Slide", new[] {"T-Mobile", "myTouch 3G Slide"}),
            new KeyValuePair<string, string[]>("T-Mobile Espresso", new[] {"T-Mobile", "myTouch 3G Slide"}),
            new KeyValuePair<string, string[]>("HTC myTouch 3G Slide", new[] {"T-Mobile", "myTouch 3G Slide"}),
            new KeyValuePair<string, string[]>("T-Mobile myTouch 4G", new[] {"T-Mobile", "myTouch 4G"}),
            new KeyValuePair<string, string[]>("HTC Glacier", new[] {"T-Mobile", "myTouch 4G"}),
            new KeyValuePair<string, string[]>("HTC Panache", new[] {"T-Mobile", "myTouch 4G"}),
            new KeyValuePair<string, string[]>("myTouch4G", new[] {"T-Mobile", "myTouch 4G"}),
            new KeyValuePair<string, string[]>("My Touch 4G", new[] {"T-Mobile", "myTouch 4G"}),
            new KeyValuePair<string, string[]>("HTC Mytouch 4G", new[] {"T-Mobile", "myTouch 4G"}),
            new KeyValuePair<string, string[]>("HTC My Touch 4G", new[] {"T-Mobile", "myTouch 4G"}),
            new KeyValuePair<string, string[]>("HTC mytouch4g", new[] {"T-Mobile", "myTouch 4G"}),
            new KeyValuePair<string, string[]>("HTC myTouch 4G Slide", new[] {"T-Mobile", "myTouch 4G Slide"}),
            new KeyValuePair<string, string[]>("myTouch 4G Slide", new[] {"T-Mobile", "myTouch 4G Slide"}),
            new KeyValuePair<string, string[]>("T-Mobile myTouch Q", new[] {"T-Mobile", "myTouch Q"}),
            new KeyValuePair<string, string[]>("LG-C800", new[] {"T-Mobile", "myTouch Q"}),
            new KeyValuePair<string, string[]>("Pulse Mini", new[] {"T-Mobile", "Pulse Mini"}),
            new KeyValuePair<string, string[]>("Vodafone 845", new[] {"Vodafone", "845 Nova"}),
            new KeyValuePair<string, string[]>("Vodafone 858", new[] {"Vodafone", "858 Smart"}),
            new KeyValuePair<string, string[]>("Vodafone 945", new[] {"Vodafone", "945"}),
            new KeyValuePair<string, string[]>("Vodafone Smart II", new[] {"Vodafone", "Smart II"}),
            new KeyValuePair<string, string[]>("SmartTab10", new[] {"Vodafone", "SmartTab 10", "tablet"}),
            new KeyValuePair<string, string[]>("SCH-N719", new[] {"Samsung", "Galaxy Note II"}),
            new KeyValuePair<string, string[]>("Coolpad 8190", new[] {"Coolpad", "8190"}),
            new KeyValuePair<string, string[]>("U705T", new[] {"Oppo", "Ulike2"}),
            new KeyValuePair<string, string[]>("Coolpad 8020+", new[] {"Coolpad", "8020"}),
            new KeyValuePair<string, string[]>("Huawei Y310-5000", new[] {"Huawei", "Y310"}),
            new KeyValuePair<string, string[]>("GT-S7572", new[] {"Samsung", "Galaxy Trend Duos II"}),
            new KeyValuePair<string, string[]>("Lenovo A278t", new[] {"Lenovo", "A278t"}),
            new KeyValuePair<string, string[]>("Lenovo A690", new[] {"Lenovo", "A690"}),
            new KeyValuePair<string, string[]>("GT-I8262D", new[] {"Samsung", "LePhone I8262D"}),
            new KeyValuePair<string, string[]>("Lenovo A278t", new[] {"Lenovo", "A278t"}),
            new KeyValuePair<string, string[]>("MI 2C", new[] {"Xiaomi", "MI-TWO"}),
            new KeyValuePair<string, string[]>("Coolpad 8070", new[] {"Coolpad", "8070"}),
            new KeyValuePair<string, string[]>("R813T", new[] {"Oppo", "R813T"}),
            new KeyValuePair<string, string[]>("ZTE U930", new[] {"ZTE", "U930"}),
            new KeyValuePair<string, string[]>("Lenovo A360", new[] {"Lenovo", "LePhone A360"}),
            new KeyValuePair<string, string[]>("SCH-N719", new[] {"Samsung", "Galaxy Note II"}),
            new KeyValuePair<string, string[]>("Coolpad 8010", new[] {"Coolpad", "8010"}),
            new KeyValuePair<string, string[]>("LENOVO-Lenovo-A288t", new[] {"Lenovo", "A288t"}),
            new KeyValuePair<string, string[]>("U701T", new[] {"Oppo", "U701T"}),
            new KeyValuePair<string, string[]>("ZTEU795", new[] {"Coolpad", "U795"}),
            new KeyValuePair<string, string[]>("Haier-HT-I617", new[] {"Haier", "I617"}),
            new KeyValuePair<string, string[]>("ZTEU880s", new[] {"ZTE", "T-U880"}),
            new KeyValuePair<string, string[]>("GT-S6352", new[] {"Samsung", "GT-S6352"}),
            new KeyValuePair<string, string[]>("GT-S7568", new[] {"Samsung", "GT-S7568"}),
            new KeyValuePair<string, string[]>("K-Touch T619+", new[] {"K-Touch", "T619"}),
            new KeyValuePair<string, string[]>("MI 2A", new[] {"Xiaomi", "MI-TWO A"}),
            new KeyValuePair<string, string[]>("GT-N7108", new[] {"Samsung", "Galaxy Note II"}),
            new KeyValuePair<string, string[]>("K-Touch T621", new[] {"K-Touch", "T621"}),
            new KeyValuePair<string, string[]>("LENOVO-Lenovo-A298t", new[] {"Lenovo", "A298"}),
            new KeyValuePair<string, string[]>("Coolpad 8150", new[] {"Coolpad", "8150"}),
            new KeyValuePair<string, string[]>("5860S", new[] {"Coolpad", "5860"}),
            new KeyValuePair<string, string[]>("ZTEU807", new[] {"ZTE", "U807"}),
            new KeyValuePair<string, string[]>("SCH-I739", new[] {"Samsung", "SCH-I739"}),
            new KeyValuePair<string, string[]>("SCH-I829", new[] {"Samsung", "SCH-I829"}),
            new KeyValuePair<string, string[]>("HS-E830", new[] {"Hisense", "E830"}),
            new KeyValuePair<string, string[]>("HS-E920", new[] {"Hisense", "E920"}),
            new KeyValuePair<string, string[]>("Lenovo S720", new[] {"Lenovo", "S720"}),
            new KeyValuePair<string, string[]>("MI 2C", new[] {"Xiaomi", "MI-TWO"}),
            new KeyValuePair<string, string[]>("OPPO R813T", new[] {"Oppo", "R813"}),
            new KeyValuePair<string, string[]>("SCH-I879", new[] {"Samsung", "Galaxy Note"}),
            new KeyValuePair<string, string[]>("GT-S6102E", new[] {"Samsung", "Galaxy Y Duos"})
        };

        /// <summary>
        ///
        /// </summary>
        internal static List<KeyValuePair<string, string>> BlackberryModels = new List<KeyValuePair<string, string>>()
        {
            new KeyValuePair<string, string>("9600", "Bold"),
            new KeyValuePair<string, string>("9650", "Bold"),
            new KeyValuePair<string, string>("9700", "Bold"),
            new KeyValuePair<string, string>("9780", "Bold"),
            new KeyValuePair<string, string>("9790", "Bold"),
            new KeyValuePair<string, string>("9900", "Bold"),
            new KeyValuePair<string, string>("9930", "Bold"),
            new KeyValuePair<string, string>("8300", "Curve"),
            new KeyValuePair<string, string>("8310", "Curve"),
            new KeyValuePair<string, string>("8320", "Curve"),
            new KeyValuePair<string, string>("8330", "Curve"),
            new KeyValuePair<string, string>("8350i", "Curve"),
            new KeyValuePair<string, string>("8520", "Curve"),
            new KeyValuePair<string, string>("8530", "Curve"),
            new KeyValuePair<string, string>("8900", "Curve"),
            new KeyValuePair<string, string>("9220", "Curve"),
            new KeyValuePair<string, string>("9300", "Curve"),
            new KeyValuePair<string, string>("9330", "Curve"),
            new KeyValuePair<string, string>("9350", "Curve"),
            new KeyValuePair<string, string>("9360", "Curve"),
            new KeyValuePair<string, string>("9370", "Curve"),
            new KeyValuePair<string, string>("9380", "Curve"),
            new KeyValuePair<string, string>("8100", "Pearl"),
            new KeyValuePair<string, string>("8110", "Pearl"),
            new KeyValuePair<string, string>("8120", "Pearl"),
            new KeyValuePair<string, string>("8130", "Pearl"),
            new KeyValuePair<string, string>("8220", "Pearl"),
            new KeyValuePair<string, string>("8230", "Pearl"),
            new KeyValuePair<string, string>("9100", "Pearl"),
            new KeyValuePair<string, string>("9105", "Pearl"),
            new KeyValuePair<string, string>("9530", "Storm"),
            new KeyValuePair<string, string>("9550", "Storm"),
            new KeyValuePair<string, string>("9670", "Style"),
            new KeyValuePair<string, string>("9800", "Torch"),
            new KeyValuePair<string, string>("9810", "Torch"),
            new KeyValuePair<string, string>("9850", "Torch"),
            new KeyValuePair<string, string>("9860", "Torch"),
            new KeyValuePair<string, string>("9630", "Tour"),
            new KeyValuePair<string, string>("9981", "Porsche P")
        };
    }
}
